<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\PlaceOfSupply;
use Illuminate\Support\Facades\Auth;

class PlaceOfSupplyController extends Controller
{
    public function index()
    {
        $places = PlaceOfSupply::get();
        return view('admin.placeofsupply.index', compact('places'));
    }

    public function create()
    {
        return view('admin.placeofsupply.create');
    }

    public function store(Request $request)
    {
        try
        {
            $validatedData = $request->validate([
              'name' => 'required',
            ]);

            $save = new PlaceOfSupply;
            $save->name = $request->name;
            $save->created_by = Auth::id();
            $save ->save();
            return redirect()->route('place.supply.index')->with('success', 'Place Created Successfully!');
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return redirect()->route('place.supply.index')->with('error', $th->getMessage());
        }
    }

    public function edit(PlaceOfSupply $placeOfSupply)
    {
        return view('admin.placeofsupply.edit', compact('placeOfSupply'));
    }

    public function update(Request $request, PlaceOfSupply $placeOfSupply)
    {
        try
        {
            $placeOfSupply->name = $request->name;
            $placeOfSupply ->save();
            return redirect()->route('place.supply.index')->with('success','Place updated successfully');
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return redirect()->route('place.supply.edit', $driver)->with('error', $errormessage);
        }
    }

    public function destroy(PlaceOfSupply $placeOfSupply)
    {
        $placeOfSupply->delete();
        return redirect()->route('place.supply.index')->with('success','Place deleted successfully');
    }
}
