<?php

namespace App\Http\Requests\Company;

use Illuminate\Foundation\Http\FormRequest;

class UpdateCompanyRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'code' => 'required|unique:company_profiles,code,'.$this->company->id.'|max:255',
            'name' => 'required|max:255',
            'address' => 'required|max:255',
            'city' => 'required|max:255',
            'country' => 'required|max:255',
            'state' => 'required|max:255',
            'phoneno' => 'required|unique:company_profiles,phone,'.$this->company->id.'|numeric|digits:10|regex:/^([0-9\s\-\+\(\)]*)$/',
            'emailid' => 'required|email|unique:company_profiles,email,'.$this->company->id.'|max:255',
            'pincode' => 'required|max:7',
        ];
    }
}
