<?php

namespace App\Http\Requests\Customer;

use Illuminate\Foundation\Http\FormRequest;

class UpdateCustomerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'code' => 'required|unique:customer_masters,accountcode,'.$this->customer->id.'|max:255',
            'name' => 'required|max:255',
            'address' => 'sometimes|nullable|max:255',
            'creditLimit' => 'sometimes|nullable|numeric',
            'state_pos' => 'required|exists:states,id',
            'mobile_no' => 'sometimes|nullable|unique:customer_masters,mobile,'.$this->customer->id.'|numeric|digits:10|regex:/^([0-9\s\-\+\(\)]*)$/',
            'phone' => 'sometimes|nullable|unique:customer_masters,phone,'.$this->customer->id.'|numeric|digits:10|regex:/^([0-9\s\-\+\(\)]*)$/',
            'emailid' => 'sometimes|nullable|email|unique:customer_masters,email,'.$this->customer->id.'|max:255',
        ];
    }
}
