<?php

namespace App\Http\Requests\Employee;

use Illuminate\Foundation\Http\FormRequest;

class UpdateEmployeeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'code' => 'required|unique:employee_masters,code,'.$this->employee->id.'|max:255',
            'name' => 'required|max:255',
            'address' => 'required|max:255',
            // 'userrole' => 'required|exists:roles,id',
            'mobile_no' => 'required|unique:employee_masters,mobile,'.$this->employee->id.'|numeric|digits:10|regex:/^([0-9\s\-\+\(\)]*)$/',
            'emailid' => 'required|email|unique:employee_masters,email,'.$this->employee->id.'|max:255',
            'salary' => 'required|numeric',
            'commission' => 'sometimes|numeric',
        ];
    }
}
