<?php

namespace App\Http\Requests\Product;

use Illuminate\Foundation\Http\FormRequest;

class StoreProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'code' => 'required|unique:product_masters,code|max:255',
            'barcode' => 'required|numeric|unique:product_masters,barcode|digits:4',
            'name' => 'required|max:255',
            'hsn_code' => 'required|max:255',
            'category' => 'required|exists:catagories,id',
            'manufacturer' => 'required|exists:manufacturers,id',
            'gstval' => 'required|numeric',
            'igstval' => 'required|numeric',
            'purchase_rate' => 'required|numeric',
            'sale_rate' => 'required|numeric',
            'mrpval' => 'required|numeric',
            'openstock' => 'required|numeric',
            'unitval' => 'required|string',
        ];
    }
}
