<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StorePermissionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'permissionname' => 'required|string|unique:permissions,name',
        ];
    }

    public function messages()
    {
        return [
            'permissionname.required' => 'Permission is required',
            'permissionname.unique' => 'Permission is already exists.',
        ];
    }
}
