<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreRoleRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'rolename' => 'required|string|unique:roles,name',
        ];
    }

    public function messages()
    {
        return [
            'rolename.required' => 'Role Namerequired',
            'rolename.unique' => 'Role Name already exists.',
        ];
    }
}
