<?php

namespace App\Http\Requests\Vendor;

use Illuminate\Foundation\Http\FormRequest;

class StoreVendorRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'code' => 'required|unique:vendors,code|max:255',
            'name' => 'required|max:255',
            'address' => 'required|max:255',
            'state_pos' => 'required|exists:states,id',
            'mobile_no' => 'required|unique:vendors,mobile|numeric|digits:10|regex:/^([0-9\s\-\+\(\)]*)$/',
            'phone' => 'required|unique:vendors,phone|numeric|digits:10|regex:/^([0-9\s\-\+\(\)]*)$/',
            'emailid' => 'required|email|unique:vendors,email|max:255',
        ];
    }
}
