<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class BillOfMaterial extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'bill_of_materials';
    protected $fillable = ['product_master_id'];

    public function product()
    {
        return $this->belongsTo(ProductMaster::class, 'product_master_id', 'id')->withTrashed();
    }

    public function bomItems()
    {
        return $this->hasMany(BillOfMaterialItem::class, 'material_id', 'id');
    }
}
