<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class BillOfMaterialItem extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'bill_of_material_items';
    protected $fillable = ['material_id', 'product_master_id', 'quantity'];

    public function product()
    {
        return $this->belongsTo(ProductMaster::class, 'product_master_id', 'id')->withTrashed();
    }
}
