<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Ledger extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'ledgers';

    public function accountGroup()
    {
        return $this->belongsTo(AccountGroup::class, 'account_group_id', 'id');
    }

    public function transactions()
    {
        return $this->hasMany(Transaction::class, 'ledger_id', 'id')->whereNotNull('ledger_id');
    }
}
