<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PurchaseReturn extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'purchase_returns';

    public function purchaseReturnDetails()
    {
        return $this->hasMany(PurchaseReturnDetails::class, 'purchase_return_id', 'id');
    }

    public function vendor()
    {
        return $this->belongsTo(CustomerMaster::class, 'vendor_id', 'id')->withTrashed();
    }

    public function branch()
    {
        return $this->belongsTo(CompanyProfile::class, 'branch_id', 'id')->withTrashed();
    }

    public function salesPerson()
    {
        //return $this->belongsTo(CompanyProfile::class, 'branch_id', 'id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'created_by', 'id')->withTrashed();
    }
}
