<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Sale extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'sales';

    public function branch()
    {
        return $this->belongsTo(CompanyProfile::class, 'branch_id', 'id')->withTrashed();
    }

    public function customer()
    {
        return $this->belongsTo(CustomerMaster::class, 'customer_id', 'id')->withTrashed();
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'created_by', 'id')->withTrashed();
    }

    public function saleDetails()
    {
        return $this->hasMany(SaleItem::class, 'sales_id', 'id');
    }

    public function salesClient()
    {
        return $this->hasOne(SaleClient::class, 'sales_id', 'id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id', 'id')->withTrashed();
    }

    public function saleDetailsGroupbyCgst()
    {
        return $this->saleDetails()->groupBy('cgst');
    }
}
