<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SaleClient extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'sale_clients';
    //protected $appends = ['sum_credits'];

    public function branch()
    {
        return $this->belongsTo(CompanyProfile::class, 'branch_id', 'id')->withTrashed();
    }

    public function customer()
    {
        return $this->belongsTo(CustomerMaster::class, 'customer_id', 'id')->withTrashed();
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'created_by', 'id')->withTrashed();
    }

    public function saleClientDetails()
    {
        return $this->hasMany(SaleClientItems::class, 'sales_client_id', 'id');
    }

    public function sale()
    {
        return $this->belongsTo(Sale::class, 'sales_id', 'id')->withTrashed();
    }
}
