<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SaleItem extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'sale_items';

    public function sale()
    {
        return $this->belongsTo(Sale::class, 'sales_id', 'id')->withTrashed();
    }

    public function product()
    {
        return $this->belongsTo(ProductMaster::class, 'product_master_id', 'id')->withTrashed();
    }
}
