<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SalesReturn extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'sales_returns';

    public function branch()
    {
        return $this->belongsTo(CompanyProfile::class, 'branch_id', 'id')->withTrashed();
    }

    public function customer()
    {
        return $this->belongsTo(CustomerMaster::class, 'customer_id', 'id')->withTrashed();
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'created_by', 'id')->withTrashed();
    }

    public function saleDetails()
    {
        return $this->hasMany(SalesItemReturn::class, 'sales_return_id', 'id');
    }
}
