<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StockBranch extends Model
{
    use HasFactory, SoftDeletes;

    public function branch()
    {
        return $this->belongsTo(CompanyProfile::class, 'branch_id', 'id')->withTrashed();
    }

    public function product()
    {
        return $this->belongsTo(ProductMaster::class, 'product_master_id', 'id')->withTrashed();
    }

    public function purchase()
    {
        return $this->belongsTo(Purchase::class, 'purchase_id', 'id')->withTrashed();
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'created_by', 'id')->withTrashed();
    }
}
