<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StockTransfer extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'stock_transfers';

    public function fromBranch()
    {
        return $this->belongsTo(CompanyProfile::class, 'from_branch', 'id')->withTrashed();
    }

    public function toBranch()
    {
        return $this->belongsTo(CompanyProfile::class, 'to_branch', 'id')->withTrashed();
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'created_by', 'id')->withTrashed();
    }

    public function transferDetails()
    {
        return $this->hasMany(StockTransferItems::class, 'transfer_id', 'id');
    }
}
