<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StockTransferItems extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'stock_transfer_items';

    public function transfer()
    {
        return $this->belongsTo(StockTransfer::class, 'transfer_id', 'id')->withTrashed();
    }

    public function product()
    {
        return $this->belongsTo(ProductMaster::class, 'product_master_id', 'id')->withTrashed();
    }
}
