<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Casts\Attribute;

class Transaction extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'transactions';

    protected $casts = [
        'payment_details' => 'array'
    ];

    public function branch()
    {
        return $this->belongsTo(CompanyProfile::class, 'branch_id', 'id')->withTrashed();
    }

    public function customer()
    {
        return $this->belongsTo(CustomerMaster::class, 'customer_id', 'id')->withTrashed();
    }

    public function ledger()
    {
        return $this->belongsTo(Ledger::class, 'ledger_id', 'id')->withTrashed();
    }
}
