<?php

namespace App\Services;
use App\Models\Area;

class AreaService {

    public function store(array $areaData)
    {
        try
        {
            $area = Area::create(['code' => $areaData['areacode'], 'name' => $areaData['areaname']]);
            return response()->json(['success' => true, 'message' => 'Area Created Successfully!', 'area' => $area], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function update(array $areaData, Area $area)
    {
        try
        {
            $area->update(['code' => $areaData['areacode'], 'name' => $areaData['areaname']]);
            return response()->json(['success' => true, 'message' => 'Area Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }
}