<?php

namespace App\Services;
use App\Models\Category;

class CategoryService {

    public function store(array $inputData)
    {
        try
        {
            $area = Category::create(['code' => $inputData['code'], 'name' => $inputData['name'], 'regional' => $inputData['regional']]);
            return response()->json(['success' => true, 'message' => 'Category Created Successfully!', 'area' => $area], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function update(array $inputData, Category $category)
    {
        try
        {
            $category->update(['code' => $inputData['code'], 'name' => $inputData['name'], 'regional' => $inputData['regional']]);
            return response()->json(['success' => true, 'message' => 'Category Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }
}