<?php

namespace App\Services;
use App\Models\CompanyProfile;
use Illuminate\Support\Facades\Auth;

class CompanyService {

    public function store(array $inputData)
    {
        try
        {
            if($inputData['com_type'] == 1 && CompanyProfile::where('company_type', $inputData['com_type'])->exists())
            {
                return response()->json(['success' => false, 'message' => 'Main company exist'], 400);
            }
            
            $company = CompanyProfile::create(['code' => $inputData['code'], 'company_type' => $inputData['com_type'], 'name' => $inputData['name'], 'address' => $inputData['address'], 'print_address' => $inputData['printing_address'], 'print_sub_head' => $inputData['print_subHead'], 'print_footer_text' => $inputData['print_footerText'], 'print_footer_subtext' => $inputData['print_footerSubText'], 'city' => $inputData['city'],'country' => $inputData['country'], 'state' => $inputData['state'], 'phone' => $inputData['phoneno'], 'pincode' => $inputData['pincode'],'email' => $inputData['emailid'], 'gst' => $inputData['gstuin'], 'fssai_no' => $inputData['fssai_code'], 'financial_year_start' => $inputData['financialyearstart'], 'financial_year_end' => $inputData['financialyearend'], 'bank_details' => $inputData['bank_details'], 'created_by' => Auth::id()]);
            return response()->json(['success' => true, 'message' => 'Company Created Successfully!', 'company' => $company], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function update(array $inputData, CompanyProfile $company)
    {
        try
        {
            $company->update(['code' => $inputData['code'], 'name' => $inputData['name'], 'address' => $inputData['address'], 'print_address' => $inputData['printing_address'], 'print_sub_head' => $inputData['print_subHead'], 'print_footer_text' => $inputData['print_footerText'], 'print_footer_subtext' => $inputData['print_footerSubText'], 'city' => $inputData['city'], 'country' => $inputData['country'], 'state' => $inputData['state'], 'phone' => $inputData['phoneno'], 'pincode' => $inputData['pincode'], 'email' => $inputData['emailid'], 'gst' => $inputData['gstuin'], 'fssai_no' => $inputData['fssai_code'], 'financial_year_start' => $inputData['financialyearstart'], 'financial_year_end' => $inputData['financialyearend'], 'bank_details' => $inputData['bank_details']]);
            return response()->json(['success' => true, 'message' => 'Company Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }
}