<?php

namespace App\Services;
use App\Models\CustomerMaster;
use Illuminate\Support\Facades\Auth;

class CustomerService {

    public function store(array $inputData)
    {
        try
        {
            $customer = new CustomerMaster;
            $customer->accountcode = $inputData['code'];
            $customer->name = $inputData['name'];
            $customer->mobile = $inputData['mobile_no'];
            $customer->phone = $inputData['phone'];
            $customer->email = $inputData['emailid'];
            $customer->state_pos = $inputData['state_pos'];
            $customer->gstin = $inputData['gst_no'];
            $customer->address = $inputData['address'];
            $customer->area_id = $inputData['area'];
            $customer->regioanal = $inputData['regional'];
            $customer->remarks = $inputData['remarks'];
            $customer->creditlimit = $inputData['creditLimit'];
            $customer->discount = $inputData['discount'];
            $customer->supplierstatus = false;
            $customer->activestatus = (isset($inputData['active_status']) && $inputData['active_status'] == 0)? false : true;
            $customer->created_by = Auth::id();
            $customer->save();
            return response()->json(['success' => true, 'message' => 'Customer Created Successfully!', 'customer' => $customer], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function update(array $inputData, CustomerMaster $customer)
    {
        try
        {
            $customer->accountcode = $inputData['code'];
            $customer->name = $inputData['name'];
            $customer->mobile = $inputData['mobile_no'];
            $customer->phone = $inputData['phone'];
            $customer->email = $inputData['emailid'];
            $customer->state_pos = $inputData['state_pos'];
            $customer->gstin = $inputData['gst_no'];
            $customer->address = $inputData['address'];
            $customer->area_id = $inputData['area'];
            $customer->regioanal = $inputData['regional'];
            $customer->remarks = $inputData['remarks'];
            $customer->creditlimit = $inputData['creditLimit'];
            $customer->discount = $inputData['discount'];
            $customer->supplierstatus = false;
            $customer->activestatus = (isset($inputData['active_status']) && $inputData['active_status'] == 0)? false : true;
            $customer->save();
            return response()->json(['success' => true, 'message' => 'Customer Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }
}