<?php

namespace App\Services;
use App\Models\EmployeeMaster;
use Spatie\Permission\Models\Role;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

class EmployeeService {

    public function store(array $inputData)
    {
        try
        {
            $user = User::create(['name' => $inputData['name'], 'email' => $inputData['emailid'], 'password' => 'Test$1234']);
            $getRole = Role::find($inputData['userrole']);
            $user->syncRoles($getRole->name);

            $employee = new EmployeeMaster;
            $employee->user_id = $user->id;
            $employee->branch_id = $inputData['usercompany'];
            $employee->code = $inputData['code'];
            $employee->name = $inputData['name'];
            $employee->address = $inputData['address'];
            $employee->mobile = $inputData['mobile_no'];
            $employee->email = $inputData['emailid'];
            $employee->gender = $inputData['gender'];
            $employee->blood_group = $inputData['blood_group'];
            $employee->work_start_time = $inputData['workstart_time'];
            $employee->work_end_time = $inputData['workend_time'];
            $employee->cmmission = $inputData['commission'];
            $employee->salary = $inputData['salary'];
            $employee->activestatus = (isset($inputData['active_status']) && $inputData['active_status'] == 0)? false : true;
            $employee->created_by = Auth::id();
            $employee->save();
            return response()->json(['success' => true, 'message' => 'Employee Created Successfully!', 'employee' => $employee], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function update(array $inputData, EmployeeMaster $employee)
    {
        try
        {
            $employee->code = $inputData['code'];
            $employee->name = $inputData['name'];
            $employee->address = $inputData['address'];
            $employee->mobile = $inputData['mobile_no'];
            $employee->email = $inputData['emailid'];
            $employee->gender = $inputData['gender'];
            $employee->blood_group = $inputData['blood_group'];
            $employee->work_start_time = $inputData['workstart_time'];
            $employee->work_end_time = $inputData['workend_time'];
            $employee->cmmission = $inputData['commission'];
            $employee->salary = $inputData['salary'];
            $employee->activestatus = (isset($inputData['active_status']) && $inputData['active_status'] == 0)? false : true;
            $employee->save();
            return response()->json(['success' => true, 'message' => 'Employee Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }
}