<?php

namespace App\Services;
use App\Models\Manufacturer;

class ManufacturerService {

    public function store(array $areaData)
    {
        try
        {
            $area = Manufacturer::create(['code' => $areaData['manufacturercode'], 'name' => $areaData['manufacturername']]);
            return response()->json(['success' => true, 'message' => 'Manufacturer Created Successfully!', 'area' => $area], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function update(array $areaData, Manufacturer $manufacturer)
    {
        try
        {
            $manufacturer->update(['code' => $areaData['manufacturercode'], 'name' => $areaData['manufacturername']]);
            return response()->json(['success' => true, 'message' => 'Manufacturer Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }
}