<?php

namespace App\Services;
use App\Models\CustomerMaster;
use App\Models\ProductMaster;
use App\Models\ProductPrice;
use App\Models\ProductTax;
use App\Models\ProductUnit;
use App\Models\Stock;
use App\Models\Invoice;
use App\Models\SaleQuotation;
use App\Models\SaleQuotationItem;
use App\Models\Sale;
use App\Models\SaleItem;
use App\Models\SaleClient;
use App\Models\SaleClientItems;
use App\Models\StockBranch;
use App\Models\StockBranchPurchase;
use App\Models\SaleSettlement;
use App\Models\PlaceOfSupply;
use App\Models\DriverMaster;

use App\Models\Transaction;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;


class SaleQuotationService {

    public function store(array $inputData)
    {
        try
        {
            if(isset($inputData['customer_name']) && !empty($inputData['customer_name']))
            {
                if(CustomerMaster::where('name', $inputData['customer_name'])->exists())
                {
                    $customer = CustomerMaster::where('name', $inputData['customer_name'])->first();
                    $customerid = $customer->id;
                }
                else
                {
                    $customer = new CustomerMaster;
                    $customer->accountcode = strtoupper(Str::random(5));
                    $customer->name = $inputData['customer_name'];
                    $customer->mobile = random_int(100000, 999999).date("dmY");
                    $customer->phone = random_int(100000, 999999).date("dmY");
                    $customer->email = 'example'.Str::random(5).'@gmail.com';
                    $customer->state_pos = 19;
                    $customer->gstin = null;
                    $customer->address = 'Nil';
                    $customer->area_id = null;
                    $customer->regioanal = 'EN';
                    $customer->remarks = null;
                    $customer->creditlimit = null;
                    $customer->discount = null;
                    $customer->supplierstatus = true;
                    $customer->activestatus = (isset($inputData['active_status']) && $inputData['active_status'] == 0)? false : true;
                    $customer->created_by = Auth::id();
                    $customer->save();
                    $customerid = $customer->id;
                }
            }
            else
            {
                $customerid = $inputData['customer'];
            }

            $placeName = $driverName = '';
            if(!empty($inputData['site_val']))
            {
                if(PlaceOfSupply::where('name', $inputData['site_val'])->exists())
                {
                    $placeval = PlaceOfSupply::where('name', $inputData['site_val'])->first();
                    $placeName = $placeval->name;
                }
                else
                {
                    $placeval = new PlaceOfSupply;
                    $placeval->name = $inputData['site_val'];
                    $placeval->save();
                    $placeName = $placeval->name;
                }
            }

            if(!empty($inputData['driver_val']))
            {
                if(DriverMaster::where('name', $inputData['driver_val'])->exists())
                {
                    $driverval = DriverMaster::where('name', $inputData['driver_val'])->first();
                    $driverName = $driverval->name;
                }
                else
                {
                    $driverval = new DriverMaster;
                    $driverval->name = $inputData['driver_val'];
                    $driverval->mobile = random_int(100000, 999999).date("dmY");
                    $driverval->created_by = Auth::id();
                    $driverval->save();
                    $driverName = $driverval->name;
                }
            }
            if(empty($inputData['print_vehicle']))
            {
                $printvehicle = 0;
            }
            else
            {
                $printvehicle = $inputData['print_vehicle'];
            }
            if(empty($inputData['print_site']))
            {
                $printsite = 0;
            }
            else
            {
                $printsite = $inputData['print_site'];
            }
            if(empty($inputData['print_diver']))
            {
                $printdiver = 0;
            }
            else
            {
                $printdiver = $inputData['print_diver'];
            }
            
            $siteData = array('driver' => $driverName, 'site' => $placeName , 'printvehicle' => $printvehicle , 'printsite' => $printsite , 'printdiver' => $printdiver);
            $quotation = new SaleQuotation;
            $quotation->invoice_no = strtoupper(uniqid());
            $quotation->sale_date = $inputData['billdate'];
            $quotation->payment_pode = $inputData['mop'];
            $quotation->tax_type = $inputData['tax'];
            $quotation->bill_type = $inputData['sales_type'];
            $quotation->sales_type = (isset($inputData['typeofSale']) && $inputData['typeofSale'] == 0)?$inputData['typeofSale']:'1';
            $quotation->purpose = (isset($inputData['purpose']))?$inputData['purpose']:'0';
            $quotation->customer_id = $customerid;
            $quotation->branch_id = $inputData['branch'];
            $quotation->salesman_id = $inputData['sales_man'];
            $quotation->price_list = $inputData['pricelist'];
            $quotation->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
            $quotation->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
            $quotation->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
            $quotation->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
            $quotation->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
            $quotation->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
            $quotation->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
            $quotation->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
            $quotation->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
            $quotation->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
            $quotation->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
            $quotation->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
            $quotation->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
            $quotation->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
            $quotation->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
            $quotation->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
            $quotation->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
            $quotation->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
            $quotation->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
            $quotation->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
            $quotation->status = true;
            $quotation->settled = (isset($inputData['settleVal']) && $inputData['settleVal'] == 0) ? false : true;
            $quotation->vehicle_id = (isset($inputData['vehicle']) && !empty($inputData['vehicle'])) ? $inputData['vehicle'] : null;
            $quotation->site_data = (isset($siteData) && !empty($siteData)) ? json_encode($siteData) : null;
            $quotation->created_by = Auth::id();
            $quotation->save();

            foreach($inputData['prdid'] as $key => $productid)
            {
                if(ProductMaster::where('id', $productid)->exists())
                {
                    $product = ProductMaster::find($productid);
                    $saleQuotationItemDetails = new SaleQuotationItem;
                    $saleQuotationItemDetails->quotation_id = $quotation->id;
                    $saleQuotationItemDetails->product_master_id = $productid;
                    $saleQuotationItemDetails->quantity = $inputData['quantity'][$key];
                    $saleQuotationItemDetails->free_quantity = $inputData['freequantity'][$key];
                    $saleQuotationItemDetails->unit_price = $inputData['purchase_rate'][$key];
                    $saleQuotationItemDetails->mrp = $inputData['mrp'][$key];
                    $saleQuotationItemDetails->gross_amount = $inputData['taxableamt'][$key];
                    $saleQuotationItemDetails->discount_percentage = $inputData['disc_per'][$key];
                    $saleQuotationItemDetails->discount_amount = $inputData['disc_amt'][$key];
                    $saleQuotationItemDetails->taxable_amount = $inputData['taxablerow'][$key];
                    $saleQuotationItemDetails->cgst = $inputData['cgst'][$key];
                    $saleQuotationItemDetails->cgst_amount = $inputData['cgst_amt'][$key];
                    $saleQuotationItemDetails->sgst = $inputData['sgst'][$key];
                    $saleQuotationItemDetails->sgst_amount = $inputData['sgst_amt'][$key];
                    $saleQuotationItemDetails->item_total = $inputData['total'][$key];
                    $saleQuotationItemDetails->save();
                }
                else
                {
                    return response()->json(['success' => false, 'message' => 'Product not exist'], 400);
                }
            }
            
            return response()->json(['success' => true, 'message' => 'Quotation Created Successfully!', 'quotation' => $quotation->id], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function update(array $inputData, SaleQuotation $saleQuotation)
    {
        try
        {
            $saleQuotation->sale_date = $inputData['billdate'];
            $saleQuotation->payment_pode = $inputData['mop'];
            $saleQuotation->tax_type = $inputData['tax'];
            $saleQuotation->bill_type = $inputData['sales_type'];
            $saleQuotation->customer_id = $inputData['customer'];
            $saleQuotation->branch_id = $inputData['branch'];
            $saleQuotation->salesman_id = $inputData['sales_man'];
            $saleQuotation->price_list = $inputData['pricelist'];
            $saleQuotation->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
            $saleQuotation->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
            $saleQuotation->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
            $saleQuotation->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
            $saleQuotation->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
            $saleQuotation->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
            $saleQuotation->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
            $saleQuotation->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
            $saleQuotation->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
            $saleQuotation->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
            $saleQuotation->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
            $saleQuotation->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
            $saleQuotation->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
            $saleQuotation->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
            $saleQuotation->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
            $saleQuotation->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
            $saleQuotation->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
            $saleQuotation->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
            $saleQuotation->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
            $saleQuotation->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
            $saleQuotation->save();

            
            if(isset($inputData['tblid']) && count($inputData['tblid']) > 0)
            {
                $removedItems = SaleQuotationItem::where('quotation_id', $saleQuotation->id)->whereNotIn('id', $inputData['tblid'])->get();
                if($removedItems)
                {
                    foreach($removedItems as $removedItem)
                    {
                        $removedItem->delete();
                    }
                }
            }
            else
            {
                $removedItems = SaleQuotationItem::where('quotation_id', $saleQuotation->id)->get();
                if($removedItems)
                {
                    foreach($removedItems as $removedItem)
                    {
                        $removedItem->delete();
                    }
                }
            }

            if(isset($inputData['tblid']) && count($inputData['tblid']) > 0)
            {
                foreach($inputData['tblid'] as $key => $tableid)
                {
                    if(SaleQuotationItem::where('id', $tableid)->exists())
                    {
                        $saleQuotationItems = SaleQuotationItem::where('quotation_id', $saleQuotation->id)->find($tableid);
                        
                        if(ProductMaster::where('id', $saleQuotationItems->product_master_id)->exists())
                        {
                            $saleQuotationItems->quantity = $inputData['quantity'][$key];
                            $saleQuotationItems->free_quantity = $inputData['freequantity'][$key];
                            $saleQuotationItems->unit_price = $inputData['purchase_rate'][$key];
                            $saleQuotationItems->mrp = $inputData['mrp'][$key];
                            $saleQuotationItems->gross_amount = $inputData['taxableamt'][$key];
                            $saleQuotationItems->discount_percentage = $inputData['disc_per'][$key];
                            $saleQuotationItems->discount_amount = $inputData['disc_amt'][$key];
                            $saleQuotationItems->taxable_amount = $inputData['taxablerow'][$key];
                            $saleQuotationItems->cgst = $inputData['cgst'][$key];
                            $saleQuotationItems->cgst_amount = $inputData['cgst_amt'][$key];
                            $saleQuotationItems->sgst = $inputData['sgst'][$key];
                            $saleQuotationItems->sgst_amount = $inputData['sgst_amt'][$key];
                            $saleQuotationItems->item_total = $inputData['total'][$key];
                            $saleQuotationItems->save();
                        }
                    }
                }
            }

            if(isset($inputData['editprdid']) && count($inputData['editprdid']) > 0)
            {
                foreach($inputData['editprdid'] as $key => $productid)
                {
                    if(ProductMaster::where('id', $productid)->exists())
                    {
                        $product = ProductMaster::find($productid);
                        $saleQuotationItemDetails = new SaleQuotationItem;
                        $saleQuotationItemDetails->quotation_id = $saleQuotation->id;
                        $saleQuotationItemDetails->product_master_id = $productid;
                        $saleQuotationItemDetails->quantity = $inputData['editquantity'][$key];
                        $saleQuotationItemDetails->free_quantity = $inputData['editfreequantity'][$key];
                        $saleQuotationItemDetails->unit_price = $inputData['editpurchase_rate'][$key];
                        $saleQuotationItemDetails->mrp = $inputData['editmrp'][$key];
                        $saleQuotationItemDetails->gross_amount = $inputData['edittaxableamt'][$key];
                        $saleQuotationItemDetails->discount_percentage = $inputData['editdisc_per'][$key];
                        $saleQuotationItemDetails->discount_amount = $inputData['editdisc_amt'][$key];
                        $saleQuotationItemDetails->taxable_amount = $inputData['edittaxablerow'][$key];
                        $saleQuotationItemDetails->cgst = $inputData['editcgst'][$key];
                        $saleQuotationItemDetails->cgst_amount = $inputData['editcgst_amt'][$key];
                        $saleQuotationItemDetails->sgst = $inputData['editsgst'][$key];
                        $saleQuotationItemDetails->sgst_amount = $inputData['editsgst_amt'][$key];
                        $saleQuotationItemDetails->item_total = $inputData['edittotal'][$key];
                        $saleQuotationItemDetails->save();
                    }
                    else
                    {
                        return response()->json(['success' => false, 'message' => 'Product not exist'], 400);
                    }
                }
            }
            
            return response()->json(['success' => true, 'message' => 'Quotation Updated.'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function convertInvoice(SaleQuotation $saleQuotation)
    {
        try
        {
            if(Invoice::where('prefix', $saleQuotation->bill_type)->where('branch_id', $saleQuotation->branch_id)->exists())
            {
                $invno = Invoice::where('prefix', $saleQuotation->bill_type)->where('branch_id', $saleQuotation->branch_id)->first();
                $invno->number = $invno->number + 1;
                $invno->save();
                $invnonew = $invno->number;
            }
            else
            {
                $invno = new Invoice;
                $invno->prefix = $saleQuotation->bill_type;
                $invno->branch_id = $saleQuotation->branch_id;
                $invno->number = 1;
                $invno->save();
                $invnonew = 1;
            }

            $sales = new Sale;
            $sales->invoice_no = $invno->prefix.'-'.$invnonew;
            $sales->sale_date = $saleQuotation->sale_date;
            $sales->payment_pode = $saleQuotation->payment_pode;
            $sales->tax_type = $saleQuotation->tax_type;
            $sales->bill_type = $saleQuotation->bill_type;
            $sales->sales_type = $saleQuotation->sales_type;
            $sales->purpose = $saleQuotation->purpose;
            $sales->customer_id = $saleQuotation->customer_id;
            $sales->branch_id = $saleQuotation->branch_id;
            $sales->salesman_id = $saleQuotation->salesman_id;
            $sales->price_list = $saleQuotation->price_list;
            $sales->total_amount = $saleQuotation->total_amount;
            $sales->total_cgst_amount = $saleQuotation->total_cgst_amount;
            $sales->total_sgst_amount = $saleQuotation->total_sgst_amount;
            $sales->total_igst_amount = $saleQuotation->total_igst_amount;
            $sales->total_tax_amount = $saleQuotation->total_tax_amount;
            $sales->total_taxable_amt = $saleQuotation->total_taxable_amt;
            $sales->total_discount_percentage = $saleQuotation->total_discount_percentage;
            $sales->total_discount_amount = $saleQuotation->total_discount_amount;
            $sales->exempted = $saleQuotation->exempted;
            $sales->total_item_discount = $saleQuotation->total_item_discount;
            $sales->sales_total = $saleQuotation->sales_total;
            $sales->netvalue = $saleQuotation->netvalue;
            $sales->cess = $saleQuotation->cess;
            $sales->add_cess = $saleQuotation->add_cess;
            $sales->freight_coolie = $saleQuotation->freight_coolie;
            $sales->otherexp = $saleQuotation->otherexp;
            $sales->cost_factor = $saleQuotation->cost_factor;
            $sales->cash_discount = $saleQuotation->cash_discount;
            $sales->round_off = $saleQuotation->round_off;
            $sales->grand_total = $saleQuotation->grand_total;
            $sales->status = $saleQuotation->status;
            $sales->settled = $saleQuotation->settled;
            $sales->vehicle_id = $saleQuotation->vehicle_id;
            $sales->quotation_id = $saleQuotation->id;
            $sales->created_by = Auth::id();
            $sales->save();

            if(isset($sales->settled) && $sales->settled == 1)
            {
                $saleSettlements = new SaleSettlement;
                $saleSettlements->sales_id = $sales->id;
                $saleSettlements->payment_mode = $sales->payment_pode;
                $saleSettlements->total_amount = $sales->grand_total;
                $saleSettlements->received_amount = $sales->grand_total;
                $saleSettlements->save();
            }

            $saleQuotation->is_sales = true;
            $saleQuotation->save();

            $transaction = new Transaction;
            $transaction->transaction_no = strtoupper(uniqid());
            $transaction->transaction_date = $sales->sale_date;
            $transaction->parent_table_id = $sales->id;
            $transaction->customer_id = $sales->customer_id;
            $transaction->branch_id = $sales->branch_id;
            $transaction->parent_table = 1;
            $transaction->transaction_type = 1;
            $transaction->payment_type = 1;
            if($sales->payment_pode == 'Credit')
            {
                $transaction->debit_amount = $sales->grand_total;
                $transaction->credit_amount = 0;
            }
            else
            {
                $transaction->credit_amount = $sales->grand_total;
                $transaction->debit_amount = $sales->grand_total;
            }
            
            $transaction->description = 'Sales';
            $transaction->created_by = Auth::id();
            $transaction->save();

            /*****************Sale Client Start****************/

                $salesClient = new SaleClient;
                $salesClient->sales_id = $sales->id;
                $salesClient->invoice_no = $sales->invoice_no;
                $salesClient->sale_date = $sales->sale_date;
                $salesClient->payment_pode = $sales->payment_pode;
                $salesClient->tax_type = $sales->tax_type;
                $salesClient->bill_type = $sales->sales_type;
                $salesClient->purpose = $sales->purpose;
                $salesClient->customer_id = $sales->customer_id;
                $salesClient->branch_id = $sales->branch_id;
                $salesClient->salesman_id = $sales->salesman_id;
                $salesClient->price_list = $sales->price_list;
                $salesClient->total_amount = $sales->total_amount;
                $salesClient->total_cgst_amount = $sales->total_cgst_amount;
                $salesClient->total_sgst_amount = $sales->total_sgst_amount;
                $salesClient->total_igst_amount = $sales->total_igst_amount;
                $salesClient->total_tax_amount = $sales->total_tax_amount;
                $salesClient->total_taxable_amt = $sales->total_taxable_amt;
                $salesClient->total_discount_percentage = $sales->total_discount_percentage;
                $salesClient->total_discount_amount = $sales->total_discount_amount;
                $salesClient->exempted = $sales->exempted;
                $salesClient->total_item_discount = $sales->total_item_discount;
                $salesClient->sales_total = $sales->sales_total;
                $salesClient->netvalue = $sales->netvalue;
                $salesClient->cess = $sales->cess;
                $salesClient->add_cess = $sales->add_cess;
                $salesClient->freight_coolie = $sales->freight_coolie;
                $salesClient->otherexp = $sales->otherexp;
                $salesClient->cost_factor = $sales->cost_factor;
                $salesClient->cash_discount = $sales->cash_discount;
                $salesClient->round_off = $sales->round_off;
                $salesClient->grand_total = $sales->grand_total;
                $salesClient->status = $sales->status;
                $salesClient->settled = $sales->settled;
                $salesClient->created_by = Auth::id();
                $salesClient->save();

            /*****************Sale Client End****************/

            foreach($saleQuotation->saleDetails as $saleList)
            {
                $saleDetails = new SaleItem;
                $saleDetails->sales_id = $sales->id;
                $saleDetails->product_master_id = $saleList->product_master_id;
                $saleDetails->quantity = $saleList->quantity;
                $saleDetails->free_quantity = $saleList->free_quantity;
                $saleDetails->unit_price = $saleList->unit_price;
                $saleDetails->mrp = $saleList->mrp;
                $saleDetails->gross_amount = $saleList->gross_amount;
                $saleDetails->discount_percentage = $saleList->discount_percentage;
                $saleDetails->discount_amount = $saleList->discount_amount;
                $saleDetails->taxable_amount = $saleList->taxable_amount;
                $saleDetails->cgst = $saleList->cgst;
                $saleDetails->cgst_amount = $saleList->cgst_amount;
                $saleDetails->sgst = $saleList->sgst;
                $saleDetails->sgst_amount = $saleList->sgst_amount;
                $saleDetails->item_total = $saleList->item_total;
                $saleDetails->save();

                
                /*****************Sale Client Item Start****************/

                $saleDetails = new SaleClientItems;
                $saleDetails->sales_client_id = $salesClient->id;
                $saleDetails->product_master_id = $saleList->product_master_id;
                $saleDetails->quantity = $saleList->quantity;
                $saleDetails->free_quantity = $saleList->free_quantity;
                $saleDetails->unit_price = $saleList->unit_price;
                $saleDetails->mrp = $saleList->mrp;
                $saleDetails->gross_amount = $saleList->gross_amount;
                $saleDetails->discount_percentage = $saleList->discount_percentage;
                $saleDetails->discount_amount = $saleList->discount_amount;
                $saleDetails->taxable_amount = $saleList->taxable_amount;
                $saleDetails->cgst = $saleList->cgst;
                $saleDetails->cgst_amount = $saleList->cgst_amount;
                $saleDetails->sgst = $saleList->sgst;
                $saleDetails->sgst_amount = $saleList->sgst_amount;
                $saleDetails->item_total = $saleList->item_total;
                $saleDetails->save();

                /*****************Sale Client Item End****************/

                $totalqty = ((float) $saleList->quantity + (float) $saleList->free_quantity);
                if($sales->branch->company_type == 2)
                {
                    if($this->checkUseris())
                    {
                        if(StockBranch::where('branch_id', $sales->branch_id)->where('product_master_id', $saleList->product_master_id)->exists())
                        {
                            $currentstock = StockBranch::where('branch_id', $sales->branch_id)->where('product_master_id', $saleList->product_master_id)->first();
                            $currentstock->primary_qty = ($currentstock->primary_qty - $totalqty);
                            $currentstock->secondary_qty = ($currentstock->secondary_qty - 0);
                            $currentstock->measure_finder = $currentstock->measure_finder;
                            $currentstock->save();
                        }
                        else
                        {
                            $branchStock = new StockBranch;
                            $branchStock->branch_id = $sales->branch_id;
                            $branchStock->product_master_id = $saleList->product_master_id;
                            $branchStock->primary_qty = (-1 * abs($totalqty));
                            $branchStock->secondary_qty = 0;
                            $branchStock->measure_finder = 0;
                            $branchStock->comments = 'Sale ID: '.$sales->id;
                            $branchStock->created_by = Auth::id();
                            $branchStock->save();
                        }
                    }
                }
                else
                {
                    if(Stock::where('product_master_id', $saleList->product_master_id)->exists())
                    {
                        $mainstock = Stock::where('product_master_id', $saleList->product_master_id)->first();
                        $mainstock->primary_qty = ($mainstock->primary_qty - $totalqty);
                        $mainstock->secondary_qty = ($mainstock->secondary_qty - 0);
                        $mainstock->measure_finder = $mainstock->measure_finder;
                        $mainstock->save();
                    }
                    else
                    {
                        $mainstock = new Stock;
                        $mainstock->product_master_id = $saleList->product_master_id;
                        $mainstock->primary_qty = (-1 * abs($totalqty));
                        $mainstock->secondary_qty = 0;
                        $mainstock->measure_finder = 0;
                        $mainstock->save();
                    }
                }
            }

            return response()->json(['success' => true, 'message' => 'Invoice Created.'], 200);
        }
        catch (\Exception $e)
        {
            dd($e->getMessage());
            return response()->json(['success' => false, 'message' => $e->getMessage()], 400);
        }
    }

    public function checkUseris()
    {
        if(Auth::user()->hasRole('Super Admin'))
        {
            return true;
        }
        elseif(Auth::user()->employee->branch->company_type == 1)
        {
            return true;
        }
        else
        {
            return false;
        }
    }
}