<?php

namespace App\Services;
use App\Models\CustomerMaster;
use App\Models\ProductMaster;
use App\Models\ProductPrice;
use App\Models\ProductTax;
use App\Models\ProductUnit;
use App\Models\Stock;
use App\Models\Invoice;

use App\Models\Sale;
use App\Models\SaleItem;
use App\Models\SaleClient;
use App\Models\SaleClientItems;
use App\Models\StockBranch;
use App\Models\StockBranchPurchase;
use App\Models\PurchaseLog;
use App\Models\SaleSettlement;
use App\Models\PlaceOfSupply;
use App\Models\DriverMaster;

use App\Models\Transaction;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;

use App\Models\SalesReturn;
use App\Models\SalesItemReturn;


class SaleService {

    public function store(array $inputData)
    {
        try
        {
            if(isset($inputData['customer_name']) && !empty($inputData['customer_name']))
            {
                if(CustomerMaster::where('name', $inputData['customer_name'])->exists())
                {
                    $customer = CustomerMaster::where('name', $inputData['customer_name'])->first();
                    $customerid = $customer->id;
                }
                else
                {
                    $customer = new CustomerMaster;
                    $customer->accountcode = strtoupper(Str::random(5));
                    $customer->name = $inputData['customer_name'];
                    $customer->mobile = random_int(100000, 999999).date("dmY");
                    $customer->phone = random_int(100000, 999999).date("dmY");
                    $customer->email = 'example'.Str::random(5).'@gmail.com';
                    $customer->state_pos = 19;
                    $customer->gstin = null;
                    $customer->address = 'Nil';
                    $customer->area_id = null;
                    $customer->regioanal = 'EN';
                    $customer->remarks = null;
                    $customer->creditlimit = null;
                    $customer->discount = null;
                    $customer->supplierstatus = true;
                    $customer->activestatus = (isset($inputData['active_status']) && $inputData['active_status'] == 0)? false : true;
                    $customer->created_by = Auth::id();
                    $customer->save();
                    $customerid = $customer->id;
                }
            }
            else
            {
                $customerid = $inputData['customer'];
            }

            if(Invoice::where('prefix', $inputData['sales_type'])->where('branch_id', $inputData['branch'])->exists())
            {
                $invno = Invoice::where('prefix', $inputData['sales_type'])->where('branch_id', $inputData['branch'])->first();
                $invno->number = $invno->number + 1;
                $invno->save();
                $invnonew = $invno->number;
            }
            else
            {
                $invno = new Invoice;
                $invno->prefix = $inputData['sales_type'];
                $invno->branch_id = $inputData['branch'];
                $invno->number = 1;
                $invno->save();
                $invnonew = 1;
            }

            $placeName = $driverName = '';
            if(!empty($inputData['site_val']))
            {
                if(PlaceOfSupply::where('name', $inputData['site_val'])->exists())
                {
                    $placeval = PlaceOfSupply::where('name', $inputData['site_val'])->first();
                    $placeName = $placeval->name;
                }
                else
                {
                    $placeval = new PlaceOfSupply;
                    $placeval->name = $inputData['site_val'];
                    $placeval->save();
                    $placeName = $placeval->name;
                }
            }

            if(!empty($inputData['driver_val']))
            {
                if(DriverMaster::where('name', $inputData['driver_val'])->exists())
                {
                    $driverval = DriverMaster::where('name', $inputData['driver_val'])->first();
                    $driverName = $driverval->name;
                }
                else
                {
                    $driverval = new DriverMaster;
                    $driverval->name = $inputData['driver_val'];
                    $driverval->mobile = random_int(100000, 999999).date("dmY");
                    $driverval->created_by = Auth::id();
                    $driverval->save();
                    $driverName = $driverval->name;
                }
            }
            if(empty($inputData['print_vehicle']))
            {
                $printvehicle = 0;
            }
            else
            {
                $printvehicle = $inputData['print_vehicle'];
            }
            if(empty($inputData['print_site']))
            {
                $printsite = 0;
            }
            else
            {
                $printsite = $inputData['print_site'];
            }
            if(empty($inputData['print_diver']))
            {
                $printdiver = 0;
            }
            else
            {
                $printdiver = $inputData['print_diver'];
            }
            
            $siteData = array('driver' => $driverName, 'site' => $placeName , 'printvehicle' => $printvehicle , 'printsite' => $printsite , 'printdiver' => $printdiver);
            $sales = new Sale;
            $sales->invoice_no = $invno->prefix.'-'.$invnonew;// $invno->prefix.'-'.$invnonew ; $invnonew
            $sales->sale_date = $inputData['billdate'];
            $sales->payment_pode = $inputData['mop'];
            $sales->tax_type = $inputData['tax'];
            $sales->bill_type = $inputData['sales_type'];
            $sales->sales_type = (isset($inputData['typeofSale']) && $inputData['typeofSale'] == 0)?$inputData['typeofSale']:'1';
            $sales->purpose = (isset($inputData['purpose']))?$inputData['purpose']:'0';
            $sales->customer_id = $customerid;
            $sales->branch_id = $inputData['branch'];
            $sales->salesman_id = $inputData['sales_man'];
            $sales->price_list = $inputData['pricelist'];
            $sales->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
            $sales->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
            $sales->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
            $sales->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
            $sales->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
            $sales->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
            $sales->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
            $sales->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
            $sales->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
            $sales->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
            $sales->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
            $sales->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
            $sales->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
            $sales->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
            $sales->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
            $sales->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
            $sales->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
            $sales->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
            $sales->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
            $sales->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
            $sales->status = true;
            $sales->settled = (isset($inputData['settleVal']) && $inputData['settleVal'] == 0) ? false : true;
            $sales->vehicle_id = (isset($inputData['vehicle']) && !empty($inputData['vehicle'])) ? $inputData['vehicle'] : null;
            $sales->site_data = (isset($siteData) && !empty($siteData)) ? json_encode($siteData) : null;
            $sales->created_by = Auth::id();
            $sales->save();
            if(isset($inputData['settleVal']) && $inputData['settleVal'] == 1)
            {
                $saleSettlements = new SaleSettlement;
                $saleSettlements->sales_id = $sales->id;
                $saleSettlements->payment_mode = $inputData['mop'];
                $saleSettlements->total_amount = $sales->grand_total;
                $saleSettlements->received_amount = (isset($inputData['recamt']) && !empty($inputData['recamt'])) ? $inputData['recamt'] : '0';
                $saleSettlements->save();
            }

            /*****************Sale Client Start****************/

            $salesClient = new SaleClient;
            $salesClient->sales_id = $sales->id;
            $salesClient->invoice_no = $invnonew;
            $salesClient->sale_date = $inputData['billdate'];
            $salesClient->payment_pode = $inputData['mop'];
            $salesClient->tax_type = $inputData['tax'];
            $salesClient->bill_type = $inputData['sales_type'];
            $salesClient->purpose = $sales->purpose;
            $salesClient->customer_id = $customerid;
            $salesClient->branch_id = $inputData['branch'];
            $salesClient->salesman_id = $inputData['sales_man'];
            $salesClient->price_list = $inputData['pricelist'];
            $salesClient->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
            $salesClient->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
            $salesClient->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
            $salesClient->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
            $salesClient->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
            $salesClient->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
            $salesClient->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
            $salesClient->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
            $salesClient->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
            $salesClient->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
            $salesClient->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
            $salesClient->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
            $salesClient->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
            $salesClient->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
            $salesClient->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
            $salesClient->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
            $salesClient->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
            $salesClient->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
            $salesClient->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
            $salesClient->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
            $salesClient->status = true;
            $salesClient->settled = (isset($inputData['settleVal']) && $inputData['settleVal'] == 0) ? false : true;
            $salesClient->created_by = Auth::id();
            $salesClient->save();

            /*****************Sale Client End****************/

            foreach($inputData['prdid'] as $key => $productid)
            {
                if(ProductMaster::where('id', $productid)->exists())
                {
                    $product = ProductMaster::find($productid);
                    $saleDetails = new SaleItem;
                    $saleDetails->sales_id = $sales->id;
                    $saleDetails->product_master_id = $productid;
                    $saleDetails->hsncode = $product->hsncode;
                    $saleDetails->unit = $product->unit->unit;
                    $saleDetails->quantity = $inputData['quantity'][$key];
                    $saleDetails->free_quantity = $inputData['freequantity'][$key];
                    $saleDetails->unit_price = $inputData['purchase_rate'][$key];
                    $saleDetails->mrp = $inputData['mrp'][$key];
                    $saleDetails->gross_amount = $inputData['taxableamt'][$key];
                    $saleDetails->discount_percentage = $inputData['disc_per'][$key];
                    $saleDetails->discount_amount = $inputData['disc_amt'][$key];
                    $saleDetails->taxable_amount = $inputData['taxablerow'][$key];
                    $saleDetails->cgst = $inputData['cgst'][$key];
                    $saleDetails->cgst_amount = $inputData['cgst_amt'][$key];
                    $saleDetails->sgst = $inputData['sgst'][$key];
                    $saleDetails->sgst_amount = $inputData['sgst_amt'][$key];
                    $saleDetails->item_total = $inputData['total'][$key];
                    $saleDetails->save();

                    
                    /*****************Sale Client Item Start****************/

                    $saleDetails = new SaleClientItems;
                    $saleDetails->sales_client_id = $salesClient->id;
                    $saleDetails->product_master_id = $productid;
                    $saleDetails->hsncode = $product->hsncode;
                    $saleDetails->unit = $product->unit->unit;
                    $saleDetails->quantity = $inputData['quantity'][$key];
                    $saleDetails->free_quantity = $inputData['freequantity'][$key];
                    $saleDetails->unit_price = $inputData['purchase_rate'][$key];
                    $saleDetails->mrp = $inputData['mrp'][$key];
                    $saleDetails->gross_amount = $inputData['taxableamt'][$key];
                    $saleDetails->discount_percentage = $inputData['disc_per'][$key];
                    $saleDetails->discount_amount = $inputData['disc_amt'][$key];
                    $saleDetails->taxable_amount = $inputData['taxablerow'][$key];
                    $saleDetails->cgst = $inputData['cgst'][$key];
                    $saleDetails->cgst_amount = $inputData['cgst_amt'][$key];
                    $saleDetails->sgst = $inputData['sgst'][$key];
                    $saleDetails->sgst_amount = $inputData['sgst_amt'][$key];
                    $saleDetails->item_total = $inputData['total'][$key];
                    $saleDetails->save();

                    /*****************Sale Client Item End****************/

                    $totalqty = ((float) $inputData['quantity'][$key] + (float) $inputData['freequantity'][$key]);
                    if($sales->branch->company_type == 2)
                    {
                        if($this->checkUseris())
                        {
                            if(StockBranch::where('branch_id', $inputData['branch'])->where('product_master_id', $productid)->exists())
                            {
                                $currentstock = StockBranch::where('branch_id', $inputData['branch'])->where('product_master_id', $productid)->first();
                                $currentstock->primary_qty = ($currentstock->primary_qty - $totalqty);
                                $currentstock->secondary_qty = ($currentstock->secondary_qty - 0);
                                $currentstock->measure_finder = $currentstock->measure_finder;
                                $currentstock->save();
                            }
                            else
                            {
                                $branchStock = new StockBranch;
                                $branchStock->branch_id = $inputData['branch'];
                                $branchStock->product_master_id = $productid;
                                $branchStock->primary_qty = (-1 * abs($totalqty));
                                $branchStock->secondary_qty = 0;
                                $branchStock->measure_finder = 0;
                                $branchStock->comments = 'Sale ID: '.$sales->id;
                                $branchStock->created_by = Auth::id();
                                $branchStock->save();
                            }
                        }
                    }
                    else
                    {
                        if(Stock::where('product_master_id', $productid)->exists())
                        {
                            $mainstock = Stock::where('product_master_id', $productid)->first();
                            $mainstock->primary_qty = ($mainstock->primary_qty - $totalqty);
                            $mainstock->secondary_qty = ($mainstock->secondary_qty - 0);
                            $mainstock->measure_finder = $mainstock->measure_finder;
                            $mainstock->save();
                        }
                        else
                        {
                            $mainstock = new Stock;
                            $mainstock->product_master_id = $productid;
                            $mainstock->primary_qty = (-1 * abs($totalqty));
                            $mainstock->secondary_qty = 0;
                            $mainstock->measure_finder = 0;
                            $mainstock->save();
                        }
                    }
                    

                    //$log = PurchaseLog::create(['purchase_id' => $purchase->id, 'created_by' =>  Auth::id(), 'product_master_id' => $productid, 'comment' => 'Made new purchase.']);
                }
                else
                {
                    return response()->json(['success' => false, 'message' => 'Product not exist'], 400);
                }
            }

            if(isset($inputData['billType']) && !empty($inputData['billType']) && $inputData['billType'] == 'ES')
            {
                $marginUpdate = $this->updateMargin($sales->id);
                if($marginUpdate->getData()->success)
                {
                    $this->reCalculateTotal($sales->id);

                    $transaction = new Transaction;
                    $transaction->transaction_no = strtoupper(uniqid());
                    $transaction->transaction_date = $sales->sale_date;
                    $transaction->parent_table_id = $sales->id;
                    $transaction->customer_id = $sales->customer_id;
                    $transaction->branch_id = $sales->branch_id;
                    $transaction->parent_table = 1;
                    $transaction->transaction_type = 1;
                    $transaction->payment_type = 1;
                    if($sales->payment_pode == 'Credit')
                    {
                        $transaction->debit_amount = $salesClient->grand_total;
                        $transaction->credit_amount = 0;
                    }
                    else
                    {
                        $transaction->credit_amount = $salesClient->grand_total;
                        $transaction->debit_amount = $salesClient->grand_total;
                    }
                    
                    $transaction->description = 'Estimate';
                    $transaction->reference_invoice_no = $sales->invoice_no;
                    $transaction->reference_type = 'Sale';
                    $transaction->created_by = Auth::id();
                    $transaction->save();
                }
            }
            else
            {
                $transaction = new Transaction;
                $transaction->transaction_no = strtoupper(uniqid());
                $transaction->transaction_date = $sales->sale_date;
                $transaction->parent_table_id = $sales->id;
                $transaction->customer_id = $sales->customer_id;
                $transaction->branch_id = $sales->branch_id;
                $transaction->parent_table = 1;
                $transaction->transaction_type = 1;
                $transaction->payment_type = 1;
                if($sales->payment_pode == 'Credit')
                {
                    $transaction->debit_amount = $sales->grand_total;
                    $transaction->credit_amount = 0;
                }
                else
                {
                    $transaction->credit_amount = $sales->grand_total;
                    $transaction->debit_amount = $sales->grand_total;
                }
                
                $transaction->description = 'Sales';
                $transaction->reference_invoice_no = $sales->invoice_no;
                $transaction->created_by = Auth::id();
                $transaction->save();
            }
            
            return response()->json(['success' => true, 'message' => 'Sale Created Successfully!', 'sale' => $sales->id], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function checkUseris()
    {
        if(Auth::user()->hasRole('Super Admin'))
        {
            return true;
        }
        elseif(Auth::user()->employee->branch->company_type == 1)
        {
            return true;
        }
        else
        {
            return false;
        }
    }


    public function update(array $inputData, Sale $sale)
    {
        try
        {
            $placeName = $driverName = '';
            if(!empty($inputData['site_val']))
            {
                if(PlaceOfSupply::where('name', $inputData['site_val'])->exists())
                {
                    $placeval = PlaceOfSupply::where('name', $inputData['site_val'])->first();
                    $placeName = $placeval->name;
                }
                else
                {
                    $placeval = new PlaceOfSupply;
                    $placeval->name = $inputData['site_val'];
                    $placeval->save();
                    $placeName = $placeval->name;
                }
            }

            if(!empty($inputData['driver_val']))
            {
                if(DriverMaster::where('name', $inputData['driver_val'])->exists())
                {
                    $driverval = DriverMaster::where('name', $inputData['driver_val'])->first();
                    $driverName = $driverval->name;
                }
                else
                {
                    $driverval = new DriverMaster;
                    $driverval->name = $inputData['driver_val'];
                    $driverval->save();
                    $driverName = $driverval->name;
                }
            }
            if(empty($inputData['print_vehicle']))
            {
                $printvehicle = 0;
            }
            else
            {
                $printvehicle = $inputData['print_vehicle'];
            }
            if(empty($inputData['print_site']))
            {
                $printsite = 0;
            }
            else
            {
                $printsite = $inputData['print_site'];
            }
            if(empty($inputData['print_diver']))
            {
                $printdiver = 0;
            }
            else
            {
                $printdiver = $inputData['print_diver'];
            }
            
            $siteData = array('driver' => $driverName, 'site' => $placeName , 'printvehicle' => $printvehicle , 'printsite' => $printsite , 'printdiver' => $printdiver);

            $sale->sale_date = $inputData['billdate'];
            $sale->payment_pode = $inputData['mop'];
            $sale->tax_type = $inputData['tax'];
            $sale->bill_type = $inputData['sales_type'];
            $sale->customer_id = $inputData['customer'];
            $sale->branch_id = $inputData['branch'];
            $sale->salesman_id = $inputData['sales_man'];
            $sale->price_list = $inputData['pricelist'];
            $sale->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
            $sale->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
            $sale->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
            $sale->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
            $sale->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
            $sale->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
            $sale->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
            $sale->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
            $sale->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
            $sale->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
            $sale->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
            $sale->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
            $sale->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
            $sale->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
            $sale->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
            $sale->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
            $sale->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
            $sale->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
            $sale->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
            $sale->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
            $sale->vehicle_id = (isset($inputData['vehicle']) && !empty($inputData['vehicle'])) ? $inputData['vehicle'] : null;
            $sale->site_data = (isset($siteData) && !empty($siteData)) ? json_encode($siteData) : null;
            $sale->save();

            if($sale->purpose)
            {
                $salesClient = SaleClient::where('sales_id', $sale->id)->first();
                if(!$salesClient->correction_status)
                {
                    $salesClient->sale_date = $inputData['billdate'];
                    $salesClient->payment_pode = $inputData['mop'];
                    $salesClient->tax_type = $inputData['tax'];
                    $salesClient->bill_type = $inputData['sales_type'];
                    $salesClient->customer_id = $inputData['customer'];
                    $salesClient->branch_id = $inputData['branch'];
                    $salesClient->salesman_id = $inputData['sales_man'];
                    $salesClient->price_list = $inputData['pricelist'];
                    $salesClient->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
                    $salesClient->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
                    $salesClient->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
                    $salesClient->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
                    $salesClient->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
                    $salesClient->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
                    $salesClient->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
                    $salesClient->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
                    $salesClient->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
                    $salesClient->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
                    $salesClient->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
                    $salesClient->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
                    $salesClient->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
                    $salesClient->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
                    $salesClient->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
                    $salesClient->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
                    $salesClient->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
                    $salesClient->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
                    $salesClient->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
                    $salesClient->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
                    $salesClient->save();
                }
            }

            if(Transaction::where('branch_id', $sale->branch_id)->where('parent_table', 1)->where('parent_table_id', $sale->id)->exists())
            {
                $transaction = Transaction::where('branch_id', $sale->branch_id)->where('parent_table', 1)->where('parent_table_id', $sale->id)->first();
                if($sale->purpose)
                {
                    $transaction->customer_id = $sale->customer_id;
                    $transaction->transaction_date = $sale->sale_date;
                    if($sale->payment_pode == 'Credit')
                    {
                        $transaction->debit_amount = $sale->grand_total;
                        $transaction->credit_amount = 0;
                    }
                    else
                    {
                        $transaction->credit_amount = $sale->grand_total;
                        $transaction->debit_amount = $sale->grand_total;
                    }
                    $transaction->save();
                }
            }
            
            if(isset($inputData['tblid']) && count($inputData['tblid']) > 0)
            {
                $removedItems = SaleItem::where('sales_id', $sale->id)->whereNotIn('id', $inputData['tblid'])->get();
                if($removedItems)
                {
                    foreach($removedItems as $removedItem)
                    {
                        $totalqty = ((float) $removedItem->quantity + (float) $removedItem->free_quantity);
                        if($sale->branch->company_type == 2)
                        {
                            if(StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->exists())
                            {
                                $currentstock = StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->first();
                                $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                                $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                                $currentstock->measure_finder = $currentstock->measure_finder;
                                $currentstock->save();
                            }
                        }
                        else
                        {
                            if(Stock::where('product_master_id', $removedItem->product_master_id)->exists())
                            {
                                $mainstock = Stock::where('product_master_id', $removedItem->product_master_id)->first();
                                $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                                $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                                $mainstock->measure_finder = $mainstock->measure_finder;
                                $mainstock->save();
                            }
                        }
                        //$log = PurchaseLog::create(['purchase_id' => $sale->id, 'created_by' =>  Auth::id(), 'product_master_id' => $removedItem->product_master_id, 'comment' => 'Removed item.']);
                        $removedItem->delete();
                    }
                }
            }
            else
            {
                $removedItems = SaleItem::where('sales_id', $sale->id)->get();
                if($removedItems)
                {
                    foreach($removedItems as $removedItem)
                    {
                        $totalqty = ((float) $removedItem->quantity + (float) $removedItem->free_quantity);
                        if($sale->branch->company_type == 2)
                        {
                            if(StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->exists())
                            {
                                $currentstock = StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->first();
                                $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                                $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                                $currentstock->measure_finder = $currentstock->measure_finder;
                                $currentstock->save();
                            }
                        }
                        else
                        {
                            if(Stock::where('product_master_id', $removedItem->product_master_id)->exists())
                            {
                                $mainstock = Stock::where('product_master_id', $removedItem->product_master_id)->first();
                                $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                                $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                                $mainstock->measure_finder = $mainstock->measure_finder;
                                $mainstock->save();
                            }
                        }
                        $removedItem->delete();
                    }
                }
            }

            if($sale->purpose)
            {
                if(!$salesClient->correction_status)
                {
                    if(isset($inputData['tblid']) && count($inputData['tblid']) > 0)
                    {
                        $removedClientItems = SaleClientItems::where('sales_client_id', $salesClient->id)->whereNotIn('id', $inputData['tblid'])->get();
                        // $removedClientItems = SaleClientItems::where('sales_client_id', $salesClient->id)->whereNotIn('product_master_id', $inputData['prdid'])->get();
                        if($removedClientItems)
                        {
                            foreach($removedClientItems as $removedClientItem)
                            {
                                $removedClientItem->delete();
                            }
                        }
                    }
                    else
                    {
                        $removedClientItems = SaleClientItems::where('sales_client_id', $salesClient->id)->get();
                        if($removedClientItems)
                        {
                            foreach($removedClientItems as $removedClientItem)
                            {
                                $removedClientItem->delete();
                            }
                        }
                    }
                }
            }
            
            if(isset($inputData['tblid']) && count($inputData['tblid']) > 0)
            {
                foreach($inputData['tblid'] as $key => $tableid)
                {
                    if(SaleItem::where('id', $tableid)->exists())
                    {
                        $saleItems = SaleItem::where('sales_id', $sale->id)->find($tableid);
                        
                        if(ProductMaster::where('id', $saleItems->product_master_id)->exists())
                        {
                            $totalqty = ((float) $inputData['quantity'][$key] + (float) $inputData['freequantity'][$key]);
                            $totalqtyexist = ((float) $saleItems->quantity + (float) $saleItems->free_quantity);
                            if($sale->branch->company_type == 2)
                            {
                                $currentstock = StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $saleItems->product_master_id)->first();
                                if($currentstock)
                                {
                                    if($totalqtyexist >= $totalqty)
                                    {
                                        $quantitys = abs($totalqtyexist - $totalqty);
                                        $quantitys = ($currentstock->primary_qty - $quantitys);
                                    }
                                    else
                                    {
                                        $quantitys = abs($totalqty - $totalqtyexist);
                                        $quantitys = ($currentstock->primary_qty + $quantitys);
                                    }
                                    $currentstock->primary_qty = $quantitys;
                                    $currentstock->save();
                                }
                                else
                                {
                                    $branchStock = new StockBranch;
                                    $branchStock->branch_id = $sale->branch_id;
                                    $branchStock->product_master_id = $saleItems->product_master_id;
                                    $branchStock->primary_qty = 0;
                                    $branchStock->secondary_qty = 0;
                                    $branchStock->measure_finder = 0;
                                    $branchStock->comments = 'Transfer ID: From Sale';
                                    $branchStock->created_by = Auth::id();
                                    $branchStock->save();
                                }
                                
                            }
                            else
                            {
                                if(Stock::where('product_master_id', $saleItems->product_master_id)->exists())
                                {
                                    $mainstock = Stock::where('product_master_id', $saleItems->product_master_id)->first();
                                    if($totalqtyexist >= $totalqty)
                                    {
                                        $quantitys = abs($totalqty - $totalqtyexist);
                                        $quantitys = ($mainstock->primary_qty + $quantitys);
                                    }
                                    else
                                    {
                                        $quantitys = abs($totalqtyexist - $totalqty);
                                        $quantitys = ($mainstock->primary_qty - $quantitys);
                                    }
                                    $mainstock->primary_qty = $quantitys;
                                    $mainstock->save();
                                }
                                else
                                {
                                    $mainstock = new Stock;
                                    $mainstock->product_master_id = $saleItems->product_master_id;
                                    $mainstock->primary_qty = 0;
                                    $mainstock->secondary_qty = 0;
                                    $mainstock->measure_finder = 0;
                                    $mainstock->save();
                                }
                            }
    
                            $saleItems->quantity = $inputData['quantity'][$key];
                            $saleItems->free_quantity = $inputData['freequantity'][$key];
                            $saleItems->unit_price = $inputData['purchase_rate'][$key];
                            $saleItems->mrp = $inputData['mrp'][$key];
                            $saleItems->gross_amount = $inputData['taxableamt'][$key];
                            $saleItems->discount_percentage = $inputData['disc_per'][$key];
                            $saleItems->discount_amount = $inputData['disc_amt'][$key];
                            $saleItems->taxable_amount = $inputData['taxablerow'][$key];
                            $saleItems->cgst = $inputData['cgst'][$key];
                            $saleItems->cgst_amount = $inputData['cgst_amt'][$key];
                            $saleItems->sgst = $inputData['sgst'][$key];
                            $saleItems->sgst_amount = $inputData['sgst_amt'][$key];
                            $saleItems->item_total = $inputData['total'][$key];
                            $saleItems->save();
                            if($sale->purpose)
                            {
                                if(!$salesClient->correction_status)
                                {
                                    $saleClientItems = SaleClientItems::where('sales_client_id', $salesClient->id)->find($tableid);
                                    if($saleClientItems)
                                    {
                                        // $saleClientItems = SaleClientItems::where('sales_client_id', $salesClient->id)->where('product_master_id', $saleItems->product_master_id)->first();
                                        $saleClientItems->quantity = $inputData['quantity'][$key];
                                        $saleClientItems->free_quantity = $inputData['freequantity'][$key];
                                        $saleClientItems->unit_price = $inputData['purchase_rate'][$key];
                                        $saleClientItems->mrp = $inputData['mrp'][$key];
                                        $saleClientItems->gross_amount = $inputData['taxableamt'][$key];
                                        $saleClientItems->discount_percentage = $inputData['disc_per'][$key];
                                        $saleClientItems->discount_amount = $inputData['disc_amt'][$key];
                                        $saleClientItems->taxable_amount = $inputData['taxablerow'][$key];
                                        $saleClientItems->cgst = $inputData['cgst'][$key];
                                        $saleClientItems->cgst_amount = $inputData['cgst_amt'][$key];
                                        $saleClientItems->sgst = $inputData['sgst'][$key];
                                        $saleClientItems->sgst_amount = $inputData['sgst_amt'][$key];
                                        $saleClientItems->item_total = $inputData['total'][$key];
                                        $saleClientItems->save();
                                        // SaleClientItems::where('sales_client_id', $salesClient->id)->where('id', $tableid)
                                        // ->update([
                                        //     'quantity' => $inputData['quantity'][$key], 
                                        //     'free_quantity' => $inputData['freequantity'][$key], 
                                        //     'unit_price' => $inputData['purchase_rate'][$key], 
                                        //     'mrp' => $inputData['mrp'][$key], 
                                        //     'gross_amount' => $inputData['taxableamt'][$key], 
                                        //     'discount_percentage' => $inputData['disc_per'][$key], 
                                        //     'discount_amount' => $inputData['disc_amt'][$key], 
                                        //     'taxable_amount' => $inputData['taxablerow'][$key],
                                        //     'cgst' => $inputData['cgst'][$key],
                                        //     'cgst_amount' => $inputData['cgst_amt'][$key],
                                        //     'sgst' => $inputData['sgst'][$key],
                                        //     'sgst_amount' => $inputData['sgst_amt'][$key],
                                        //     'item_total' => $inputData['total'][$key],
                                        // ]);
                                    }
                                }
                            }
    
                            //$log = PurchaseLog::create(['purchase_id' => $purchase->id, 'created_by' =>  Auth::id(), 'product_master_id' => $purchaseItems->product_master_id, 'comment' => 'Updated item.']);
                        }
                    }
                }
            }

            if(isset($inputData['editprdid']) && count($inputData['editprdid']) > 0)
            {
                foreach($inputData['editprdid'] as $key => $productid)
                {
                    if(ProductMaster::where('id', $productid)->exists())
                    {
                        $product = ProductMaster::find($productid);
                        $saleDetails = new SaleItem;
                        $saleDetails->sales_id = $sale->id;
                        $saleDetails->product_master_id = $productid;
                        $saleDetails->hsncode = $product->hsncode;
                        $saleDetails->unit = $product->unit->unit;
                        $saleDetails->quantity = $inputData['editquantity'][$key];
                        $saleDetails->free_quantity = $inputData['editfreequantity'][$key];
                        $saleDetails->unit_price = $inputData['editpurchase_rate'][$key];
                        $saleDetails->mrp = $inputData['editmrp'][$key];
                        $saleDetails->gross_amount = $inputData['edittaxableamt'][$key];
                        $saleDetails->discount_percentage = $inputData['editdisc_per'][$key];
                        $saleDetails->discount_amount = $inputData['editdisc_amt'][$key];
                        $saleDetails->taxable_amount = $inputData['edittaxablerow'][$key];
                        $saleDetails->cgst = $inputData['editcgst'][$key];
                        $saleDetails->cgst_amount = $inputData['editcgst_amt'][$key];
                        $saleDetails->sgst = $inputData['editsgst'][$key];
                        $saleDetails->sgst_amount = $inputData['editsgst_amt'][$key];
                        $saleDetails->item_total = $inputData['edittotal'][$key];
                        $saleDetails->save();

                        /*****************Sale Client Item Start****************/
                        if($sale->purpose)
                        {
                            if(!$salesClient->correction_status)
                            {
                                $saleClientDetails = new SaleClientItems;
                                $saleClientDetails->sales_client_id = $salesClient->id;
                                $saleClientDetails->product_master_id = $productid;
                                $saleClientDetails->hsncode = $product->hsncode;
                                $saleClientDetails->unit = $product->unit->unit;
                                $saleClientDetails->quantity = $inputData['editquantity'][$key];
                                $saleClientDetails->free_quantity = $inputData['editfreequantity'][$key];
                                $saleClientDetails->unit_price = $inputData['editpurchase_rate'][$key];
                                $saleClientDetails->mrp = $inputData['editmrp'][$key];
                                $saleClientDetails->gross_amount = $inputData['edittaxableamt'][$key];
                                $saleClientDetails->discount_percentage = $inputData['editdisc_per'][$key];
                                $saleClientDetails->discount_amount = $inputData['editdisc_amt'][$key];
                                $saleClientDetails->taxable_amount = $inputData['edittaxablerow'][$key];
                                $saleClientDetails->cgst = $inputData['editcgst'][$key];
                                $saleClientDetails->cgst_amount = $inputData['editcgst_amt'][$key];
                                $saleClientDetails->sgst = $inputData['editsgst'][$key];
                                $saleClientDetails->sgst_amount = $inputData['editsgst_amt'][$key];
                                $saleClientDetails->item_total = $inputData['edittotal'][$key];
                                $saleClientDetails->save();
                            }
                        }

                        /*****************Sale Client Item End****************/

                        $totalqty = ((float) $inputData['editquantity'][$key] + (float) $inputData['editfreequantity'][$key]);
                        if($sale->branch->company_type == 2)
                        {
                            if($this->checkUseris())
                            {
                                if(StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $productid)->exists())
                                {
                                    $currentstock = StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $productid)->first();
                                    $currentstock->primary_qty = ($currentstock->primary_qty - $totalqty);
                                    $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                                    $currentstock->measure_finder = $currentstock->measure_finder;
                                    $currentstock->save();
                                }
                                else
                                {
                                    $branchStock = new StockBranch;
                                    $branchStock->branch_id = $sale->branch_id;
                                    $branchStock->product_master_id = $productid;
                                    $branchStock->primary_qty = $totalqty;
                                    $branchStock->secondary_qty = 0;
                                    $branchStock->measure_finder = 0;
                                    $branchStock->comments = $sale->invoice_no;
                                    $branchStock->created_by = Auth::id();
                                    $branchStock->save();
                                }
                            }
                        }
                        else
                        {
                            if(Stock::where('product_master_id', $productid)->exists())
                            {
                                $mainstock = Stock::where('product_master_id', $productid)->first();
                                $mainstock->primary_qty = ($mainstock->primary_qty - $totalqty);
                                $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                                $mainstock->measure_finder = $mainstock->measure_finder;
                                $mainstock->save();
                            }
                            else
                            {
                                $mainstock = new Stock;
                                $mainstock->product_master_id = $productid;
                                $mainstock->primary_qty = $totalqty;
                                $mainstock->secondary_qty = 0;
                                $mainstock->measure_finder = 0;
                                $mainstock->save();
                            }
                        }
                        //$log = PurchaseLog::create(['purchase_id' => $purchase->id, 'created_by' =>  Auth::id(), 'product_master_id' => $productid, 'comment' => 'Added new item.']);
                    }
                    else
                    {
                        return response()->json(['success' => false, 'message' => 'Product not exist'], 400);
                    }
                }
            }
            
            return response()->json(['success' => true, 'message' => 'Sale Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function saleItemDelete(array $inputData)
    {
        $rowid = $inputData['rowid'];
        if(SaleItem::where('id', $rowid)->exists())
        {
            $removedItems = SaleItem::with('sale', 'sale.branch')->where('id', $rowid)->get();
            if($removedItems)
            {
                foreach($removedItems as $removedItem)
                {
                    $totalqty = ((float) $removedItem->quantity + (float) $removedItem->free_quantity);
                    if($removedItem->sale->branch->company_type == 2)
                    {
                        if(StockBranch::where('branch_id', $removedItem->sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $currentstock = StockBranch::where('branch_id', $removedItem->sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->first();
                            $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                            $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                            $currentstock->measure_finder = $currentstock->measure_finder;
                            $currentstock->save();
                        }
                    }
                    else
                    {
                        if(Stock::where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $mainstock = Stock::where('product_master_id', $removedItem->product_master_id)->first();
                            $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                            $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                            $mainstock->measure_finder = $mainstock->measure_finder;
                            $mainstock->save();
                        }
                    }
                    $removedItem->delete();
                }
            }
            return response()->json(['success' => true, 'message' => 'Item Deleted'], 200);
        }
        else
        {
            return response()->json(['success' => false, 'message' => 'Item not exist.'], 400);
        }
    }

    public function updateClient(array $inputData, SaleClient $salesClient)
    {
        try
        {
            $salesClient->sale_date = $inputData['billdate'];
            $salesClient->payment_pode = $inputData['mop'];
            $salesClient->tax_type = $inputData['tax'];
            $salesClient->bill_type = $inputData['sales_type'];
            $salesClient->customer_id = $inputData['customer'];
            $salesClient->branch_id = $inputData['branch'];
            $salesClient->salesman_id = $inputData['sales_man'];
            $salesClient->price_list = $inputData['pricelist'];
            $salesClient->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
            $salesClient->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
            $salesClient->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
            $salesClient->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
            $salesClient->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
            $salesClient->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
            $salesClient->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
            $salesClient->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
            $salesClient->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
            $salesClient->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
            $salesClient->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
            $salesClient->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
            $salesClient->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
            $salesClient->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
            $salesClient->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
            $salesClient->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
            $salesClient->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
            $salesClient->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
            $salesClient->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
            $salesClient->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
            $salesClient->save();

            if(Transaction::where('branch_id', $salesClient->branch_id)->where('parent_table', 1)->where('parent_table_id', $salesClient->sales_id)->exists())
            {
                $transaction = Transaction::where('branch_id', $salesClient->branch_id)->where('parent_table', 1)->where('parent_table_id', $salesClient->sales_id)->first();
                if(!$salesClient->sale->purpose)
                {
                    $transaction->customer_id = $salesClient->customer_id;
                    $transaction->transaction_date = $salesClient->sale_date;
                    if($salesClient->sale->payment_pode == 'Credit')
                    {
                        $transaction->debit_amount = $salesClient->grand_total;
                        $transaction->credit_amount = 0;
                    }
                    else
                    {
                        $transaction->credit_amount = $salesClient->grand_total;
                        $transaction->debit_amount = $salesClient->grand_total;
                    }
                    $transaction->save();
                }
            }

            $removedItems = SaleClientItems::where('sales_client_id', $salesClient->id)->whereNotIn('id', $inputData['tblid'])->get();
            if($removedItems)
            {
                foreach($removedItems as $removedItem)
                {
                    $totalqty = ((float) $removedItem->quantity + (float) $removedItem->free_quantity);
                    if($salesClient->branch->company_type == 2)
                    {
                        if(StockBranch::where('branch_id', $salesClient->branch_id)->where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $currentstock = StockBranch::where('branch_id', $salesClient->branch_id)->where('product_master_id', $removedItem->product_master_id)->first();
                            $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                            $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                            $currentstock->measure_finder = $currentstock->measure_finder;
                            $currentstock->save();
                        }
                    }
                    else
                    {
                        if(Stock::where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $mainstock = Stock::where('product_master_id', $removedItem->product_master_id)->first();
                            $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                            $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                            $mainstock->measure_finder = $mainstock->measure_finder;
                            $mainstock->save();
                        }
                    }
                    //$log = PurchaseLog::create(['purchase_id' => $salesClient->id, 'created_by' =>  Auth::id(), 'product_master_id' => $removedItem->product_master_id, 'comment' => 'Removed item.']);
                    $removedItem->delete();
                }
            }


            foreach($inputData['tblid'] as $key => $tableid)
            {
                if(SaleClientItems::where('id', $tableid)->exists())
                {
                    $saleItems = SaleClientItems::where('sales_client_id', $salesClient->id)->find($tableid);
                    
                    if(ProductMaster::where('id', $saleItems->product_master_id)->exists())
                    {
                        $totalqty = ((float) $inputData['quantity'][$key] + (float) $inputData['freequantity'][$key]);
                        $totalqtyexist = ((float) $saleItems->quantity + (float) $saleItems->free_quantity);
                        if($salesClient->branch->company_type == 2)
                        {
                            $currentstock = StockBranch::where('branch_id', $salesClient->branch_id)->where('product_master_id', $saleItems->product_master_id)->first();
                            if($totalqtyexist >= $totalqty)
                            {
                                $quantitys = abs($totalqtyexist - $totalqty);
                                $quantitys = ($currentstock->primary_qty - $quantitys);
                            }
                            else
                            {
                                $quantitys = abs($totalqty - $totalqtyexist);
                                $quantitys = ($currentstock->primary_qty + $quantitys);
                            }
                            $currentstock->primary_qty = $quantitys;
                            $currentstock->save();
                        }
                        else
                        {
                            $mainstock = Stock::where('product_master_id', $saleItems->product_master_id)->first();
                            if($totalqtyexist >= $totalqty)
                            {
                                $quantitys = abs($totalqty - $totalqtyexist);
                                $quantitys = ($mainstock->primary_qty + $quantitys);
                            }
                            else
                            {
                                $quantitys = abs($totalqtyexist - $totalqty);
                                $quantitys = ($mainstock->primary_qty - $quantitys);
                            }
                            $mainstock->primary_qty = $quantitys;
                            $mainstock->save();
                        }

                        $saleItems->quantity = $inputData['quantity'][$key];
                        $saleItems->free_quantity = $inputData['freequantity'][$key];
                        $saleItems->unit_price = $inputData['purchase_rate'][$key];
                        $saleItems->mrp = $inputData['mrp'][$key];
                        $saleItems->gross_amount = $inputData['taxableamt'][$key];
                        $saleItems->discount_percentage = $inputData['disc_per'][$key];
                        $saleItems->discount_amount = $inputData['disc_amt'][$key];
                        $saleItems->taxable_amount = $inputData['taxablerow'][$key];
                        $saleItems->cgst = $inputData['cgst'][$key];
                        $saleItems->cgst_amount = $inputData['cgst_amt'][$key];
                        $saleItems->sgst = $inputData['sgst'][$key];
                        $saleItems->sgst_amount = $inputData['sgst_amt'][$key];
                        $saleItems->item_total = $inputData['total'][$key];
                        $saleItems->save();

                        //$log = PurchaseLog::create(['purchase_id' => $purchase->id, 'created_by' =>  Auth::id(), 'product_master_id' => $purchaseItems->product_master_id, 'comment' => 'Updated item.']);
                    }
                }
            }

            if(isset($inputData['editprdid']) && count($inputData['editprdid']) > 0)
            {
                foreach($inputData['editprdid'] as $key => $productid)
                {
                    if(ProductMaster::where('id', $productid)->exists())
                    {
                        $product = ProductMaster::find($productid);
                        $saleDetails = new SaleClientItems;
                        $saleDetails->sales_client_id = $salesClient->id;
                        $saleDetails->product_master_id = $productid;
                        $saleDetails->hsncode = $product->hsncode;
                        $saleDetails->unit = $product->unit->unit;
                        $saleDetails->quantity = $inputData['editquantity'][$key];
                        $saleDetails->free_quantity = $inputData['editfreequantity'][$key];
                        $saleDetails->unit_price = $inputData['editpurchase_rate'][$key];
                        $saleDetails->mrp = $inputData['editmrp'][$key];
                        $saleDetails->gross_amount = $inputData['edittaxableamt'][$key];
                        $saleDetails->discount_percentage = $inputData['editdisc_per'][$key];
                        $saleDetails->discount_amount = $inputData['editdisc_amt'][$key];
                        $saleDetails->taxable_amount = $inputData['edittaxablerow'][$key];
                        $saleDetails->cgst = $inputData['editcgst'][$key];
                        $saleDetails->cgst_amount = $inputData['editcgst_amt'][$key];
                        $saleDetails->sgst = $inputData['editsgst'][$key];
                        $saleDetails->sgst_amount = $inputData['editsgst_amt'][$key];
                        $saleDetails->item_total = $inputData['edittotal'][$key];
                        $saleDetails->save();

                        /*****************Sale Client Item Start****************/


                        /*****************Sale Client Item End****************/

                        $totalqty = ((float) $inputData['editquantity'][$key] + (float) $inputData['editfreequantity'][$key]);
                        if($salesClient->branch->company_type == 2)
                        {
                            if($this->checkUseris())
                            {
                                if(StockBranch::where('branch_id', $salesClient->branch_id)->where('product_master_id', $productid)->exists())
                                {
                                    $currentstock = StockBranch::where('branch_id', $salesClient->branch_id)->where('product_master_id', $productid)->first();
                                    $currentstock->primary_qty = ($currentstock->primary_qty - $totalqty);
                                    $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                                    $currentstock->measure_finder = $currentstock->measure_finder;
                                    $currentstock->save();
                                }
                                else
                                {
                                    $branchStock = new StockBranch;
                                    $branchStock->branch_id = $salesClient->branch_id;
                                    $branchStock->product_master_id = $productid;
                                    $branchStock->primary_qty = $totalqty;
                                    $branchStock->secondary_qty = 0;
                                    $branchStock->measure_finder = 0;
                                    $branchStock->comments = $salesClient->invoice_no;
                                    $branchStock->created_by = Auth::id();
                                    $branchStock->save();
                                }
                            }
                        }
                        else
                        {
                            if(Stock::where('product_master_id', $productid)->exists())
                            {
                                $mainstock = Stock::where('product_master_id', $productid)->first();
                                $mainstock->primary_qty = ($mainstock->primary_qty - $totalqty);
                                $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                                $mainstock->measure_finder = $mainstock->measure_finder;
                                $mainstock->save();
                            }
                            else
                            {
                                $mainstock = new Stock;
                                $mainstock->product_master_id = $productid;
                                $mainstock->primary_qty = $totalqty;
                                $mainstock->secondary_qty = 0;
                                $mainstock->measure_finder = 0;
                                $mainstock->save();
                            }
                        }
                        //$log = PurchaseLog::create(['purchase_id' => $purchase->id, 'created_by' =>  Auth::id(), 'product_master_id' => $productid, 'comment' => 'Added new item.']);
                    }
                    else
                    {
                        return response()->json(['success' => false, 'message' => 'Product not exist'], 400);
                    }
                }
            }
            
            return response()->json(['success' => true, 'message' => 'Sale Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function saleClientItemDelete(array $inputData)
    {
        $rowid = $inputData['rowid'];
        if(SaleClientItems::where('id', $rowid)->exists())
        {
            $removedItems = SaleClientItems::with('sale', 'sale.branch')->where('id', $rowid)->get();
            if($removedItems)
            {
                foreach($removedItems as $removedItem)
                {
                    $totalqty = ((float) $removedItem->quantity + (float) $removedItem->free_quantity);
                    if($removedItem->sale->branch->company_type == 2)
                    {
                        if(StockBranch::where('branch_id', $removedItem->sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $currentstock = StockBranch::where('branch_id', $removedItem->sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->first();
                            $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                            $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                            $currentstock->measure_finder = $currentstock->measure_finder;
                            $currentstock->save();
                        }
                    }
                    else
                    {
                        if(Stock::where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $mainstock = Stock::where('product_master_id', $removedItem->product_master_id)->first();
                            $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                            $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                            $mainstock->measure_finder = $mainstock->measure_finder;
                            $mainstock->save();
                        }
                    }
                    $removedItem->delete();
                }
            }
            return response()->json(['success' => true, 'message' => 'Item Deleted'], 200);
        }
        else
        {
            return response()->json(['success' => false, 'message' => 'Item not exist.'], 400);
        }
    }

    public function updateMargin($saleID)
    {
        $saleItems = SaleItem::with('sale')->where('sales_id', $saleID)->get();
        foreach($saleItems as $saleItem)
        {
            $productPurchaseRate = $saleItem->product->price->purchase_rate;
            $productMargin = $saleItem->product->price->margin;
            $productRate = $productPurchaseRate + (($productPurchaseRate * $productMargin) / 100);

            $grossamt = ($saleItem->quantity * $productRate);
            $discountamount = (($grossamt * $saleItem->discount_percentage) / 100);
            $taxableamount = $grossamt - $discountamount;
            $commonTax = (($taxableamount * $saleItem->sale->total_discount_percentage) / 100);
            $commonTaxamt = ($taxableamount - $commonTax);
            $taxvalue = (($commonTaxamt * $saleItem->cgst) / 100);
            $saleItem->unit_price = $productRate;
            $saleItem->gross_amount = $grossamt;
            $saleItem->discount_amount = $discountamount;
            $saleItem->taxable_amount = $taxableamount;
            $saleItem->cgst_amount = ($taxvalue / 2);
            $saleItem->sgst_amount = ($taxvalue / 2);
            $saleItem->item_total = ($taxableamount + $taxvalue);
            $saleItem->save();
        }

        return response()->json(['success' => true, 'message' => 'Updated', 'data' => $saleItems], 200);
        //$this->reCalculateTotal($saleID);

    }

    public function reCalculateTotal($itemID)
    {
        try
        {
            $sale = Sale::with('saleDetails')->find($itemID);
            $grossTotal = 0; $discountAmountTotal = 0; $taxableAmountTotal = 0; $totalTaxAmount = 0; $cgstAmount = 0; $sgstAmount = 0; $netValueAmount = 0;
            foreach($sale->saleDetails as $saleItemList)
            {
                $grossTotal = $grossTotal + $saleItemList->gross_amount;
                $discountAmountTotal = $discountAmountTotal + $saleItemList->discount_amount;
                $taxableAmountTotal = $taxableAmountTotal + $saleItemList->taxable_amount;
                $taxamt = $saleItemList->cgst_amount + $saleItemList->sgst_amount;
                $totalTaxAmount = $totalTaxAmount + $taxamt;
                $cgstAmount = $cgstAmount + $saleItemList->cgst_amount;
                $sgstAmount = $sgstAmount + $saleItemList->sgst_amount;
                $netValueAmount = $netValueAmount + $saleItemList->item_total;
            }

            $cessAmount = $sale->cess;
            $addCessAmount = $sale->add_cess;

            $totalDiscountAmount = (($taxableAmountTotal * $sale->total_discount_percentage) / 100);
            $taxableAmountVal = $taxableAmountTotal - $totalDiscountAmount;
            $cessAmountValue = (($taxableAmountVal * $cessAmount) / 100);
            $addcessAmountValue = (($taxableAmountVal * $addCessAmount) / 100);
            $netvalueTotal = $netValueAmount + $cessAmountValue + $addcessAmountValue + $sale->freight_coolie + $sale->otherexp + $sale->cost_factor;
            $billTotal = $netvalueTotal - $sale->cash_discount;

            $sale->total_amount = $grossTotal;
            $sale->total_cgst_amount = $cgstAmount;
            $sale->total_sgst_amount = $sgstAmount;
            $sale->total_tax_amount = $totalTaxAmount;
            $sale->total_taxable_amt = $taxableAmountVal;
            $sale->total_discount_amount = $totalDiscountAmount;
            $sale->total_item_discount = $discountAmountTotal;
            $sale->sales_total = $taxableAmountVal;
            $sale->netvalue = $netvalueTotal;
            $sale->grand_total = $billTotal;
            $sale->correction_status = true;
            $sale->save();
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function returnStore(array $inputData)
    {
        try
        {
            $sales = new SalesReturn;
            $sales->invoice_no = 'R-'.uniqid();
            $sales->sale_date = $inputData['billdate'];
            $sales->payment_pode = $inputData['mop'];
            $sales->tax_type = $inputData['tax'];
            $sales->bill_type = $inputData['sales_type'];
            $sales->customer_id = $inputData['customer'];
            $sales->branch_id = $inputData['branch'];
            $sales->salesman_id = $inputData['sales_man'];
            $sales->price_list = $inputData['pricelist'];
            $sales->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
            $sales->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
            $sales->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
            $sales->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
            $sales->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
            $sales->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
            $sales->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
            $sales->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
            $sales->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
            $sales->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
            $sales->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
            $sales->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
            $sales->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
            $sales->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
            $sales->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
            $sales->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
            $sales->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
            $sales->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
            $sales->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
            $sales->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
            $sales->status = true;
            $sales->settled = (isset($inputData['settleVal']) && $inputData['settleVal'] == 0) ? false : true;
            $sales->created_by = Auth::id();
            $sales->save();

            $transaction = new Transaction;
            $transaction->transaction_no = strtoupper(uniqid());
            $transaction->transaction_date = $sales->sale_date;
            $transaction->parent_table_id = $sales->id;
            $transaction->customer_id = $sales->customer_id;
            $transaction->branch_id = $sales->branch_id;
            $transaction->parent_table = 3;
            $transaction->transaction_type = 7;
            $transaction->payment_type = 1;

            if($sales->payment_pode == 'Credit')
            {
                $transaction->debit_amount = 0;
                $transaction->credit_amount = $sales->grand_total;
            }
            else
            {
                $transaction->credit_amount = $sales->grand_total;
                $transaction->debit_amount = $sales->grand_total;
            }
            
            $transaction->description = 'Sales Retuen';
            $transaction->created_by = Auth::id();
            $transaction->save();

            foreach($inputData['prdid'] as $key => $productid)
            {
                if(ProductMaster::where('id', $productid)->exists())
                {
                    $product = ProductMaster::find($productid);
                    $saleDetails = new SalesItemReturn;
                    $saleDetails->sales_return_id = $sales->id;
                    $saleDetails->product_master_id = $productid;
                    $saleDetails->hsncode = $product->hsncode;
                    $saleDetails->unit = $product->unit->unit;
                    $saleDetails->quantity = $inputData['quantity'][$key];
                    $saleDetails->free_quantity = $inputData['freequantity'][$key];
                    $saleDetails->unit_price = $inputData['purchase_rate'][$key];
                    $saleDetails->mrp = $inputData['mrp'][$key];
                    $saleDetails->gross_amount = $inputData['taxableamt'][$key];
                    $saleDetails->discount_percentage = $inputData['disc_per'][$key];
                    $saleDetails->discount_amount = $inputData['disc_amt'][$key];
                    $saleDetails->taxable_amount = $inputData['taxablerow'][$key];
                    $saleDetails->cgst = $inputData['cgst'][$key];
                    $saleDetails->cgst_amount = $inputData['cgst_amt'][$key];
                    $saleDetails->sgst = $inputData['sgst'][$key];
                    $saleDetails->sgst_amount = $inputData['sgst_amt'][$key];
                    $saleDetails->item_total = $inputData['total'][$key];
                    $saleDetails->save();

                    $totalqty = ((float) $inputData['quantity'][$key] + (float) $inputData['freequantity'][$key]);
                    if($sales->branch->company_type == 2)
                    {
                        if($this->checkUseris())
                        {
                            if(StockBranch::where('branch_id', $inputData['branch'])->where('product_master_id', $productid)->exists())
                            {
                                $currentstock = StockBranch::where('branch_id', $inputData['branch'])->where('product_master_id', $productid)->first();
                                $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                                $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                                $currentstock->measure_finder = $currentstock->measure_finder;
                                $currentstock->save();
                            }
                            else
                            {
                                $branchStock = new StockBranch;
                                $branchStock->branch_id = $inputData['branch'];
                                $branchStock->product_master_id = $productid;
                                $branchStock->primary_qty = (-1 * abs($totalqty));
                                $branchStock->secondary_qty = 0;
                                $branchStock->measure_finder = 0;
                                $branchStock->comments = 'Sale ID: '.$sales->id;
                                $branchStock->created_by = Auth::id();
                                $branchStock->save();
                            }
                        }
                    }
                    else
                    {
                        if(Stock::where('product_master_id', $productid)->exists())
                        {
                            $mainstock = Stock::where('product_master_id', $productid)->first();
                            $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                            $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                            $mainstock->measure_finder = $mainstock->measure_finder;
                            $mainstock->save();
                        }
                        else
                        {
                            $mainstock = new Stock;
                            $mainstock->product_master_id = $productid;
                            $mainstock->primary_qty = (-1 * abs($totalqty));
                            $mainstock->secondary_qty = 0;
                            $mainstock->measure_finder = 0;
                            $mainstock->save();
                        }
                    }

                }
                else
                {
                    return response()->json(['success' => false, 'message' => 'Product not exist'], 400);
                }
            }
            
            return response()->json(['success' => true, 'message' => 'Sales Return Created Successfully!', 'product' => $product], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function returnUpdate(array $inputData, SalesReturn $salesReturn)
    {
        try
        {
            $sale = $salesReturn;
            $sale->sale_date = $inputData['billdate'];
            $sale->payment_pode = $inputData['mop'];
            $sale->tax_type = $inputData['tax'];
            $sale->bill_type = $inputData['sales_type'];
            $sale->customer_id = $inputData['customer'];
            $sale->branch_id = $inputData['branch'];
            $sale->salesman_id = $inputData['sales_man'];
            $sale->price_list = $inputData['pricelist'];
            $sale->total_amount = (isset($inputData['grosstotal']) && !empty($inputData['grosstotal'])) ? $inputData['grosstotal'] : '0';
            $sale->total_cgst_amount = (isset($inputData['cgstamt']) && !empty($inputData['cgstamt'])) ? $inputData['cgstamt'] : '0';
            $sale->total_sgst_amount = (isset($inputData['sgstamt']) && !empty($inputData['sgstamt'])) ? $inputData['sgstamt'] : '0';
            $sale->total_igst_amount = (isset($inputData['igstamt']) && !empty($inputData['igstamt'])) ? $inputData['igstamt'] : '0';
            $sale->total_tax_amount = (isset($inputData['totaltax']) && !empty($inputData['totaltax'])) ? $inputData['totaltax'] : '0';
            $sale->total_taxable_amt = (isset($inputData['taxable']) && !empty($inputData['taxable'])) ? $inputData['taxable'] : '0';
            $sale->total_discount_percentage = (isset($inputData['discountfinal']) && !empty($inputData['discountfinal'])) ? $inputData['discountfinal'] : '0';
            $sale->total_discount_amount = (isset($inputData['discountfinalamt']) && !empty($inputData['discountfinalamt'])) ? $inputData['discountfinalamt'] : '0';
            $sale->exempted = (isset($inputData['exempted']) && !empty($inputData['exempted'])) ? $inputData['exempted'] : '0';
            $sale->total_item_discount = (isset($inputData['itemdiscount']) && !empty($inputData['itemdiscount'])) ? $inputData['itemdiscount'] : '0';
            $sale->sales_total = (isset($inputData['salesvalue']) && !empty($inputData['salesvalue'])) ? $inputData['salesvalue'] : '0';
            $sale->netvalue = (isset($inputData['netvalue']) && !empty($inputData['netvalue'])) ? $inputData['netvalue'] : '0';
            $sale->cess = (isset($inputData['cessamt']) && !empty($inputData['cessamt'])) ? $inputData['cessamt'] : '0';
            $sale->add_cess = (isset($inputData['addcess']) && !empty($inputData['addcess'])) ? $inputData['addcess'] : '0';
            $sale->freight_coolie = (isset($inputData['freightcoolie']) && !empty($inputData['freightcoolie'])) ? $inputData['freightcoolie'] : '0';
            $sale->otherexp = (isset($inputData['otherexp']) && !empty($inputData['otherexp'])) ? $inputData['otherexp'] : '0';
            $sale->cost_factor = (isset($inputData['costfactor']) && !empty($inputData['costfactor'])) ? $inputData['costfactor'] : '0';
            $sale->cash_discount = (isset($inputData['cashdisc']) && !empty($inputData['cashdisc'])) ? $inputData['cashdisc'] : '0';
            $sale->round_off = (isset($inputData['roundval']) && !empty($inputData['roundval'])) ? $inputData['roundval'] : '0';
            $sale->grand_total = (isset($inputData['finalamount']) && !empty($inputData['finalamount'])) ? $inputData['finalamount'] : '0';
            $sale->save();

            if(Transaction::where('branch_id', $sale->branch_id)->where('parent_table', 3)->where('parent_table_id', $sale->id)->exists())
            {
                $transaction = Transaction::where('branch_id', $sale->branch_id)->where('parent_table', 3)->where('parent_table_id', $sale->id)->first();
                $transaction->transaction_date = $sale->sale_date;
                $transaction->customer_id = $sale->customer_id;
                
                if($sale->payment_pode == 'Credit')
                {
                    $transaction->debit_amount = 0;
                    $transaction->credit_amount = $sale->grand_total;
                }
                else
                {
                    $transaction->credit_amount = $sale->grand_total;
                    $transaction->debit_amount = $sale->grand_total;
                }
                $transaction->save();
            }

            $removedItems = SalesItemReturn::where('sales_return_id', $sale->id)->whereNotIn('id', $inputData['tblid'])->get();
            if($removedItems)
            {
                foreach($removedItems as $removedItem)
                {
                    $totalqty = ((float) $removedItem->quantity + (float) $removedItem->free_quantity);
                    if($sale->branch->company_type == 2)
                    {
                        if(StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $currentstock = StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->first();
                            $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                            $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                            $currentstock->measure_finder = $currentstock->measure_finder;
                            $currentstock->save();
                        }
                    }
                    else
                    {
                        if(Stock::where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $mainstock = Stock::where('product_master_id', $removedItem->product_master_id)->first();
                            $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                            $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                            $mainstock->measure_finder = $mainstock->measure_finder;
                            $mainstock->save();
                        }
                    }
                    $removedItem->delete();
                }
            }

            foreach($inputData['tblid'] as $key => $tableid)
            {
                if(SalesItemReturn::where('id', $tableid)->exists())
                {
                    $saleItems = SalesItemReturn::where('sales_return_id', $sale->id)->find($tableid);
                    
                    if(ProductMaster::where('id', $saleItems->product_master_id)->exists())
                    {
                        $totalqty = ((float) $inputData['quantity'][$key] + (float) $inputData['freequantity'][$key]);
                        $totalqtyexist = ((float) $saleItems->quantity + (float) $saleItems->free_quantity);
                        if($sale->branch->company_type == 2)
                        {
                            $currentstock = StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $saleItems->product_master_id)->first();
                            if($totalqtyexist >= $totalqty)
                            {
                                $quantitys = abs($totalqtyexist - $totalqty);
                                $quantitys = ($currentstock->primary_qty + $quantitys);
                            }
                            else
                            {
                                $quantitys = abs($totalqty - $totalqtyexist);
                                $quantitys = ($currentstock->primary_qty - $quantitys);
                            }
                            $currentstock->primary_qty = $quantitys;
                            $currentstock->save();
                        }
                        else
                        {
                            $mainstock = Stock::where('product_master_id', $saleItems->product_master_id)->first();
                            if($totalqtyexist >= $totalqty)
                            {
                                $quantitys = abs($totalqty - $totalqtyexist);
                                $quantitys = ($mainstock->primary_qty - $quantitys);
                            }
                            else
                            {
                                $quantitys = abs($totalqtyexist - $totalqty);
                                $quantitys = ($mainstock->primary_qty + $quantitys);
                            }
                            $mainstock->primary_qty = $quantitys;
                            $mainstock->save();
                        }

                        $saleItems->quantity = $inputData['quantity'][$key];
                        $saleItems->free_quantity = $inputData['freequantity'][$key];
                        $saleItems->unit_price = $inputData['purchase_rate'][$key];
                        $saleItems->mrp = $inputData['mrp'][$key];
                        $saleItems->gross_amount = $inputData['taxableamt'][$key];
                        $saleItems->discount_percentage = $inputData['disc_per'][$key];
                        $saleItems->discount_amount = $inputData['disc_amt'][$key];
                        $saleItems->taxable_amount = $inputData['taxablerow'][$key];
                        $saleItems->cgst = $inputData['cgst'][$key];
                        $saleItems->cgst_amount = $inputData['cgst_amt'][$key];
                        $saleItems->sgst = $inputData['sgst'][$key];
                        $saleItems->sgst_amount = $inputData['sgst_amt'][$key];
                        $saleItems->item_total = $inputData['total'][$key];
                        $saleItems->save();
                    }
                }
            }

            if(isset($inputData['editprdid']) && count($inputData['editprdid']) > 0)
            {
                foreach($inputData['editprdid'] as $key => $productid)
                {
                    if(ProductMaster::where('id', $productid)->exists())
                    {
                        $product = ProductMaster::find($productid);
                        $saleDetails = new SalesItemReturn;
                        $saleDetails->sales_return_id = $sale->id;
                        $saleDetails->product_master_id = $productid;
                        $saleDetails->hsncode = $product->hsncode;
                        $saleDetails->unit = $product->unit->unit;
                        $saleDetails->quantity = $inputData['editquantity'][$key];
                        $saleDetails->free_quantity = $inputData['editfreequantity'][$key];
                        $saleDetails->unit_price = $inputData['editpurchase_rate'][$key];
                        $saleDetails->mrp = $inputData['editmrp'][$key];
                        $saleDetails->gross_amount = $inputData['edittaxableamt'][$key];
                        $saleDetails->discount_percentage = $inputData['editdisc_per'][$key];
                        $saleDetails->discount_amount = $inputData['editdisc_amt'][$key];
                        $saleDetails->taxable_amount = $inputData['edittaxablerow'][$key];
                        $saleDetails->cgst = $inputData['editcgst'][$key];
                        $saleDetails->cgst_amount = $inputData['editcgst_amt'][$key];
                        $saleDetails->sgst = $inputData['editsgst'][$key];
                        $saleDetails->sgst_amount = $inputData['editsgst_amt'][$key];
                        $saleDetails->item_total = $inputData['edittotal'][$key];
                        $saleDetails->save();

                        $totalqty = ((float) $inputData['editquantity'][$key] + (float) $inputData['editfreequantity'][$key]);
                        if($sale->branch->company_type == 2)
                        {
                            if($this->checkUseris())
                            {
                                if(StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $productid)->exists())
                                {
                                    $currentstock = StockBranch::where('branch_id', $sale->branch_id)->where('product_master_id', $productid)->first();
                                    $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                                    $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                                    $currentstock->measure_finder = $currentstock->measure_finder;
                                    $currentstock->save();
                                }
                                else
                                {
                                    $branchStock = new StockBranch;
                                    $branchStock->branch_id = $sale->branch_id;
                                    $branchStock->product_master_id = $productid;
                                    $branchStock->primary_qty = $totalqty;
                                    $branchStock->secondary_qty = 0;
                                    $branchStock->measure_finder = 0;
                                    $branchStock->comments = $sale->invoice_no;
                                    $branchStock->created_by = Auth::id();
                                    $branchStock->save();
                                }
                            }
                        }
                        else
                        {
                            if(Stock::where('product_master_id', $productid)->exists())
                            {
                                $mainstock = Stock::where('product_master_id', $productid)->first();
                                $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                                $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                                $mainstock->measure_finder = $mainstock->measure_finder;
                                $mainstock->save();
                            }
                            else
                            {
                                $mainstock = new Stock;
                                $mainstock->product_master_id = $productid;
                                $mainstock->primary_qty = $totalqty;
                                $mainstock->secondary_qty = 0;
                                $mainstock->measure_finder = 0;
                                $mainstock->save();
                            }
                        }
                    }
                    else
                    {
                        return response()->json(['success' => false, 'message' => 'Product not exist'], 400);
                    }
                }
            }
            
            return response()->json(['success' => true, 'message' => 'Sales Return Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function saleReturnItemDelete(array $inputData)
    {
        $rowid = $inputData['rowid'];
        if(SalesItemReturn::where('id', $rowid)->exists())
        {
            $removedItems = SalesItemReturn::with('sale', 'sale.branch')->where('id', $rowid)->get();
            if($removedItems)
            {
                foreach($removedItems as $removedItem)
                {
                    $totalqty = ((float) $removedItem->quantity + (float) $removedItem->free_quantity);
                    if($removedItem->sale->branch->company_type == 2)
                    {
                        if(StockBranch::where('branch_id', $removedItem->sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $currentstock = StockBranch::where('branch_id', $removedItem->sale->branch_id)->where('product_master_id', $removedItem->product_master_id)->first();
                            $currentstock->primary_qty = ($currentstock->primary_qty + $totalqty);
                            $currentstock->secondary_qty = ($currentstock->secondary_qty + 0);
                            $currentstock->measure_finder = $currentstock->measure_finder;
                            $currentstock->save();
                        }
                    }
                    else
                    {
                        if(Stock::where('product_master_id', $removedItem->product_master_id)->exists())
                        {
                            $mainstock = Stock::where('product_master_id', $removedItem->product_master_id)->first();
                            $mainstock->primary_qty = ($mainstock->primary_qty + $totalqty);
                            $mainstock->secondary_qty = ($mainstock->secondary_qty + 0);
                            $mainstock->measure_finder = $mainstock->measure_finder;
                            $mainstock->save();
                        }
                    }
                    $removedItem->delete();
                }
            }
            return response()->json(['success' => true, 'message' => 'Item Deleted'], 200);
        }
        else
        {
            return response()->json(['success' => false, 'message' => 'Item not exist.'], 400);
        }
    }
}