<?php

namespace App\Services;
use App\Models\Vendor;
use App\Models\CustomerMaster;
use Illuminate\Support\Facades\Auth;

class VendorService {

    public function store(array $inputData)
    {
        try
        {
            //$vendor = new Vendor;
            $vendor = new CustomerMaster;
            $vendor->accountcode = $inputData['code'];
            $vendor->name = $inputData['name'];
            $vendor->mobile = $inputData['mobile_no'];
            $vendor->phone = $inputData['phone'];
            $vendor->email = $inputData['emailid'];
            $vendor->state_pos = $inputData['state_pos'];
            $vendor->gstin = $inputData['gst_no'];
            $vendor->address = $inputData['address'];
            $vendor->area_id = $inputData['area'];
            $vendor->regioanal = $inputData['regional'];
            $vendor->remarks = $inputData['remarks'];

            $vendor->creditlimit = 0.00;
            $vendor->discount = 0.00;
            $vendor->supplierstatus = true;

            $vendor->activestatus = (isset($inputData['active_status']) && $inputData['active_status'] == 0)? false : true; // (isset($inputData['active_status']) && $inputData['active_status'] == 1)? true : false;
            $vendor->created_by = Auth::id();
            $vendor->save();
            return response()->json(['success' => true, 'message' => 'Vendor Created Successfully!', 'vendor' => $vendor], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }

    public function update(array $inputData, CustomerMaster $vendor) // public function update(array $inputData, Vendor $vendor)
    {
        try
        {
            $vendor->accountcode = $inputData['code'];
            $vendor->name = $inputData['name'];
            $vendor->mobile = $inputData['mobile_no'];
            $vendor->phone = $inputData['phone'];
            $vendor->email = $inputData['emailid'];
            $vendor->state_pos = $inputData['state_pos'];
            $vendor->gstin = $inputData['gst_no'];
            $vendor->address = $inputData['address'];
            $vendor->area_id = $inputData['area'];
            $vendor->regioanal = $inputData['regional'];
            $vendor->remarks = $inputData['remarks'];
            $vendor->creditlimit = 0.00;
            $vendor->discount = 0.00;
            $vendor->supplierstatus = true;
            $vendor->activestatus = (isset($inputData['active_status']) && $inputData['active_status'] == 0)? false : true; //(isset($inputData['active_status']) && $inputData['active_status'] == 1)? true : false;
            $vendor->save();
            return response()->json(['success' => true, 'message' => 'Vendor Updated'], 200);
        }
        catch (\Exception $th)
        {
            $errormessage = $th->getMessage();
            return response()->json(['success' => false, 'message' => $errormessage], 400);
        }
    }
}