<?php

namespace App\View\Components\Product;

use Illuminate\View\Component;
use App\Models\Category;
use App\Models\Manufacturer;

class EditForm extends Component
{
    public $categories;
    public $manufacturers;
    public $product;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($product)
    {
        $this->categories = Category::get();
        $this->manufacturers = Manufacturer::get();
        $this->product = $product;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.product.edit-form');
    }
}
