<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomerMastersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customer_masters', function (Blueprint $table) {
            $table->id();
            $table->string('accountcode', 255)->unique();
            $table->string('name', 255);
            $table->bigInteger('mobile')->nullable();
            $table->bigInteger('phone')->nullable();
            $table->string('email')->nullable();
            $table->unsignedBigInteger('state_pos')->nullable();
            $table->string('gstin')->nullable();
            $table->longText('address')->nullable();
            $table->unsignedBigInteger('area_id')->nullable();
            $table->string('regioanal')->nullable();
            $table->longText('remarks')->nullable();
            $table->decimal('creditlimit', 8, 2)->default(0)->nullable();
            $table->decimal('discount', 8, 2)->default(0)->nullable();
            $table->boolean('supplierstatus')->default(1)->nullable();
            $table->boolean('activestatus')->default(1)->nullable();
            $table->unsignedBigInteger('created_by');
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('area_id')->references('id')->on('areas');
            $table->foreign('created_by')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customer_masters');
    }
}
