<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmployeeMastersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('employee_masters', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->string('code', 255)->unique();
            $table->string('name', 255);
            $table->longText('address')->nullable();
            $table->bigInteger('mobile')->unique();
            $table->string('gender', 20)->nullable();
            $table->string('blood_group', 20)->nullable();
            $table->string('work_start_time', 20)->nullable();
            $table->string('work_end_time', 20)->nullable();
            $table->decimal('cmmission', 8, 2)->default(0)->nullable();
            $table->decimal('salary', 8, 2)->default(0)->nullable();
            $table->boolean('activestatus')->default(1)->nullable();
            $table->unsignedBigInteger('created_by');
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('user_id')->references('id')->on('users');
            $table->foreign('created_by')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('employee_masters');
    }
}
