<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductMastersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product_masters', function (Blueprint $table) {
            $table->id();
            $table->string('name', 255);
            $table->string('code', 255)->unique();
            $table->string('regionalname')->nullable();
            $table->unsignedBigInteger('catagory_id');
            $table->unsignedBigInteger('manufacturer_id');
            $table->string('rol', 255)->nullable();
            $table->string('rack', 255)->nullable();
            $table->date('expiry')->nullable();
            $table->string('hsncode', 255)->nullable();
            $table->boolean('status')->default(0)->nullable();
            $table->unsignedBigInteger('created_by');
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('catagory_id')->references('id')->on('catagories');
            $table->foreign('manufacturer_id')->references('id')->on('manufacturers');
            $table->foreign('created_by')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_masters');
    }
}
