<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductPricesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product_prices', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('product_master_id');
            $table->decimal('purchase_rate', 8, 2)->default(0)->nullable();
            $table->decimal('mrp', 8, 2)->default(0)->nullable();
            $table->decimal('sales_rate', 8, 2)->default(0)->nullable();
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('product_master_id')->references('id')->on('product_masters');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_prices');
    }
}
