<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddExpiryStatusAddItemClassAddSpComToProductMastersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('product_masters', function (Blueprint $table) {
            $table->boolean('expiry_status')->default(0)->nullable()->after('rack');
            $table->unsignedBigInteger('item_class')->nullable()->after('hsncode');
            $table->decimal('sp_com', 8, 2)->default(0)->nullable()->after('item_class');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('product_masters', function (Blueprint $table) {
            $table->dropColumn('expiry_status');
            $table->dropColumn('item_class');
            $table->dropColumn('sp_com');
        });
    }
}
