<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStockAdjustsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stock_adjusts', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('product_master_id');
            $table->decimal('opening_qty', 8, 2)->default(0)->nullable();
            $table->decimal('adjusted_qty', 8, 2)->default(0)->nullable();
            $table->decimal('closing_qty', 8, 2)->default(0)->nullable();
            $table->longText('note')->nullable();
            $table->unsignedBigInteger('created_by');
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('product_master_id')->references('id')->on('product_masters');
            $table->foreign('created_by')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stock_adjusts');
    }
}
