<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePurchaseDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('purchase_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('purchase_id');
            $table->unsignedBigInteger('product_master_id');
            $table->integer('quantity')->default(0);
            $table->integer('free_quantity')->default(0);
            $table->decimal('rate', 15, 2)->default(0)->nullable();
            $table->decimal('cost', 15, 2)->default(0)->nullable();
            $table->decimal('sale_rate', 15, 2)->default(0)->nullable();
            $table->decimal('discount_percentage', 15, 2)->default(0)->nullable();
            $table->decimal('discount_amount', 15, 2)->default(0)->nullable();
            $table->decimal('cgst', 15, 2)->default(0)->nullable();
            $table->decimal('cgst_amount', 15, 2)->default(0)->nullable();
            $table->decimal('sgst', 15, 2)->default(0)->nullable();
            $table->decimal('sgst_amount', 15, 2)->default(0)->nullable();
            $table->decimal('item_total', 15, 2)->default(0)->nullable();
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('purchase_id')->references('id')->on('purchases');
            $table->foreign('product_master_id')->references('id')->on('product_masters');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('purchase_details');
    }
}
