<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStockBranchesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stock_branches', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('branch_id');
            $table->unsignedBigInteger('product_master_id');
            $table->decimal('primary_qty', 8, 2)->default(0)->nullable();
            $table->decimal('secondary_qty', 8, 2)->default(0)->nullable();
            $table->integer('measure_finder')->default(0)->nullable();
            $table->decimal('opening_stock', 8, 2)->default(0)->nullable();
            $table->longText('comments')->nullable();
            $table->unsignedBigInteger('created_by');
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('branch_id')->references('id')->on('company_profiles');
            $table->foreign('product_master_id')->references('id')->on('product_masters');
            $table->foreign('created_by')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stock_branches');
    }
}
