<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTotalDiscountPercentageAddTotalTaxableAmtAddExemptedAddNetvalueToPurchasesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('purchases', function (Blueprint $table) {
            $table->decimal('total_taxable_amt', 8, 2)->default(0)->nullable()->after('total_tax_amount');
            $table->decimal('total_discount_percentage', 8, 2)->default(0)->nullable()->after('total_taxable_amt');
            $table->decimal('exempted', 8, 2)->default(0)->nullable()->after('total_discount_amount');
            $table->decimal('netvalue', 8, 2)->default(0)->nullable()->after('purchase_total');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('purchases', function (Blueprint $table) {
            $table->dropColumn('total_discount_percentage');
            $table->dropColumn('total_taxable_amt');
            $table->dropColumn('exempted');
            $table->dropColumn('netvalue');
        });
    }
}
