<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCostAddPrice1AddPrice2AddPrice3ToProductPricesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('product_prices', function (Blueprint $table) {
            $table->decimal('cost', 8, 2)->default(0)->nullable()->after('purchase_rate');
            $table->decimal('price1', 8, 2)->default(0)->nullable()->after('sales_rate');
            $table->decimal('price2', 8, 2)->default(0)->nullable()->after('price1');
            $table->decimal('price3', 8, 2)->default(0)->nullable()->after('price2');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('product_prices', function (Blueprint $table) {
            $table->dropColumn('cost');
            $table->dropColumn('price1');
            $table->dropColumn('price2');
            $table->dropColumn('price3');
        });
    }
}
