<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSaleClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sale_clients', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('sales_id');
            $table->string('invoice_no', 255);
            $table->date('sale_date');
            $table->string('payment_pode', 30);
            $table->string('tax_type', 30);
            $table->string('bill_type', 30);
            $table->string('price_list', 30);
            $table->unsignedBigInteger('customer_id')->nullable();
            $table->unsignedBigInteger('branch_id')->nullable();
            $table->unsignedBigInteger('salesman_id')->nullable();
            $table->decimal('total_amount', 15, 2)->default(0)->nullable();
            $table->decimal('total_cgst_amount', 15, 2)->default(0)->nullable();
            $table->decimal('total_sgst_amount', 15, 2)->default(0)->nullable();
            $table->decimal('total_igst_amount', 15, 2)->default(0)->nullable();
            $table->decimal('total_tax_amount', 15, 2)->default(0)->nullable();
            $table->decimal('total_taxable_amt', 15, 2)->default(0)->nullable();
            $table->decimal('total_discount_percentage', 15, 2)->default(0)->nullable();
            $table->decimal('total_discount_amount', 15, 2)->default(0)->nullable();
            $table->decimal('exempted', 15, 2)->default(0)->nullable();
            $table->decimal('total_item_discount', 15, 2)->default(0)->nullable();
            $table->decimal('sales_total', 15, 2)->default(0)->nullable();
            $table->decimal('netvalue', 15, 2)->default(0)->nullable();
            $table->decimal('cess', 15, 2)->default(0)->nullable();
            $table->decimal('add_cess', 15, 2)->default(0)->nullable();
            $table->decimal('kfc_cess', 15, 2)->default(0)->nullable()->comment('Kerala Flood Cess');
            $table->decimal('freight_coolie', 15, 2)->default(0)->nullable();
            $table->decimal('otherexp', 15, 2)->default(0)->nullable();
            $table->decimal('cost_factor', 15, 2)->default(0)->nullable();
            $table->decimal('cash_discount', 15, 2)->default(0)->nullable();
            $table->decimal('round_off', 15, 2)->default(0)->nullable();
            $table->decimal('grand_total', 15, 2)->default(0)->nullable();
            $table->boolean('correction_status')->default(0)->nullable();
            $table->boolean('status')->default(1)->nullable();
            $table->boolean('return_status')->default(0)->nullable()->comment("0: Not Return, 1: Return");
            $table->unsignedBigInteger('created_by')->nullable();
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('sales_id')->references('id')->on('sales');
            $table->foreign('customer_id')->references('id')->on('customer_masters');
            $table->foreign('branch_id')->references('id')->on('company_profiles');
            $table->foreign('salesman_id')->references('id')->on('users');
            $table->foreign('created_by')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sale_clients');
    }
}
