<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePurchaseReturnDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('purchase_return_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('purchase_return_id');
            $table->unsignedBigInteger('product_master_id');
            $table->integer('quantity')->default(0);
            $table->integer('free_quantity')->default(0);
            $table->decimal('rate', 8, 2)->default(0)->nullable();
            $table->decimal('cost', 8, 2)->default(0)->nullable();
            $table->decimal('sale_rate', 8, 2)->default(0)->nullable();
            $table->decimal('mrp', 8, 2)->default(0)->nullable();
            $table->decimal('gross_amt', 8, 2)->default(0)->nullable();
            $table->decimal('discount_percentage', 8, 2)->default(0)->nullable();
            $table->decimal('discount_amount', 8, 2)->default(0)->nullable();
            $table->decimal('taxable_amt', 8, 2)->default(0)->nullable();
            $table->decimal('cgst', 8, 2)->default(0)->nullable();
            $table->decimal('cgst_amount', 8, 2)->default(0)->nullable();
            $table->decimal('sgst', 8, 2)->default(0)->nullable();
            $table->decimal('sgst_amount', 8, 2)->default(0)->nullable();
            $table->decimal('item_total', 8, 2)->default(0)->nullable();
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('purchase_return_id')->references('id')->on('purchase_returns');
            $table->foreign('product_master_id')->references('id')->on('product_masters');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('purchase_return_details');
    }
}
