<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSalesItemReturnsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sales_item_returns', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('sales_return_id');
            $table->unsignedBigInteger('product_master_id');
            $table->integer('quantity')->default(0);
            $table->integer('free_quantity')->default(0);
            $table->decimal('unit_price', 8, 2)->default(0)->nullable();
            $table->decimal('mrp', 8, 2)->default(0)->nullable();
            $table->decimal('gross_amount', 8, 2)->default(0)->nullable();
            $table->decimal('discount_percentage', 8, 2)->default(0)->nullable();
            $table->decimal('discount_amount', 8, 2)->default(0)->nullable();
            $table->decimal('taxable_amount', 8, 2)->default(0)->nullable();
            $table->decimal('cgst', 8, 2)->default(0)->nullable();
            $table->decimal('cgst_amount', 8, 2)->default(0)->nullable();
            $table->decimal('sgst', 8, 2)->default(0)->nullable();
            $table->decimal('sgst_amount', 8, 2)->default(0)->nullable();
            $table->decimal('item_total', 8, 2)->default(0)->nullable();
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('sales_return_id')->references('id')->on('sales_returns');
            $table->foreign('product_master_id')->references('id')->on('product_masters');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sales_item_returns');
    }
}
