<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSaleQuotationItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sale_quotation_items', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('quotation_id');
            $table->unsignedBigInteger('product_master_id');
            $table->decimal('quantity', 8, 2)->default(0);
            $table->decimal('free_quantity', 8, 2)->default(0);
            $table->decimal('unit_price', 15, 2)->default(0)->nullable();
            $table->decimal('mrp', 15, 2)->default(0)->nullable();
            $table->decimal('gross_amount', 15, 2)->default(0)->nullable();
            $table->decimal('discount_percentage', 15, 2)->default(0)->nullable();
            $table->decimal('discount_amount', 15, 2)->default(0)->nullable();
            $table->decimal('taxable_amount', 15, 2)->default(0)->nullable();
            $table->decimal('cgst', 15, 2)->default(0)->nullable();
            $table->decimal('cgst_amount', 15, 2)->default(0)->nullable();
            $table->decimal('sgst', 15, 2)->default(0)->nullable();
            $table->decimal('sgst_amount', 15, 2)->default(0)->nullable();
            $table->decimal('item_total', 15, 2)->default(0)->nullable();
            $table->timestamps();
            $table->softDeletes();
            $table->foreign('quotation_id')->references('id')->on('sale_quotations');
            $table->foreign('product_master_id')->references('id')->on('product_masters');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sale_quotation_items');
    }
}
