<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSalesTypeToSaleQuotationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sale_quotations', function (Blueprint $table) {
            $table->boolean('sales_type')->default(1)->after('bill_type')->comment('1: Normal Sale, 0: Counter Sale');
            $table->boolean('purpose')->default(1)->after('sales_type')->comment('1: Sale, 0: Estimate');
            $table->boolean('settled')->default(0)->nullable()->after('correction_status');
            $table->unsignedBigInteger('vehicle_id')->nullable()->after('return_status');
            $table->foreign('vehicle_id')->references('id')->on('vehicles');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sale_quotations', function (Blueprint $table) {
            $table->dropColumn('sales_type');
            $table->dropColumn('purpose');
            $table->dropColumn('settled');
            $table->dropForeign(['vehicle_id']);
            $table->dropColumn('vehicle_id');
        });
    }
}
