<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\DB;
use App\Models\AccountGroup;

class AccountGroupSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Artisan::call('cache:clear');
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
            AccountGroup::query()->truncate();
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');
        
        AccountGroup::create(['name'=>'Capital Account', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        AccountGroup::create(['name'=>'Current Asset', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        AccountGroup::create(['name'=>'Current Liability', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        AccountGroup::create(['name'=>'Direct Expense', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        AccountGroup::create(['name'=>'Direct Income', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        AccountGroup::create(['name'=>'Fixed Asset', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        AccountGroup::create(['name'=>'Indirect Expense', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        AccountGroup::create(['name'=>'Indirect Income', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        AccountGroup::create(['name'=>'LongTerm Liability', 'parent_id'=>'0', 'account_type'=>'1', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
    }
}
