<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\DB;
use App\Models\Ledger;

class LedgerSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Artisan::call('cache:clear');
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
            Ledger::query()->truncate();
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');
        
        Ledger::create(['code' => 'Opening Balance', 'name' => 'Opening Balance', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Sales', 'name' => 'Sales', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Purchase', 'name' => 'Purchase', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Cash', 'name' => 'Cash', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Bank', 'name' => 'Bank', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Sales Return', 'name' => 'Sales Return', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Purchase Return', 'name' => 'Purchase Return', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Discount Received', 'name' => 'Discount Received', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Discount Allowed', 'name' => 'Discount Allowed', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Other Income', 'name' => 'Other Income', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Other Expense', 'name' => 'Other Expense', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Profit & Loss Account', 'name' => 'Profit & Loss Account', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'VAT Collected', 'name' => 'VAT Collected', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'CST Collected', 'name' => 'CST Collected', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'CST Paid', 'name' => 'CST Paid', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'VAT Paid', 'name' => 'VAT Paid', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Freight & Coolie', 'name' => 'Freight & Coolie', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Commission Sales', 'name' => 'Commission Sales', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Salary to Employees', 'name' => 'Salary to Employees', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Service', 'name' => 'Service', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Round off Received', 'name' => 'Round off Received', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Round off Allowed', 'name' => 'Round off Allowed', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Cash Discount', 'name' => 'Cash Discount', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'CGST Collected', 'name' => 'CGST Collected', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'CGST Paid', 'name' => 'CGST Paid', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'SGST Collected', 'name' => 'SGST Collected', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'SGST Paid', 'name' => 'SGST Paid', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'IGST Collected', 'name' => 'IGST Collected', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'IGST Paid', 'name' => 'IGST Paid', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Service Tax', 'name' => 'Service Tax', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'CESS-Service Tax', 'name' => 'CESS-Service Tax', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'CESS Collected', 'name' => 'CESS Collected', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'CESS Paid', 'name' => 'CESS Paid', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Card Customer', 'name' => 'Card Customer', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Customer', 'name' => 'Customer', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        Ledger::create(['code' => 'Supplier', 'name' => 'Supplier', 'account_group_id' => '1', 'inbuilt' => 1, 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
    }
}
