<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\DB;
use App\Models\User;

class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Artisan::call('cache:clear');
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
            Role::query()->truncate();
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');
        // Reset cached roles and permissions
        app()[\Spatie\Permission\PermissionRegistrar::class]->forgetCachedPermissions();

        $superrole = Role::firstOrCreate(['name' => 'Super Admin'], ['guard_name' => 'web', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        $superadmin = User::firstOrCreate(['name' => 'Super Admin'], ['email' => 'admin@spgits.com', 'password' => 'Test$1234', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        $superadmin->assignRole($superrole->name);
    }
}
