<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\DB;
use App\Models\State;

class StateSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Artisan::call('cache:clear');
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
            State::query()->truncate();
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');
        
        State::create(['name'=>'Andaman and Nicobar Islands', 'state_code'=>'35', 'alpha_code'=>'AN', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Andhra Pradesh (Old)', 'state_code'=>'28', 'alpha_code'=>'AP', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Andhra Pradesh (New)', 'state_code'=>'37', 'alpha_code'=>'AD', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Arunachal Pradesh', 'state_code'=>'12', 'alpha_code'=>'AR', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Assam', 'state_code'=>'18', 'alpha_code'=>'AS', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Bihar', 'state_code'=>'10', 'alpha_code'=>'BH', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Chandigarh', 'state_code'=>'4', 'alpha_code'=>'CH', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Chattisgarh', 'state_code'=>'22', 'alpha_code'=>'CT', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Dadra and Nagar Haveli', 'state_code'=>'26', 'alpha_code'=>'DN', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Daman and Diu', 'state_code'=>'25', 'alpha_code'=>'DD', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Delhi', 'state_code'=>'7', 'alpha_code'=>'DL', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Goa', 'state_code'=>'30', 'alpha_code'=>'GA', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Gujarat', 'state_code'=>'24', 'alpha_code'=>'GJ', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Haryana', 'state_code'=>'6', 'alpha_code'=>'HR', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Himachal Pradesh', 'state_code'=>'2', 'alpha_code'=>'HP', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Jammu and Kashmir', 'state_code'=>'1', 'alpha_code'=>'JK', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Jharkhand', 'state_code'=>'20', 'alpha_code'=>'JH', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Karnataka', 'state_code'=>'29', 'alpha_code'=>'KA', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Kerala', 'state_code'=>'32', 'alpha_code'=>'KL', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Ladakh', 'state_code'=>'38', 'alpha_code'=>'LA', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Lakshadweep Islands', 'state_code'=>'31', 'alpha_code'=>'LD', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Madhya Pradesh', 'state_code'=>'23', 'alpha_code'=>'MP', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Maharashtra', 'state_code'=>'27', 'alpha_code'=>'MH', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Manipur', 'state_code'=>'14', 'alpha_code'=>'MN', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Meghalaya', 'state_code'=>'17', 'alpha_code'=>'ME', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Mizoram', 'state_code'=>'15', 'alpha_code'=>'MI', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Nagaland', 'state_code'=>'13', 'alpha_code'=>'NL', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Odisha', 'state_code'=>'21', 'alpha_code'=>'OR', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Pondicherry', 'state_code'=>'34', 'alpha_code'=>'PY', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Punjab', 'state_code'=>'3', 'alpha_code'=>'PB', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Rajasthan', 'state_code'=>'8', 'alpha_code'=>'RJ', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Sikkim', 'state_code'=>'11', 'alpha_code'=>'SK', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Tamil Nadu', 'state_code'=>'33', 'alpha_code'=>'TN', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Telangana', 'state_code'=>'36', 'alpha_code'=>'TL', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Tripura', 'state_code'=>'16', 'alpha_code'=>'TR', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Uttar Pradesh', 'state_code'=>'9', 'alpha_code'=>'UP', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'Uttarakhand', 'state_code'=>'5', 'alpha_code'=>'UT', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
        State::create(['name'=>'West Bengal', 'state_code'=>'19', 'alpha_code'=>'WB', 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')]);
    }
}
