@extends('layouts.admin.master')
@section('title', 'Account Group')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
@endsection

@section('vendor-script')
<script type="text/javascript">
    $('.select2').select2({
        minimumResultsForSearch: '',
        width: '100%',
    });

    $(document).on('select2:open', function(e) {
        window.setTimeout(function () {
            document.querySelector('input.select2-search__field').focus();
        }, 0);
    });
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Edit Account Group: {{$accountGroup->name}}</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Users</a></li>
            <li class="breadcrumb-item active" aria-current="page">Account Group List</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<div class="row mt-4">
    <div class="col-md-6 mx-auto">
        <div class="card mb-4">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">Account Group Name: {{$accountGroup->name}}</h5> <small class="text-muted float-end">Edit Account Group</small>
            </div>
            
                <div class="card-body">
                    <form action="{{ route('accountGroup.update', $accountGroup->id) }}" method="post">
                        @csrf
                        @method('PATCH')

                        <div class="col-12 mb-3">
                            <label class="form-label" for="groupName">Account Group Name</label>
                            <input type="text" id="groupName" name="groupName" class="form-control" value="{{$accountGroup->name}}" placeholder="Account Group Name" autofocus />
                        </div>

                        <div class="col-12 mb-3">
                            <label class="form-label" for="basegroup">Base Group</label>
                            <select id="basegroup" name="basegroup" class="form-control select2" required>
                                <option value="">--Select--</option>
                                @foreach($baseGroups as $baseGroup)
                                <option value="{{$baseGroup->id}}" {{($baseGroup->id == $accountGroup->parent_id)?'selected':''}}>{{$baseGroup->name}}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="col-12 text-center demo-vertical-spacing">
                            <button type="submit" class="btn btn-primary me-sm-3 me-1">Update</button>
                        </div>
                    </form>
                </div>
            
        </div>
    </div>
</div>
<!-- Add Role Modal -->

<!--/ Add Role Modal -->
@endsection
