<!DOCTYPE html>
<html lang="en" class="light-style customizer-hide" dir="ltr" data-theme="theme-default" data-assets-path="../assets/" data-template="vertical-menu-template-free">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />
    <title>Login | {{config('app.name')}}</title>
    <meta name="description" content="" />
    <meta name="referrer" content="origin">
    <!-- Favicon -->
    <link rel="icon" type="image/x-icon" href="../assets/img/favicon/favicon.ico" />
    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap" rel="stylesheet" />
    <!-- Icons. Uncomment required icon fonts -->
    <link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap/css/bootstrap.min.css') }}" />

    <!-- Core CSS -->
    <link rel="stylesheet" href="{{ asset('assets/css/style.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/css/plugins.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/css/icons.css') }}" />

    <link rel="stylesheet" href="{{ asset('assets/switcher/css/switcher.css') }}" />
    <!-- Page CSS -->
    <!-- Page -->
    <link rel="stylesheet" href="{{ asset('assets/switcher/demo.css') }}" />
</head>

<body class="app sidebar-mini ltr login-img">
    <!-- Content -->
    <div class="container-xxl">

        <div id="global-loader">
            <img src="{{ asset('assets/images/loader.svg') }}" class="loader-img" alt="Loader">
        </div>

        <div class="page">
            <div class="">
                <?php /*
                <div class="col col-login mx-auto mt-7">
                    <div class="text-center">
                        <a href="{{ url('admin/login') }}"><img src="{{ asset('assets/images/brand/logo-white.png') }}" class="header-brand-img" alt=""></a>
                    </div>
                </div>
                */ ?>

                <div class="container-login100">
                    <div class="wrap-login100 p-6">

                        @if (session('error'))
                            <div class="alert alert-danger alert-dismissible" role="alert"> {{ session('error') }}
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
                            </div>
                        @endif

                        <div class="col col-login mx-auto">
                            <div class="text-center">
                                <a href="{{ url('admin/login') }}"><img src="{{ asset('assets/images/brand/logo-white.png') }}" class="header-brand-img" style="max-width: 200px;" alt=""></a>
                            </div>
                        </div>
                        
                        <form id="formAuthentication" class="mb-3" action="{{route('admin.login')}}" method="POST" autocomplete="off">
                            @csrf
                            <?php /*
                            <span class="login100-form-title pb-5">
                                Login
                            </span>
                            */ ?>

                            <div class="panel panel-primary">
                                <div class="panel-body p-0 pt-5">
                                    <div class="wrap-input100 validate-input input-group" data-bs-validate="Valid email is required: ex@abc.xyz">
                                        <a href="javascript:void(0)" class="input-group-text bg-white text-muted">
                                            <i class="zmdi zmdi-email text-muted" aria-hidden="true"></i>
                                        </a>
                                        <input class="input100 border-start-0 form-control ms-0" type="email" id="email" name="email" value="{{old('email')?old('email'):''}}" placeholder="Enter your email" required autofocus>
                                        @error('email')
                                            <span class="fv-plugins-message-container invalid-feedback d-block" role="alert">
                                                <div>{{ $message }}</div>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="wrap-input100 validate-input input-group" id="Password-toggle">
                                        <a href="javascript:void(0)" class="input-group-text bg-white text-muted">
                                            <i class="zmdi zmdi-eye text-muted" aria-hidden="true"></i>
                                        </a>
                                        <input class="input100 border-start-0 form-control ms-0" type="password" id="password" name="password" placeholder="Password" aria-describedby="password" value="" required>
                                    </div>

                                    @if (Route::has('forgot.password.request'))
                                        <div class="text-end pt-4">
                                            <p class="mb-0"><a href="{{ route('forgot.password.request') }}" class="text-primary ms-1">Forgot Password?</a></p>
                                        </div>
                                    @endif
                                    
                                    <div class="container-login100-form-btn">
                                        <button class="login100-form-btn btn-primary" type="submit">Sign in</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Content -->

    <!-- Core JS -->
    <!-- BEGIN: Vendor JS-->
    <script src="{{ asset('assets/js/jquery.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/bootstrap/js/popper.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/bootstrap/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('assets/js/show-password.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/p-scroll/perfect-scrollbar.js') }}"></script>
    <script src="{{ asset('assets/js/themeColors.js') }}"></script>
    <script src="{{ asset('assets/js/custom.js') }}"></script>

    <script src="{{ asset('assets/js/custom-swicher.js') }}"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->

    <!-- Main JS -->
    <script src="{{ asset('assets/switcher/js/switcher.js') }}"></script>

    <!-- Page JS -->
  </body>
</html>