@extends('layouts.admin.master')
@section('title', 'Dashboard')

@section('vendor-style')

@endsection

@section('page-script')
    <script src="{{asset('assets/js/index1.js')}}"></script>
@endsection


@section('vendor-script')
<script src="{{asset('assets/plugins/peitychart/jquery.peity.min.js')}}"></script>
<script src="{{asset('assets/plugins/peitychart/peitychart.init.js')}}"></script>

<script src="{{asset('assets/plugins/chart/Chart.bundle.js')}}"></script>
<script src="{{asset('assets/plugins/chart/utils.js')}}"></script>

<script src="{{asset('assets/js/apexcharts.js')}}"></script>
<script src="{{asset('assets/plugins/apexchart/irregular-data-series.js')}}"></script>

<script src="{{asset('assets/plugins/flot/jquery.flot.js')}}"></script>
<script src="{{asset('assets/plugins/flot/jquery.flot.fillbetween.js')}}"></script>
<script src="{{asset('assets/plugins/flot/chart.flot.sampledata.js')}}"></script>
<script src="{{asset('assets/plugins/flot/dashboard.sampledata.js')}}"></script>

<script src="{{asset('assets/plugins/jvectormap/jquery-jvectormap-2.0.2.min.js')}}"></script>
<script src="{{asset('assets/plugins/jvectormap/jquery-jvectormap-world-mill-en.js')}}"></script>
<script type="text/javascript">
    var table = $('.datatables-permissions').DataTable({

        processing: true,
        serverSide: true,

       // ... skipped ...
       dom: '<"row mx-1"<"col-sm-12 col-md-3" l><"col-sm-12 col-md-9"<"dt-action-buttons text-xl-end text-lg-start text-md-end text-start d-flex align-items-center justify-content-md-end justify-content-center flex-wrap me-1"<"me-3"f>B>>>t<"row mx-2"<"col-sm-12 col-md-6"i><"col-sm-12 col-md-6"p>>',
        language: {
            sLengthMenu: "_MENU_",
            search: "Search",
            searchPlaceholder: "Search.."
        },
        buttons: [],
        responsive: {
            details: {
                display: $.fn.dataTable.Responsive.display.modal({
                    header: function(e) {
                        return "Details of " + e.data().name
                    }
                }),
            }
        },
        "rowCallback": function (nRow, aData, iDisplayIndex) {
             var oSettings = this.fnSettings();
             $("td:first", nRow).html(oSettings._iDisplayStart+iDisplayIndex +1);
             return nRow;
        },
        ajax: "{{route('product.list.dashboard')}}",
        columns: [
            { data: 'id' },
            { data: 'code' },
            { data: 'name' },
            { data: 'hsncode' },
            { data: 'closigstock' },
            { data: 'category' },
            { data: 'manufacturer' },
            { data: 'price' },
            { data: 'sales_rate' }, 
            { data: 'landing' },
            { data: 'buttons' },
        ]
    });
</script>

@endsection




@section('content')

<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Dashboard</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ route('adminDashboard') }}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->


<!-- ROW-1 -->
<div class="row">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xl-12">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-12 col-xl-3">
                <div class="card overflow-hidden">
                    <div class="card-body">
                        <div class="d-flex">
                            <div class="mt-2">
                                <h6 class="">Total Revenue</h6>
                                <h2 class="mb-0 number-font">&#x20b9; {{ preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $data['totalsalerevenue']->grand_total) }}</h2>
                            </div>
                            <div class="ms-auto">
                                <div class="chart-wrapper mt-1">
                                    <canvas id="saleschart"
                                        class="h-8 w-9 chart-dropshadow"></canvas>
                                </div>
                            </div>
                        </div>
                        <span class="text-muted fs-14"><span class="text-secondary"> &#x20b9; {{ preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $data['totalsalerevenue']->current_month_sum) }}</span> This month</span>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-12 col-xl-3">
                <div class="card overflow-hidden">
                    <div class="card-body">
                        <div class="d-flex">
                            <div class="mt-2">
                                <h6 class="">Total Material Purchase</h6>
                                <h2 class="mb-0 number-font">&#x20b9; {{ preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $data['totalpurchaserevenue']->grand_total) }}</h2>
                            </div>
                            <div class="ms-auto">
                                <div class="chart-wrapper mt-1">
                                    <canvas id="leadschart"
                                        class="h-8 w-9 chart-dropshadow"></canvas>
                                </div>
                            </div>
                        </div>
                        <span class="text-muted fs-14"><span class="text-secondary"> &#x20b9; {{ preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $data['totalpurchaserevenue']->current_month_sum) }}</span> This month</span>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-12 col-xl-3">
                <div class="card overflow-hidden">
                    <div class="card-body">
                        <div class="d-flex">
                            <div class="mt-2">
                                <h6 class="">Total Receivable</h6>
                                <h2 class="mb-0 number-font">&#x20b9; {{ preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $data['totalcreditamount']) }}</h2>
                            </div>
                            <div class="ms-auto">
                                <div class="chart-wrapper mt-1">
                                    <canvas id="profitchart"
                                        class="h-8 w-9 chart-dropshadow"></canvas>
                                </div>
                            </div>
                        </div>
                        <span class="text-muted fs-14">As of today</span>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-12 col-xl-3">
                <div class="card overflow-hidden">
                    <div class="card-body">
                        <div class="d-flex">
                            <div class="mt-2">
                                <h6 class="">Total Payable</h6>
                                <h2 class="mb-0 number-font">&#x20b9; {{ preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $data['totaldebtamount']) }}</h2>
                            </div>
                            <div class="ms-auto">
                                <div class="chart-wrapper mt-1">
                                    <canvas id="costchart"
                                        class="h-8 w-9 chart-dropshadow"></canvas>
                                </div>
                            </div>
                        </div>
                        <span class="text-muted fs-14">As of today</span>
                    </div>
                </div>
            </div>

            <div class="col-lg-6 col-md-6 col-sm-12 col-xl-3">
                <div class="card overflow-hidden">
                    <div class="card-body">
                        <div class="d-flex">
                            <div class="mt-2">
                                <h6 class="">Operational Expenses</h6>
                                <h2 class="mb-0 number-font">&#x20b9; {{ preg_replace("/(\d+?)(?=(\d\d)+(\d)(?!\d))(\.\d+)?/i", "$1,", $data['expenceAmount']) }}</h2>
                            </div>
                            <div class="ms-auto">
                                <div class="chart-wrapper mt-1">
                                    <canvas id="expense-chart" class="h-8 w-9 chart-dropshadow"></canvas>
                                </div>
                            </div>
                        </div>
                        <span class="text-muted fs-14">This month</span>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
<!-- ROW-1 END -->

<!-- ROW-2 -->
<div class="row">
    <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">Sales Analytics</h3>
            </div>
            <div class="card-body">
                <div class="d-flex mx-auto text-center justify-content-center mb-4">
                    <div class="d-flex text-center justify-content-center me-3"><span
                            class="dot-label bg-primary my-auto"></span>Total Sales</div>
                    <div class="d-flex text-center justify-content-center"><span
                            class="dot-label bg-secondary my-auto"></span>Total Orders</div>
                </div>
                <div class="chartjs-wrapper-demo">
                    <canvas id="transactions" class="chart-dropshadow"></canvas>
                </div>
            </div>
        </div>
    </div>
    <!-- COL END -->


    <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
        <div class="page-header">
            <h1 class="page-title">Re-Order</h1>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="card-datatable">
                    <table class="datatables-permissions table table-bordered text-nowrap border-bottom" id="file-datatable">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th width="100px">Code</th>
                                <th width="100px">Name</th>
                                <th>HSN</th>
                                <th>Closing Stock</th>
                                <th>Catagory</th>
                                <th>BRAND</th>
                                <th>MRP</th>
                                <th>Sale Rate</th>
                                <th>Landing</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- ROW-2 END -->
@endsection