@extends('layouts.admin.master')
@section('title', 'Employee')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
@endsection

@section('vendor-script')
<script type="text/javascript">
document.addEventListener("DOMContentLoaded", function(e) {
    const t = document.querySelector("#selectAll"), o = document.querySelectorAll('[type="checkbox"]');
    t.addEventListener("change", t => {
        o.forEach(e => {
            e.checked = t.target.checked
        })
    });
});
$('.select2-show-search').select2({
    minimumResultsForSearch: '',
    width: '100%'
});

$(document).on('select2:open', function(e) {
    window.setTimeout(function () {
        document.querySelector('input.select2-search__field').focus();
    }, 0);
});
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Employee</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Masters</a></li>
            <li class="breadcrumb-item active" aria-current="page">Create Employee</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="addForm" action="{{ route('employee.store') }}" method="post">
    @csrf
    <div class="row mt-4">
        <div class="col-md-8">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">Employee Details:</h5> <small class="text-muted float-end">Add Employee</small>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-6 mb-3">
                            <label class="form-label" for="code">Code</label>
                            <input type="text" id="code" name="code" class="form-control" value="{{ old('code') }}" placeholder="Code" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="name">Name</label>
                            <input type="text" id="name" name="name" class="form-control" value="{{ old('name') }}" placeholder="Name" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="emailid">Email</label>
                            <input type="email" id="emailid" name="emailid" class="form-control" value="{{ old('emailid') }}" placeholder="Email" autofocus />
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="mobile_no">Mobile No</label>
                            <input type="text" id="mobile_no" name="mobile_no" class="form-control" value="{{ old('mobile_no') }}" placeholder="Mobile No" autofocus />
                        </div>

                        <div class="col-6 mb-3">
                            <label class="form-label" for="gender">Gender</label>
                            <select class="form-control select2-show-search form-select" id="gender" name="gender" data-placeholder="Gender">
                                <option label="Choose one"></option>
                                <option value="Male" {{ (old('gender') == 'Male') ? 'selected' : '' }}>Male</option>
                                <option value="Female" {{ (old('gender') == 'Female') ? 'selected' : '' }}>Female</option>
                            </select>
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="blood_group">Blood Group</label>
                            <select class="form-control select2-show-search form-select" id="blood_group" name="blood_group" data-placeholder="Blood Group">
                                <option label="Choose one"></option>
                                <option value="A+" {{ (old('blood_group') == 'A+') ? 'selected' : '' }}>A+</option>
                                <option value="A-" {{ (old('blood_group') == 'A-') ? 'selected' : '' }}>A-</option>
                                <option value="B+" {{ (old('blood_group') == 'B+') ? 'selected' : '' }}>B+</option>
                                <option value="B-" {{ (old('blood_group') == 'B-') ? 'selected' : '' }}>B-</option>
                                <option value="O+" {{ (old('blood_group') == 'O+') ? 'selected' : '' }}>O+</option>
                                <option value="O-" {{ (old('blood_group') == 'O-') ? 'selected' : '' }}>O-</option>
                                <option value="AB+" {{ (old('blood_group') == 'AB+') ? 'selected' : '' }}>AB+</option>
                                <option value="AB-" {{ (old('blood_group') == 'AB-') ? 'selected' : '' }}>AB-</option>
                            </select>
                        </div>
                        <div class="col-12 mb-3">
                            <label class="form-label" for="address">Address</label>
                            <textarea id="address" name="address" class="form-control" placeholder="Address">{{ old('address') }}</textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">General Details:</h5> <small class="text-muted float-end">Add Employee</small>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-6 mb-3">
                            <label class="form-label" for="usercompany">Branch</label>
                            <select class="form-control select2-show-search form-select" id="usercompany" name="usercompany" data-placeholder="Branch">
                                <option label="Choose one"></option>
                                @foreach($companys as $company)
                                    <option value="{{ $company->id }}" {{ (old('usercompany') == $company->id) ? 'selected' : '' }}>{{ $company->name }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="col-6 mb-3">
                            <label class="form-label" for="userrole">Role</label>
                            <select class="form-control select2-show-search form-select" id="userrole" name="userrole" data-placeholder="Role">
                                <option label="Choose one"></option>
                                @foreach($roles as $role)
                                    <option value="{{ $role->id }}" {{ (old('userrole') == $role->id) ? 'selected' : '' }}>{{ $role->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="workstart_time">Work Start Time</label>
                            <input type="time" id="workstart_time" name="workstart_time" class="form-control" value="{{ old('workstart_time') }}" placeholder="Time" autofocus />
                        </div>

                        <div class="col-6 mb-3">
                            <label class="form-label" for="workend_time">End Time</label>
                            <input type="time" id="workend_time" name="workend_time" class="form-control" value="{{ old('workend_time') }}" placeholder="Time" autofocus />
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="commission">Commission %</label>
                            <input type="text" id="commission" name="commission" class="form-control" value="{{ old('commission') }}" placeholder="Commission %" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="salary">Salary</label>
                            <input type="text" id="salary" name="salary" class="form-control" value="{{ old('salary') }}" placeholder="Salary" autofocus />
                        </div>
                        <div class="col-12 mb-3">
                            <label class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" name="active_status" value="0"> <span class="custom-control-label">Deactive</span>
                            </label>
                        </div>
                        <div class="col-12 text-center demo-vertical-spacing">
                            <button type="submit" class="btn btn-primary me-sm-3 me-1">Create</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
<!-- Add Role Modal -->

<!--/ Add Role Modal -->
@endsection
