@extends('layouts.admin.master')
@section('title', 'Employee Edit')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
@endsection

@section('vendor-script')
<script type="text/javascript">
document.addEventListener("DOMContentLoaded", function(e) {
    const t = document.querySelector("#selectAll"), o = document.querySelectorAll('[type="checkbox"]');
    t.addEventListener("change", t => {
        o.forEach(e => {
            e.checked = t.target.checked
        })
    });
});
$('.select2-show-search').select2({
    minimumResultsForSearch: '',
    width: '100%'
});

$(document).on('select2:open', function(e) {
    window.setTimeout(function () {
        document.querySelector('input.select2-search__field').focus();
    }, 0);
});
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Employee Edit</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Masters</a></li>
            <li class="breadcrumb-item active" aria-current="page">Edit Employee</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="addForm" action="{{ route('employee.update', $employee->id) }}" method="post">
    @csrf
    @method('PUT')
    <div class="row mt-4">
        <div class="col-md-8">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">Employee Details:</h5> <small class="text-muted float-end">Edit Employee</small>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-6 mb-3">
                            <label class="form-label" for="code">Code</label>
                            <input type="text" id="code" name="code" class="form-control" value="{{$employee->code }}" placeholder="Code" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="name">Name</label>
                            <input type="text" id="name" name="name" class="form-control" value="{{$employee->name}}" placeholder="Name" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="emailid">Email</label>
                            <input type="email" id="emailid" name="emailid" class="form-control" value="{{$employee->email }}" placeholder="Email" autofocus />
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="mobile_no">Mobile No</label>
                            <input type="text" id="mobile_no" name="mobile_no" class="form-control" value="{{$employee->mobile }}" placeholder="Mobile No" autofocus />
                        </div>

                        <div class="col-6 mb-3">
                            <label class="form-label" for="gender">Gender</label>
                            <select class="form-control select2-show-search form-select" id="gender" name="gender" data-placeholder="Gender">
                                <option label="Choose one"></option>
                                <option value="Male" {{ ($employee->gender == 'Male') ? 'selected' : '' }}>Male</option>
                                <option value="Female" {{ ($employee->gender == 'Female') ? 'selected' : '' }}>Female</option>
                            </select>
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="blood_group">Blood Group</label>
                            <select class="form-control select2-show-search form-select" id="blood_group" name="blood_group" data-placeholder="Blood Group">
                                <option label="Choose one"></option>
                                <option value="A+" {{ ($employee->blood_group == 'A+') ? 'selected' : '' }}>A+</option>
                                <option value="A-" {{ ($employee->blood_group == 'A-') ? 'selected' : '' }}>A-</option>
                                <option value="B+" {{ ($employee->blood_group == 'B+') ? 'selected' : '' }}>B+</option>
                                <option value="B-" {{ ($employee->blood_group == 'B-') ? 'selected' : '' }}>B-</option>
                                <option value="O+" {{ ($employee->blood_group == 'O+') ? 'selected' : '' }}>O+</option>
                                <option value="O-" {{ ($employee->blood_group == 'O-') ? 'selected' : '' }}>O-</option>
                                <option value="AB+" {{ ($employee->blood_group == 'AB+') ? 'selected' : '' }}>AB+</option>
                                <option value="AB-" {{ ($employee->blood_group == 'AB-') ? 'selected' : '' }}>AB-</option>
                            </select>
                        </div>
                        <div class="col-12 mb-3">
                            <label class="form-label" for="address">Address</label>
                            <textarea id="address" name="address" class="form-control" placeholder="Address">{{$employee->address }}</textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">General Details:</h5> <small class="text-muted float-end">Edit Employee</small>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 mb-3">
                            <label class="form-label" for="userrole">Role</label>
                            <select class="form-control select2-show-search form-select" id="userrole" name="userrole" data-placeholder="Role" disabled>
                                <option label="Choose one"></option>
                                @foreach($roles as $role)
                                    <option value="{{ $role->id }}" {{ ((old('userrole') == $role->id) || (isset($employee) && $employee->user->roles()->pluck('name', 'id')->contains($role->name))) ? 'selected' : '' }}>{{ $role->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="workstart_time">Work Start Time</label>
                            <input type="time" id="workstart_time" name="workstart_time" class="form-control" value="{{$employee->work_start_time}}" placeholder="Time" autofocus />
                        </div>

                        <div class="col-6 mb-3">
                            <label class="form-label" for="workend_time">End Time</label>
                            <input type="time" id="workend_time" name="workend_time" class="form-control" value="{{$employee->work_end_time}}" placeholder="Time" autofocus />
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="commission">Commission %</label>
                            <input type="text" id="commission" name="commission" class="form-control" value="{{$employee->cmmission}}" placeholder="Commission %" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="salary">Salary</label>
                            <input type="text" id="salary" name="salary" class="form-control" value="{{$employee->salary}}" placeholder="Salary" autofocus />
                        </div>
                        <div class="col-12 mb-3">
                            <label class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" name="active_status" value="0" {{($employee->activestatus == false)?'checked':''}}> <span class="custom-control-label">Deactive</span>
                            </label>
                        </div>
                        <div class="col-12 text-center demo-vertical-spacing">
                            <button type="submit" class="btn btn-primary me-sm-3 me-1">Update</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
<!-- Add Role Modal -->

<!--/ Add Role Modal -->
@endsection
