@extends('layouts.admin.master')
@section('title', 'Manufacturer')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
@endsection

@section('vendor-script')
<script type="text/javascript">
document.addEventListener("DOMContentLoaded", function(e) {
    const t = document.querySelector("#selectAll"), o = document.querySelectorAll('[type="checkbox"]');
    t.addEventListener("change", t => {
        o.forEach(e => {
            e.checked = t.target.checked
        })
    });
});
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Edit Manufacturer: {{$manufacturer->name}}</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Users</a></li>
            <li class="breadcrumb-item active" aria-current="page">Manufacturer List</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<div class="row mt-4">
    <div class="col-md-6 mx-auto">
        <div class="card mb-4">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">Manufacturer Name: {{$manufacturer->name}}</h5> <small class="text-muted float-end">Edit Manufacturer</small>
            </div>
            
                <div class="card-body">
                    <form action="{{ route('manufacturer.update', $manufacturer->id) }}" method="post">
                        @csrf
                        @method('PUT')
                        <div class="col-12 mb-3">
                            <label class="form-label" for="manufacturercode">Manufacturer Code</label>
                            <input type="text" id="manufacturercode" name="manufacturercode" class="form-control" placeholder="Code" value="{{$manufacturer->code}}" autofocus />
                        </div>

                        <div class="col-12 mb-3">
                            <label class="form-label" for="manufacturername">Manufacturer Name</label>
                            <input type="text" id="manufacturername" name="manufacturername" class="form-control" placeholder="Name" value="{{$manufacturer->name}}" autofocus />
                        </div>
                        <div class="col-12 text-center demo-vertical-spacing">
                            <button type="submit" class="btn btn-primary me-sm-3 me-1">Update</button>
                        </div>
                    </form>
                </div>
            
        </div>
    </div>
</div>
<!-- Add Role Modal -->

<!--/ Add Role Modal -->
@endsection
