@extends('layouts.admin.master')
@section('title', 'Product')

@section('vendor-style')
    <style type="text/css">
        .dt-buttons.btn-group{ position: relative; inset-inline-start: 0px; }
    </style>
@endsection

@section('vendor-script')

<script type="text/javascript">
    var table = $('.datatables-permissions').DataTable({

        processing: true,
        serverSide: true,

       // ... skipped ...
       dom: '<"row mx-1"<"col-sm-12 col-md-3" l><"col-sm-12 col-md-9"<"dt-action-buttons text-xl-end text-lg-start text-md-end text-start d-flex align-items-center justify-content-md-end justify-content-center flex-wrap me-1"<"me-3"f>B>>>t<"row mx-2"<"col-sm-12 col-md-6"i><"col-sm-12 col-md-6"p>>',
        language: {
            sLengthMenu: "_MENU_",
            search: "Search",
            searchPlaceholder: "Search.."
        },
        buttons: [{
            text: "Add Product",
            className: "add-new btn btn-primary mb-3 mb-md-0",
            attr: {
                //"href": "{{ route('employee.create') }}",
            },
            init: function(e, a, t) {
                $(a).removeClass("btn-secondary");
                $(a).click(function(){
                    window.location.href = "{{ route('product.create') }}";
                });
            }
        }],
        responsive: {
            details: {
                display: $.fn.dataTable.Responsive.display.modal({
                    header: function(e) {
                        return "Details of " + e.data().name
                    }
                }),
            }
        },
        "rowCallback": function (nRow, aData, iDisplayIndex) {
             var oSettings = this.fnSettings();
             $("td:first", nRow).html(oSettings._iDisplayStart+iDisplayIndex +1);
             return nRow;
        },
        ajax: "{{route('product.list')}}",
        columns: [
            { data: 'id' },
            { data: 'code' },
            { data: 'name' },
            { data: 'hsncode' },
            { data: 'closigstock' },
            { data: 'category' },
            { data: 'manufacturer' },
            { data: 'price' },
            { data: 'sales_rate' }, 
            { data: 'landing' },
            { data: 'buttons' },
        ]
    });

    /*$('body').on('click', '.viewbtn', function () {
         var userURL = $(this).data('url');
        $.ajax({
            url: userURL,
            type: 'GET',
            dataType: 'json',
            success: function(data) {
                $('#showModal').modal('show');
                $('#vcode').text(data.code);
                $('#vname').text(data.name);
                $('#vaddress').text(data.address);
                $('#vcity').text(data.city);
                $('#vcountry').text(data.country);
                $('#vstate').text(data.state);
                $('#vphoneno').text(data.phone);
                $('#vemailid').text(data.email);
                $('#vpincode').text(data.pincode);
                $('#vfinancialyearstart').text(data.financial_year_start);
                $('#vfinancialyearend').text(data.financial_year_end);
                $('#vgstuin').text(data.gst);
            }
        });
    });*/

</script>

@endsection

@section('content')

<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Product List</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Masters</a></li>
            <li class="breadcrumb-item active" aria-current="page">Product List</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

<!-- Permission Table -->
<div class="card">
    <div class="p-2">
        @if(count($errors) > 0)
            <div class="alert alert-danger d-flex" role="alert"> <span class="badge badge-center rounded-pill bg-danger border-label-danger p-3 me-2"><i class="bx bx-store fs-6"></i></span>
                <div class="d-flex flex-column ps-1">
                    <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                    @foreach ($errors->all() as $error)
                        <span>{{ $error }}</span>
                    @endforeach
                </div>
            </div>
        @endif
        
        @if($message = Session::get('success'))
            <div class="alert alert-success d-flex align-items-center" role="alert"> <span class="badge badge-center rounded-pill bg-success border-label-success p-3 me-2"><i class="bx bx-desktop fs-6"></i></span>
                <div class="d-flex flex-column ps-1">
                    <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                </div>
            </div>
        @endif
    </div>
    <div class="card-body">
        <div class="card-datatable">
            <table class="datatables-permissions table table-bordered text-nowrap border-bottom" id="file-datatable">
                <thead>
                    <tr>
                        <th>#</th>
                        <th width="100px">Code</th>
                        <th width="100px">Name</th>
                        <th>HSN</th>
                        <th>Closing Stock</th>
                        <th>Catagory</th>
                        <th>BRAND</th>
                        <th>MRP</th>
                        <th>Sale Rate</th>
                        <th>Landing</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <?php /*?><tbody>
                    @forelse ($products as $product)
                    <tr>
                        <td>{{$loop->iteration}}</td>
                        <td class="text-left">{{ $product->code }}</td>
                        <td class="text-left">{{ $product->name }}</td>
                        <td class="text-left">{{ $product->hsncode }}</td>
                        <td class="text-left">{{ $product->category->name }}</td>
                        <td class="text-left">{{ $product->manufacturer->name }}</td>
                        <td class="text-left">{{ $product->price->mrp }}</td>
                        <td class="text-left">{{ $product->price->sales_rate }}</td>
                        <td>
                            <div class="g-2">
                                <a class="btn text-primary btn-sm" href="{{ route('product.edit', $product->id) }}" data-bs-toggle="tooltip" data-bs-original-title="Edit"><span class="fe fe-edit fs-14"></span></a>
                                <a class="btn text-primary btn-sm viewbtn" href="{{ route('product.show', $product->id) }}" data-bs-toggle="tooltip" data-bs-original-title="View"><span class="fe fe-eye fs-14"></span></a>
                                <form action="{{ route('product.destroy', $product->id) }}" method="POST" onsubmit="return confirm('Are you sure?');" class="d-inline-block">
                                    @csrf
                                    @method('DELETE')
                                    <button class="btn btn-sm text-danger" type="submit" data-bs-toggle="tooltip" data-bs-original-title="Delete"><span class="fe fe-trash-2 fs-14"></span></button>
                                </form>
                            </div>
                        </td>
                    </tr>
                    @empty

                    @endforelse
                </tbody><?php */?>
            </table>
        </div>
    </div>
</div>
<!--/ Permission Table -->
@endsection
