@extends('layouts.admin.master')
@section('title', 'Production')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css">
<style type="text/css">
    .table td{ padding: 0.73rem 0.2rem; }
    .bottom-table th{ padding: 0.5rem; font-size: 0.76rem; width: 110px; vertical-align: middle; }
</style>
@endsection

@section('vendor-script')
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script type="text/javascript">
$('#product').select2({
    minimumResultsForSearch: '',
    width: '100%'
});

$(document).on('select2:open', function(e) {
    window.setTimeout(function () {
        document.querySelector('input.select2-search__field').focus();
    }, 0);
});
</script>

<script type="text/javascript">
    var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
</script>

<script type="text/javascript">
    $(function() {
        function getElementId(element)
        {
            var id, idArr;
            id = element.attr('id');
            idArr = id.split("_");
            return idArr[idArr.length - 1];
        }

        var route = "{{ route('product.autocomplete.bom') }}";
        $(document).on('focus', '.search', function(e) {
            var dataField, thisElement;
            thisElement = $(this);
            dataField = thisElement.data('field-name');
            if(typeof dataField === 'undefined')
            {
                return false;
            }
            thisElement.autocomplete({
                source: function( data, cb ) {   
                    $.ajax({
                        url: route,
                        method: 'GET',
                        dataType: 'json',
                        data: {
                            name:  data.term,
                            fieldName: dataField
                        },
                        success: function(res){
                            var result;
                            result = [
                                {
                                    label: 'There is no matching record found for '+data.term,
                                    value: ''
                                }
                            ];

                            if (res.length)
                            {
                                result = $.map(res, function(obj){
                                    
                                    return {
                                        label: obj[dataField],
                                        value: obj[dataField],
                                        data : obj
                                    };
                                });
                            }
                            cb(result);
                        }
                    });
                },
                autoFocus: true,            
                minLength: 2,
                select: function( event, selectedData ) {
                    if(selectedData && selectedData.item && selectedData.item.data)
                    {
                        var rowNo, data;
                        rowNo = getElementId(thisElement);
                        data = selectedData.item.data;
                        $('#prdid_'+rowNo).val(data.id);
                        $('#code_'+rowNo).val(data.code);
                        $('#search_'+rowNo).val(data.name);
                    }
                }
            });
        });

        $(document).on('click', '.addProduct', function(e){
            let product = $("#product").val();
            let material = $("#prdid_0").val();
            let quantity = $("#quantity").val();
            if(product == '')
            {
                alert('Product required.');
                return false;
            }
            if(material == '')
            {
                alert('Material required.');
                return false;
            }
            if(quantity == '')
            {
                alert('Quantity required.');
                return false;
            }
            var elem = $(this);
            $.ajax({
                url: "{{ route('production.store') }}",
                type: 'POST',
                data: {_token: CSRF_TOKEN, product:product, material:material, quantity:quantity},
                dataType: 'JSON',
                success: function (result) { 
                    $('#itemList #tbody').html('');
                    var container = $('#itemList tbody#masteritem');//.closest('[data-role="dynamic-fields"]');
                    var size = 0;
                    var newRow = '';
                    var cols = "";
                    $.each(result.bomitems, function (key, value) {
                        size++;
                        cols += "<tr class='parentDiv reindex'>";
                        cols += '<td class="slno text-start">'+size+'</td>';
                        cols += '<td class="text-start">'+value.product.code+'</td>';
                        cols += '<td class="text-start">'+value.product.name+'</td>';
                        cols += '<td class="text-start">'+value.quantity+'</td>';
                        cols += '<td class="text-start"><a href="javascript:void(0);" class="btn btn-danger remove" data-id="'+value.id+'"><span class="fa fa-trash"></span></a></td>';
                        cols += "</tr>";
                    });
                    
                    //container.find("tr:last").after(cols);
                    container.html(cols);
                }
            });
        });

        $(document).on('click', '.remove', function(e){
            let idval = $(this).data('id');
            var elem = $(this);
            if(confirm('Are you sure?'))
            {
                $.ajax({
                    url: "{{ route('bomItemDelete') }}",
                    type: 'POST',
                    data: {_token: CSRF_TOKEN, idval:idval },
                    dataType: 'JSON',
                    success: function (result) {
                        if(result.success)
                        {
                            elem.parents('tr').remove();
                        }
                    }
                });
            }
        });

        $('#product').on('change', function () {
            var prd_id = this.value;
            $.ajax({
                url: "{{route('bomLists')}}",
                type: "POST",
                data: {
                    prd_id: prd_id,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                    console.log(result);
                    var container = $('#itemList #tbody');
                    var size = 0;
                    var newRow = '';
                    var cols = "";
                    if(result.bom_items.length)
                    {
                        $.each(result.bom_items, function (key, value) {
                            size++;
                            cols += "<tr class='parentDiv reindex'>";
                            cols += '<td class="slno text-start">'+size+'</td>';
                            cols += '<td class="text-start">'+value.product.code+'</td>';
                            cols += '<td class="text-start">'+value.product.name+'</td>';
                            cols += '<td class="text-start">'+value.quantity+'</td>';
                            cols += '<td class="text-start"><a href="javascript:void(0);" class="btn btn-danger remove" data-id="'+value.id+'"><span class="fa fa-trash"></span></a></td>';
                            cols += "</tr>";
                        });
                        
                        container.html(cols);
                    }
                    else
                    {
                        container.html('<tr><td colspan="5" class="text-center text-danger">No record exist.</td></tr>')
                    }
                }
            });
        });
    });
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Production</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Production</a></li>
            <li class="breadcrumb-item active" aria-current="page">Create Production</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="purchaseForm" method="post" action="#">
    @csrf
    <div class="row">
        <div class="col-4">
            <div class="card">
                <div class="card-body">
                    <div class="mb-1">
                        <label class="form-label" for="product">Product</label>
                        <select id="product" name="product" class="form-control select2" required>
                            <option value="">--Select--</option>
                            @foreach($products as $product)
                            <option value="{{$product->id}}">{{$product->name}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-8">
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover" id="metitemList">
                        <thead>
                            <tr>
                                <th width="10"></th>
                                <th class="text-center text-capitalize">Code</th>
                                <th class="text-center text-capitalize">Product</th>
                                <th class="text-center text-capitalize">Quantity</th>
                                <th class="text-center text-capitalize"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td></td>
                                <td>
                                    <input type="hidden" data-field-name="id" id="prdid_0" name="prdid" class="prdid" required/>
                                    <input type="text" data-field-name="code" id="code_0" name="code" placeholder="Code" class="input form-control code search" required autofocus/>
                                </td>
                                <td><input type="text" data-field-name="name" id="search_0" name="search" placeholder="Product" class="input form-control product search" required/></td>
                                <td><input type="number" value="1" id="quantity" name="quantity" class="input quantity form-control" required step=".01"></td>
                                <td class="text-end">
                                    <a href="javascript:void(0);" class="btn btn-primary addProduct">Add <span class="fa fa-plus"></span></a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <table class="table table-hover" id="itemList">
                        <tbody id="masteritem" data-role="dynamic-fields"></tbody>
                        <tbody id="tbody"></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>


</form>
@endsection


