@extends('layouts.admin.master')
@section('title', 'Barcode')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
<link rel="stylesheet" href="{{ asset('css/barcodePrint-style.css') }}" />
<style type="text/css">

</style>
@endsection

@section('vendor-script')
<script type="text/javascript">
function PrintDiv()
{
    var style_url = "{{ asset('css/barcodePrint-style.css') }}";
    var divToPrint = document.getElementById('divToPrint');
    var popupWin = window.open('', '_blank', 'width=595,height=842');
    popupWin.document.open();
    popupWin.document.write('<html><link href="'+style_url+'" rel="stylesheet" type="text/css" /><body onload="window.print()">' +divToPrint.innerHTML + '</html>');
    popupWin.document.close();
    popupWin.focus();
    setTimeout(function(){popupWin.close();},100);
}
</script>

@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Barcode</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Inventory</a></li>
            <li class="breadcrumb-item active" aria-current="page">Create Barcode</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="purchaseForm" method="post" action="#">
    <div class="card">
        <div class="card-body">
            <div style="width: 100%; text-align: center; margin-bottom: 10px;">
                <input type="button" class="btn btn-primary" onclick="PrintDiv();" value="Print">
            </div>
            <div id="divToPrint" class='printDiv'>
                @php
                    $title = ucwords(strtolower($companyTitle));
                @endphp
                @foreach($purchase->purchaseDetails as $purchaseList)
                    @php
                        $quantity = $purchaseList->quantity;
                        if($quantity == 1)
                        {
                            $quantityLimit = 1;
                        }
                        else
                        {
                            $divideValue = $quantity / 2;
                            $modeValue = $quantity % 2;
                            $quantityLimit = $divideValue + $modeValue;
                        }
                    @endphp

                    @for ($i = 1; $i <= $quantity; $i++)
                    <div class="barcodeMain">
                        <div class="barcodeWraper">
                            <div class="barcodeHeading">{{ \Illuminate\Support\Str::limit($title, 25, $end='...') }}</div>
                            <div class="barcodeProduct">{{ \Illuminate\Support\Str::limit($purchaseList->product->name, 25, $end='...') }}</div>
                            <div class="barcodeValue">{!! DNS1D::getBarcodeHTML($purchaseList->product->barcode, 'C128', 1.5, 25, 'black', false); !!}</div>
                            <div class="barcodeCode">{{ $purchaseList->product->barcode }}</div>
                            <div class="barcodeRate">
                                <div class="mrprate">MRP: {{ $purchaseList->mrp }}</div>
                                <div class="salerate">SALE: {{ $purchaseList->sale_rate }}</div>
                            </div>
                        </div>
                    </div>
                    @endfor
                @endforeach
            </div>
        </div>
    </div>
</form>
@endsection


