@extends('layouts.admin.master')
@section('title', 'Purchase')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css">
<style type="text/css">
    .table td{ padding: 0.73rem 0.2rem; }
    .bottom-table th{ padding: 0.5rem; font-size: 0.76rem; width: 110px; vertical-align: middle; }
</style>
@endsection

@section('vendor-script')
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script type="text/javascript">
$('.branch').select2({
    minimumResultsForSearch: '',
    width: '100%'
});

$(document).on('select2:open', function(e) {
    window.setTimeout(function () {
        document.querySelector('input.select2-search__field').focus();
    }, 0);
});
</script>

<script type="text/javascript">
$('#vendor').select2({
  placeholder: 'Select Vendor',
  ajax: {
    url: "{{route('vendorSearch')}}",
    dataType: 'json',
    delay: 250,
    processResults: function (data) {
      return {
        results: $.map(data, function (item) {
              return {
                  text: item.name,
                  id: item.id
              }
          })
      };
    },
    cache: true
  }
});

$('#vendor').on('change', function () {
    var vendor_id = this.value;
    $("#vendor_address").html('');
    $("#contact_no").html('');
    $.ajax({
        url: "{{route('vendorDetails')}}",
        type: "POST",
        data: {
            vendor_id: vendor_id,
            _token: '{{csrf_token()}}'
        },
        dataType: 'json',
        success: function (res) {
            $("#vendor_address").html(res.address);
            $("#contact_no").html(res.mobile);
        }
    });
});
</script>

<script type="text/javascript">
    $(function() {

        // Remove button click
        $(document).on('click','.remove',function(){
            $(this).parents('tr').remove();
            i = i - 1;
            $('.reindex').each(function(i){
                $(this).find('.prdid').attr('name', 'prdid[' + (i + 1)+']');
                $(this).find('.code').attr('name', 'code[' + (i + 1)+']');
                $(this).find('.product').attr('name', 'search[' + (i + 1)+']');
                $(this).find('.quantity').attr('name', 'quantity[' + (i + 1)+']');
                $(this).find('.freequantity').attr('name', 'freequantity[' + (i + 1)+']');
                $(this).find('.purchase_rate').attr('name', 'purchase_rate[' + (i + 1)+']');
                $(this).find('.cost').attr('name', 'cost[' + (i + 1)+']');
                $(this).find('.salerate').attr('name', 'salerate[' + (i + 1)+']');
                $(this).find('.mrp').attr('name', 'mrp[' + (i + 1)+']');
                $(this).find('.taxableamt').attr('name', 'taxableamt[' + (i + 1)+']');
                $(this).find('.disc_per').attr('name', 'disc_per[' + (i + 1)+']');
                $(this).find('.disc_amt').attr('name', 'disc_amt[' + (i + 1)+']');
                $(this).find('.taxablerow').attr('name', 'taxablerow[' + (i + 1)+']');
                $(this).find('.cgst').attr('name', 'cgst[' + (i + 1)+']');
                $(this).find('.cgst_amt').attr('name', 'cgst_amt[' + (i + 1)+']');
                $(this).find('.sgst').attr('name', 'sgst[' + (i + 1)+']');
                $(this).find('.sgst_amt').attr('name', 'sgst_amt[' + (i + 1)+']');
                $(this).find('.total').attr('name', 'total[' + (i + 1)+']');
            });

            $('#itemList >tbody >tr').each(function(index) {
                $(this).find('.slno').html(index+1);
            });
            calc();
        });

        var i = 1;
        // Add button click
        $(document).on('click', '.addProduct', function(e) {
            e.preventDefault();
            var size = $('#itemList >tbody >tr').length;
            var container = $(this).closest('[data-role="dynamic-fields"]');
            var newRow = $("<tr class='parentDiv reindex'>");
            var cols = "";
            cols += '<td class="slno text-center">'+size+'</td>';
            cols += '<td><input type="hidden" data-field-name="id" id="prdid_'+i+'" name="prdid['+i+']"class="prdid" required/><input type="text" data-field-name="code" id="code_'+i+'" name="code['+i+']" placeholder="Code" class="input form-control code search" required autofocus/></td>';
            cols += '<td><input type="text" data-field-name="name" id="search_'+i+'" name="search['+i+']" placeholder="Product" class="input form-control product search" required/></td>';
            cols += '<td><input type="number" value="1" name="quantity['+i+']" class="input quantity form-control" required step=".01"></td>';
            cols += '<td><input type="number" value="0" name="freequantity['+i+']" class=" freequantity form-control" required step=".01"></td>';
            cols += '<td><input type="text" value="0" id="purchaserate_'+i+'" name="purchase_rate['+i+']" class="input purchase_rate form-control" required></td>';
            cols += '<td><input type="text" value="0" id="cost_'+i+'" name="cost['+i+']" class=" cost form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" id="salesrate_'+i+'" name="salerate['+i+']" class="input salerate form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" id="mrp_'+i+'" name="mrp['+i+']" class="input mrp form-control col-md-12" required></td>';
            cols += '<td><input type="text" class="taxableamt form-control " name="taxableamt['+i+']" id="taxableamt_'+i+'" readonly></td>';
            cols += '<td><input type="text" value="0" name="disc_per['+i+']" class="input disc_per form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="disc_amt['+i+']" class="input disc_amt form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="taxablerow['+i+']" class=" taxablerow form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="cgst['+i+']" id="igst_'+i+'" class=" cgst form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="cgst_amt['+i+']" class=" cgst_amt form-control col-md-12" required></td>';
            cols += '<td class="d-none"><input type="text" value="0" name="sgst['+i+']" id="sgst_'+i+'" class="sgst form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="sgst_amt['+i+']" class=" sgst_amt form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="total['+i+']" class=" total form-control col-md-12" readonly></td>';
            cols += '<td><a href="javascript:void(0);" class="btn btn-danger remove"><span class="fa fa-trash"></span></a></td>';
            newRow.append(cols);
            container.find("tr:last").before(newRow);
            $("#code_"+i).focus();
            i = i+1;
        });
    });
</script>

<script type="text/javascript">
    function getElementId(element)
    {
        var id, idArr;
        id = element.attr('id');
        idArr = id.split("_");
        return idArr[idArr.length - 1];
    }
    var route = "{{ route('product.autocomplete') }}";
    $(document).on('focus', '.search', function(e) {
        var dataField, thisElement;
        thisElement = $(this);
        dataField = thisElement.data('field-name');
        if(typeof dataField === 'undefined')
        {
            return false;
        }
        thisElement.autocomplete({
            source: function( data, cb ) {   
                $.ajax({
                    url: route,
                    method: 'GET',
                    dataType: 'json',
                    data: {
                        name:  data.term,
                        fieldName: dataField
                    },
                    success: function(res){
                        var result;
                        result = [
                            {
                                label: 'There is no matching record found for '+data.term,
                                value: ''
                            }
                        ];

                        if (res.length)
                        {
                            result = $.map(res, function(obj){
                                
                                return {
                                    label: obj[dataField],
                                    value: obj[dataField],
                                    data : obj
                                };
                            });
                        }
                        cb(result);
                    }
                });
            },
            autoFocus: true,            
            minLength: 2,
            select: function( event, selectedData ) {
                if(selectedData && selectedData.item && selectedData.item.data)
                {
                    var rowNo, data;
                    rowNo = getElementId(thisElement);
                    data = selectedData.item.data;
                    $('#prdid_'+rowNo).val(data.id);
                    $('#code_'+rowNo).val(data.code);
                    $('#search_'+rowNo).val(data.name);
                    var taxincl = data.tax.inclusive_purchase;
                    $('#purchaserate_'+rowNo).attr('data-inclusive', taxincl);
                    if(taxincl == 1)
                    {
                        var beftax = parseFloat(data.price.purchase_rate / (100 + parseFloat(data.tax.gst))) * 100;
                        $('#purchaserate_'+rowNo).val(beftax.toFixed(2));
                    }
                    else
                    {
                        $('#purchaserate_'+rowNo).val(data.price.purchase_rate);
                    }
                    
                    $('#cost_'+rowNo).val(data.price.purchase_rate);
                    $('#cost_'+rowNo).parent().attr("data-costval", data.price.purchase_rate);
                    $('#cost_'+rowNo).parent().attr("data-originalcost", data.price.purchase_rate);
                    $('#salesrate_'+rowNo).val(data.price.sales_rate);
                    $('#mrp_'+rowNo).val(data.price.mrp);
                    $('#igst_'+rowNo).val(data.tax.gst);
                    $('#sgst_'+rowNo).val(data.tax.gst/2);
                    calc();
                }
            }
        });
    });

    $(document).ready(function() {
        $('tr .input:first').focus();
            
        $(document).on("keydown", '.input', function(e) {
           var n = $(".input").length;
           if (e.which == 13) 
           { //Enter key
                e.preventDefault(); //to skip default behavior of the enter key
                var nextIndex = $('.input').index(this) + 1;
                if(nextIndex < n)
                {
                    $('.input')[nextIndex].focus();
                    $('.input')[nextIndex].select();
                }
                else
                {
                    $('.input')[nextIndex-1].blur();
                    $('.addProduct').click();
                }
           }
        });
    });

    $('#itemList tbody').on('keyup change',function(){
        calc();
    });
</script>

<script type="text/javascript">
    function calc()
    {
        var totalDiscountPercentage = parseFloat($('.totaldiscountper').val()) || 0;
        var $parentDivs = $('#itemList tbody tr.parentDiv');
        var totalItems = $parentDivs.length;

        var totaltaxable = 0;
        var totalSubTotal = 0;
        var totalCgstAmt = 0;
        var totalSgstAmt = 0;
        var totalDiscountAmt = 0;
        var totalGrossTotal = 0;

        $parentDivs.each(function() {
            var $row = $(this);
            var actqty = parseFloat($row.find('.quantity').val()) || 0;
            var purchase_rate = parseFloat($row.find('.purchase_rate').val()) || 0;
            var disc_per = parseFloat($row.find('.disc_per').val()) || 0;

            $row.find('.cost').parent().attr("data-costval", purchase_rate);
            $row.find('.cost').parent().attr("data-originalcost", purchase_rate);

            var product_total = actqty * purchase_rate;
            var disc_amt = product_total * (disc_per / 100);
            var total_after_discount = product_total - disc_amt;

            if(totalDiscountPercentage > 0)
            {
                var discount_amt = (parseFloat(totalDiscountPercentage / 100) * parseFloat(total_after_discount));
                var afterdisc_amt = parseFloat(total_after_discount - discount_amt);
                var roundedVal = parseFloat(afterdisc_amt).toFixed(2);
            }
            else
            {
                var roundedVal = total_after_discount.toFixed(2);
            }

            //var roundedVal = total_after_discount.toFixed(2);

            var cgst = parseFloat($row.find('.cgst').val()) / 2 || 0;
            var cgstamount = roundedVal * (cgst / 100);
            var sgstamount = cgstamount;
            var totalamt = parseFloat(roundedVal) + cgstamount + sgstamount;

            $row.find('.taxableamt').val(product_total.toFixed(2));
            $row.find('.disc_amt').val(); // disc_amt.toFixed(2)
            $row.find('.taxablerow').val(roundedVal).parent().data("actval", total_after_discount.toFixed(2));
            $row.data("taxable", total_after_discount);
            $row.find('.cgst_amt').val(cgstamount.toFixed(2));
            $row.find('.sgst_amt').val(sgstamount.toFixed(2));
            $row.find('.total').val(totalamt.toFixed(2));

            totaltaxable += total_after_discount;
            totalSubTotal += parseFloat(totalamt);
            totalCgstAmt += parseFloat(cgstamount);
            totalSgstAmt += parseFloat(sgstamount);
            totalDiscountAmt += disc_amt;
            totalGrossTotal += product_total;
        });

        var totaltax = totalCgstAmt + totalSgstAmt;
        var taxable = (totaltaxable * (1 - totalDiscountPercentage / 100)).toFixed(2);

        $('.subtotal').html(totalSubTotal.toFixed(2));
        $('.grosstotal').val(totalGrossTotal.toFixed(2));
        $('.cgstamt').val(totalCgstAmt.toFixed(2));
        $('.sgstamt').val(totalSgstAmt.toFixed(2));
        $('.totaltax').val(totaltax.toFixed(2));
        $('.itemdiscount').val(totalDiscountAmt.toFixed(2));
        $('.taxable').val(taxable).parent().attr({
            "data-taxableamt": taxable,
            "data-totaltaxableamt": totaltaxable
        });

        var cessamt = parseFloat($('.cessamt').val()) || 0;
        var addcess = parseFloat($('.addcess').val()) || 0;
        var cessval = taxable * (cessamt / 100);
        var addcessval = taxable * (addcess / 100);
        var netval = totalSubTotal + cessval + addcessval;
        $('.netvalue').val(netval.toFixed(2));

        calc_expense(netval.toFixed(2));
    }

    function calc_expense(total)
    {
        var freightcoolie = parseFloat($('.freightcoolie').val()) || 0;
        var otherexp = parseFloat($('.otherexp').val()) || 0;
        var costfactor = parseFloat($('.costfactor').val()) || 0;

        var totalItems = $('#itemList tbody tr.parentDiv').length;
        var freightcooliebyitem = freightcoolie / totalItems;
        var otherexpbyitem = otherexp / totalItems;
        var costfactorbyitem = costfactor / totalItems;

        $('#itemList tbody tr.parentDiv').each(function() {
            var $row = $(this);
            var actqty = parseFloat($row.find('.quantity').val()) || 0;

            var freightvalueperItem = freightcooliebyitem / actqty;
            var otherexpvalueperItem = otherexpbyitem / actqty;
            var costfactorvalueperItem = costfactorbyitem / actqty;

            // var costoriginal = parseFloat($row.find('.cost').parent().data('originalcost')) || 0;
            var costoriginal = parseFloat($row.find('.cost').parent().attr('data-originalcost')) || 0;
            var rowDiscount = parseFloat($row.find('.disc_per').val()) || 0;
            var costoriginalDisc = costoriginal * (rowDiscount / 100);
            var costvaloriginal = costoriginal - costoriginalDisc;

            var totalDiscountPercentage = parseFloat($('.totaldiscountper').val()) || 0;
            var costDisc = costvaloriginal * (totalDiscountPercentage / 100);
            var costdiscamt = costvaloriginal - costDisc;
            $row.find('.cost').val(costdiscamt.toFixed(2)).parent().attr("data-costval", costdiscamt.toFixed(2));

            var totalCostval = costdiscamt + costfactorvalueperItem;
            var gstper = parseFloat($row.find('.cgst').val()) || 0;
            var csttax = totalCostval * (gstper / 100);
            var totalCostva = totalCostval + csttax + freightvalueperItem + otherexpvalueperItem;

            $row.find('.cost').val(totalCostva.toFixed(2));
        });

        var totalbefdisc = parseFloat(total);
        var totaldisc = totalbefdisc - parseFloat($('.cashdisc').val() || 0);
        var finalTotal = totaldisc.toFixed(parseInt($('.roundval').val()) || 0);
        var tcsvalue = $('.tcsvalue').val();
        var tcsAmount = finalTotal * (tcsvalue / 100);
        var netTotal = parseFloat(finalTotal) + parseFloat(tcsAmount);

        $('.finalamount').val(netTotal.toFixed(parseInt($('.roundval').val())));
        $('.subtotal').html(netTotal.toFixed(parseInt($('.roundval').val())));
    }

    $(document).on('keyup change', '.quantity, .purchase_rate, .disc_per, .disc_amt, .totaldiscountper, .totaldiscountamt', function() {
        calc();
    });

    $('.cessamt, .addcess, .freightcoolie, .otherexp, .cashdisc, .roundval').on('keyup change', function() {
        calc();
    });

    $(document).on('keyup', '.totaldiscountper', function() {
        var taxableAmount = parseFloat($('.taxable').parent().data('totaltaxableamt'));
        var discountAmount = ($(this).val() / 100) * taxableAmount;
        $('.taxable').val((taxableAmount - discountAmount).toFixed(2));
        $('.totaldiscountamt').val(discountAmount.toFixed(2));
        calc();
    });

    $(document).on('keyup', '.totaldiscountamt', function() {
        var taxableAmount = parseFloat($('.taxable').parent().data('totaltaxableamt'));
        var discountPercentage = ($(this).val() / taxableAmount) * 100;
        $('.taxable').val((taxableAmount - $(this).val()).toFixed(2));
        $('.totaldiscountper').val(discountPercentage.toFixed(2));
        calc();
    });

    $(document).on('keyup change', '.disc_per', function(){
        var discount = $(this).val();
        var parent = $(this).closest('tr.parentDiv');
        percentage_discount = discount > 0 ? discount : 0;
        var grstotal = parseFloat(parent.find('.quantity').val()) * parseFloat(parent.find('.purchase_rate').val());
        var disc = parseFloat(percentage_discount / 100) * parseFloat(grstotal);
        var ttamt = disc.toFixed(2);
        parent.find('.disc_amt').val((ttamt > 0)?ttamt:0);
        calc();
    });

    $(document).on('keyup change', '.disc_amt', function(){
        var discount = $(this).val();
        var parent = $(this).closest('tr.parentDiv');
        discountamt = discount > 0 ? discount : 0;
        var grstotal = parseFloat(parent.find('.quantity').val()) * parseFloat(parent.find('.purchase_rate').val());
        var discper = ((parseFloat(discount) / parseFloat(grstotal)) * 100);
        var ttamt = discper.toFixed(2);
        parent.find('.disc_per').val((ttamt > 0)?ttamt:0);
        calc();
    });

    $(document).on('keyup change', '.tcsvalue', function(){
        calc();
    });

    $(document).on('change', '.purchase_rate', function(e){
        var fieldVal = $(this).val();
        var inclTax = $(this).data('inclusive');
        var taxval = $(this).parents('tr').find('.cgst').val();
        if(inclTax == 1)
        {
            var beftax = parseFloat(fieldVal / (100 + parseFloat(taxval))) * 100;
            $(this).val(beftax.toFixed(2));
        }
        else
        {
            $(this).val(fieldVal);
        }
    });
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Purchase</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Inventory</a></li>
            <li class="breadcrumb-item active" aria-current="page">Create Purchase</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="purchaseForm" method="post" action="{{ route('purchase.store') }}">
    @csrf
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-4">
                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="billdate">Date</label>
                            <input type="date" id="billdate" name="billdate" class="form-control" value="{{ old('billdate')?old('billdate'):date('Y-m-d') }}" placeholder="Date" autofocus required />
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="invno">Invoice No</label>
                            <input type="text" id="invno" name="invno" class="form-control" value="{{ old('invno') }}" placeholder="Invoice No" required />
                        </div>
                    </div>

                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="mop">MOP</label>
                            <select id="mop" name="mop" class="form-control" required>
                                <option value="Cash">Cash</option>
                                <option value="Card">Card</option>
                                <option value="Transfer">Transfer</option>
                                <option value="Credit">Credit</option>
                            </select>
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="tax">Tax</label>
                            <select id="tax" name="tax" class="form-control" required>
                                <option value="GST">GST</option>
                                <option value="IGST">IGST</option>
                                <option value="No Tax">No Tax</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label" for="vendor">Vendor</label>
                        <select id="vendor" name="vendor" class="form-control select2" required>
                            <option value="">--Select--</option>
                            @foreach($vendors as $vendor)
                            <option value="{{$vendor->id}}">{{$vendor->name}}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="mb-1">
                        <label class="form-label">Address</label>
                        <div id="vendor_address" class="form-control">Address</div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label">Contact No</label>
                        <div id="contact_no" class="form-control">Contact No</div>
                    </div>

                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="sales_man">Sales Man</label>
                            <select id="sales_man" name="sales_man" class="form-control" required>
                                @foreach($employees as $employee)
                                    <option value="{{$employee->id}}">{{$employee->name}}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="col-6">
                            <label class="form-label" for="branch">Branch</label>
                            <select id="branch" name="branch" class="form-control branch" required>
                                <option value="">--Select--</option>
                                @foreach($companys as $company)
                                <option value="{{$company->id}}" {{ (count($companys) == 1)?'selected':'' }}>{{$company->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">
            <table class="table table-hover" id="itemList">
                <thead>
                    <tr>
                        <th class="text-center text-capitalize">No</th>
                        <th class="text-center text-capitalize" width="150">Code</th>
                        <th class="text-center text-capitalize" width="150">Product</th>
                        <th class="text-center text-capitalize" width="10">Quantity</th>
                        <th class="text-center text-capitalize">Free Qty</th>
                        <th class="text-center text-capitalize">Rate</th>
                        <th class="text-center text-capitalize">Cost</th>
                        <th class="text-center text-capitalize">Sale Rate</th>
                        <th class="text-center text-capitalize">MRP</th>
                        <th class="text-center text-capitalize">Gross Amt</th>
                        <th class="text-center text-capitalize">Disc %</th>
                        <th class="text-center text-capitalize">Discount</th>
                        <th class="text-center text-capitalize">Taxable Amt</th>
                        <th class="text-center text-capitalize">GST %</th>
                        <th class="text-center text-capitalize">CGST Amt</th>
                        <th class="text-center text-capitalize d-none">SGST %</th>
                        <th class="text-center text-capitalize">SGST Amt</th>
                        <th class="text-center text-capitalize" width="100">Total</th>
                        <th class="text-center text-capitalize"></th>
                    </tr>
                </thead>
                <tbody data-role="dynamic-fields">
                    <tr class="parentDiv">
                        <td class="text-center">1</td>
                        <td>
                            <input type="hidden" data-field-name="id" id="prdid_0" name="prdid[0]"class="prdid" required/>
                            <input type="text" data-field-name="code" id="code_0" name="code[0]" placeholder="Code" class="input form-control code search" required autofocus/>
                        </td>
                        <td><input type="text" data-field-name="name" id="search_0" name="search[0]" placeholder="Product" class="input form-control product search" required/></td>
                        <td><input type="number" value="1" name="quantity[0]" class="input quantity form-control" required step=".01"></td>
                        <td><input type="number" value="0" name="freequantity[0]" class=" freequantity form-control" required step=".01"></td>
                        <td><input type="text" value="0" id="purchaserate_0" name="purchase_rate[0]" class="input purchase_rate form-control" required></td>
                        <td><input type="text" value="0" id="cost_0" name="cost[0]" class=" cost form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="salerate[0]" id="salesrate_0" class="input salerate form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="mrp[0]" id="mrp_0" class="input mrp form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="taxableamt[0]" class="taxableamt form-control " id="taxableamt_0" readonly></td>
                        <td><input type="text" value="0" name="disc_per[0]" class="input disc_per form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="disc_amt[0]" class="input disc_amt form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="taxablerow[0]" class=" taxablerow form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="cgst[0]" id="igst_0" class=" cgst form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="cgst_amt[0]" class=" cgst_amt form-control col-md-12" required></td>
                        <td class="d-none"><input type="text" value="0" name="sgst[0]" id="sgst_0" class="sgst form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="sgst_amt[0]" class=" sgst_amt form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="total[0]" class=" total form-control col-md-12" readonly></td>
                        <td>
                            <a href="javascript:void(0);" class="btn btn-outline-danger"><span class="fa fa-hand-o-down"></span></a>
                        </td>
                    </tr>
                    <tr id="divlast"><td></td><td colspan="17" class="text-end"><a href="javascript:void(0);" class="btn btn-primary addProduct">Add <span class="fa fa-plus"></span></a></td></tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="card">
        <div class="card-header"> <h3 class="card-title">Price Section</h3> </div>
        <div class="card-body">
            <div class="col-12">
                <input type="hidden" name="finalamount" class="finalamount" id="finalamount">
                <div class="row">
                    <div class="col-10">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Gross Total</th><td><input type="text" value="0" name="grosstotal" class="form-control grosstotal" required readonly></td>
                                    <th class="text-capitalize">Taxable</th><td><input type="text" value="0" name="taxable" class="form-control taxable" required readonly></td>
                                    <th class="text-capitalize">CGST Amt</th><td><input type="text" value="0" name="cgstamt" class="form-control cgstamt" required readonly></td>
                                    <th class="text-capitalize">Purchase Value</th><td><input type="text" value="0" name="purchasevalue" class="form-control" required></td>
                                    <th class="text-capitalize">Other Expense</th><td><input type="text" value="0" name="otherexp" class="form-control otherexp" required></td>
                                    <th class="text-capitalize">Cost Factor</th><td><input type="text" value="0" name="costfactor" class="form-control costfactor" required></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Discount</th>
                                    <td>
                                        <div class="input-group mb-3">
                                            <input type="text" name="discountfinal" class="form-control totaldiscountper" placeholder="%" aria-label="%">
                                            <input type="text" name="discountfinalamt" class="form-control totaldiscountamt" placeholder="Amount" aria-label="Amount">
                                        </div>
                                    </td>
                                    <th class="text-capitalize">Total Tax</th><td><input type="text" value="0" name="totaltax" class="form-control totaltax" required readonly></td>
                                    <th class="text-capitalize">SGST Amt</th><td><input type="text" value="0" name="sgstamt" class="form-control sgstamt" required readonly></td>
                                    <th class="text-capitalize">Net Value</th><td><input type="text" value="0" name="netvalue" class="form-control netvalue" required readonly></td>
                                    <th class="text-capitalize">Freight Coolie</th><td><input type="text" value="0" name="freightcoolie" class="form-control freightcoolie" required></td>
                                    <th class="text-capitalize">TCS</th><td><input type="text" value="0" name="tcsvalue" class="form-control tcsvalue" required></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Item Discount</th><td><input type="text" value="0" name="itemdiscount" class="form-control itemdiscount" required readonly></td>
                                    <th class="text-capitalize">Exempted</th><td><input type="text" value="0" name="exempted" class="form-control exempted" required></td>
                                    <th class="text-capitalize">IGST Amt</th><td><input type="text" value="0" name="igstamt" class="form-control igstamt" required readonly></td>
                                    <th class="text-capitalize">Cess Amt</th><td><input type="text" value="0" name="cessamt" class="form-control cessamt" required></td>
                                    <th class="text-capitalize">Add.Cess</th><td><input type="text" value="0" name="addcess" class="form-control addcess" required></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-2">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Cash Discount</th><td><input type="text" value="0" name="cashdisc" class="form-control cashdisc" required></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Round Off</th><td><input type="text" value="2" name="roundval" class="form-control roundval" required></td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="card cart">
                            <div class="card-header p-2">
                                <h3 class="card-title p-0" style="font-size: 0.8rem;">Bill Amount</h3>
                            </div>
                            <div class="card-body p-2">
                                <div class="">
                                    &#8377; <h4 class="fw-semibold d-inline subtotal">0.00</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 text-center demo-vertical-spacing">
                <button type="submit" class="btn btn-primary me-sm-3 me-1">Create</button>
            </div>
        </div>
    </div>
</form>
@endsection


