@extends('layouts.admin.master')
@section('title', 'Purchase Return')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css">
<style type="text/css">
    .table td{ padding: 0.73rem 0.2rem; }
    .bottom-table th{ padding: 0.5rem; font-size: 0.76rem; width: 110px; vertical-align: middle; }
</style>
@endsection

@section('vendor-script')
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script type="text/javascript">
$('.branch').select2({
    minimumResultsForSearch: '',
    width: '100%'
});

$(document).on('select2:open', function(e) {
    window.setTimeout(function () {
        document.querySelector('input.select2-search__field').focus();
    }, 0);
});
</script>

<script type="text/javascript">
$('#vendor').select2({
  placeholder: 'Select Vendor',
  ajax: {
    url: "{{route('vendorSearch')}}",
    dataType: 'json',
    delay: 250,
    processResults: function (data) {
      return {
        results: $.map(data, function (item) {
              return {
                  text: item.name,
                  id: item.id
              }
          })
      };
    },
    cache: true
  }
});

$('#vendor').on('change', function () {
    var vendor_id = this.value;
    $("#vendor_address").html('');
    $("#contact_no").html('');
    $.ajax({
        url: "{{route('vendorDetails')}}",
        type: "POST",
        data: {
            vendor_id: vendor_id,
            _token: '{{csrf_token()}}'
        },
        dataType: 'json',
        success: function (res) {
            $("#vendor_address").html(res.address);
            $("#contact_no").html(res.mobile);
        }
    });
});
</script>

<script type="text/javascript">
    $(function() {

        // Remove button click
        $(document).on('click','.remove',function(){
            $(this).parents('tr').remove();
            i = i - 1;
            $('.reindex').each(function(i){
                $(this).find('.prdid').attr('name', 'prdid[' + (i + 1)+']');
                $(this).find('.code').attr('name', 'code[' + (i + 1)+']');
                $(this).find('.product').attr('name', 'search[' + (i + 1)+']');
                $(this).find('.quantity').attr('name', 'quantity[' + (i + 1)+']');
                $(this).find('.freequantity').attr('name', 'freequantity[' + (i + 1)+']');
                $(this).find('.purchase_rate').attr('name', 'purchase_rate[' + (i + 1)+']');
                $(this).find('.cost').attr('name', 'cost[' + (i + 1)+']');
                $(this).find('.salerate').attr('name', 'salerate[' + (i + 1)+']');
                $(this).find('.mrp').attr('name', 'mrp[' + (i + 1)+']');
                $(this).find('.taxableamt').attr('name', 'taxableamt[' + (i + 1)+']');
                $(this).find('.disc_per').attr('name', 'disc_per[' + (i + 1)+']');
                $(this).find('.disc_amt').attr('name', 'disc_amt[' + (i + 1)+']');
                $(this).find('.taxablerow').attr('name', 'taxablerow[' + (i + 1)+']');
                $(this).find('.cgst').attr('name', 'cgst[' + (i + 1)+']');
                $(this).find('.cgst_amt').attr('name', 'cgst_amt[' + (i + 1)+']');
                $(this).find('.sgst').attr('name', 'sgst[' + (i + 1)+']');
                $(this).find('.sgst_amt').attr('name', 'sgst_amt[' + (i + 1)+']');
                $(this).find('.total').attr('name', 'total[' + (i + 1)+']');
            });

            $('#itemList >tbody >tr').each(function(index) {
                $(this).find('.slno').html(index+1);
            });
            calc();
        });

        var i = 1;
        // Add button click
        $(document).on('click', '.addProduct', function(e) {
            e.preventDefault();
            var size = $('#itemList >tbody >tr').length;
            var container = $(this).closest('[data-role="dynamic-fields"]');
            var newRow = $("<tr class='parentDiv reindex'>");
            var cols = "";
            cols += '<td class="slno text-center">'+size+'</td>';
            cols += '<td><input type="hidden" data-field-name="id" id="prdid_'+i+'" name="prdid['+i+']"class="prdid" required/><input type="text" data-field-name="code" id="code_'+i+'" name="code['+i+']" placeholder="Code" class="input form-control code search" required autofocus/></td>';
            cols += '<td><input type="text" data-field-name="name" id="search_'+i+'" name="search['+i+']" placeholder="Product" class="input form-control product search" required/></td>';
            cols += '<td><input type="number" value="1" name="quantity['+i+']" class="input quantity form-control" required step=".01"></td>';
            cols += '<td><input type="number" value="0" name="freequantity['+i+']" class="input freequantity form-control" required step=".01"></td>';
            cols += '<td><input type="text" value="0" id="purchaserate_'+i+'" name="purchase_rate['+i+']" class="input purchase_rate form-control" required></td>';
            cols += '<td><input type="text" value="0" id="cost_'+i+'" name="cost['+i+']" class="input cost form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" id="salesrate_'+i+'" name="salerate['+i+']" class="input salerate form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" id="mrp_'+i+'" name="mrp['+i+']" class="input mrp form-control col-md-12" required></td>';
            cols += '<td><input type="text" class="taxableamt form-control input" name="taxableamt['+i+']" id="taxableamt_'+i+'" readonly></td>';
            cols += '<td><input type="text" value="0" name="disc_per['+i+']" class="input disc_per form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="disc_amt['+i+']" class="input disc_amt form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="taxablerow['+i+']" class="input taxablerow form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="cgst['+i+']" id="igst_'+i+'" class="input cgst form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="cgst_amt['+i+']" class="input cgst_amt form-control col-md-12" required></td>';
            cols += '<td class="d-none"><input type="text" value="0" name="sgst['+i+']" id="sgst_'+i+'" class="sgst form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="sgst_amt['+i+']" class="input sgst_amt form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="total['+i+']" class="input total form-control col-md-12" readonly></td>';
            cols += '<td><a href="javascript:void(0);" class="btn btn-danger remove"><span class="fa fa-trash"></span></a></td>';
            newRow.append(cols);
            container.find("tr:last").before(newRow);
            $("#code_"+i).focus();
            i = i+1;
        });
    });
</script>

<script type="text/javascript">
    function getElementId(element)
    {
        var id, idArr;
        id = element.attr('id');
        idArr = id.split("_");
        return idArr[idArr.length - 1];
    }
    var route = "{{ route('product.autocomplete') }}";
    $(document).on('focus', '.search', function(e) {
        var dataField, thisElement;
        thisElement = $(this);
        dataField = thisElement.data('field-name');
        if(typeof dataField === 'undefined')
        {
            return false;
        }
        thisElement.autocomplete({
            source: function( data, cb ) {   
                $.ajax({
                    url: route,
                    method: 'GET',
                    dataType: 'json',
                    data: {
                        name:  data.term,
                        fieldName: dataField
                    },
                    success: function(res){
                        var result;
                        result = [
                            {
                                label: 'There is no matching record found for '+data.term,
                                value: ''
                            }
                        ];

                        if (res.length)
                        {
                            result = $.map(res, function(obj){
                                
                                return {
                                    label: obj[dataField],
                                    value: obj[dataField],
                                    data : obj
                                };
                            });
                        }
                        cb(result);
                    }
                });
            },
            autoFocus: true,            
            minLength: 2,
            select: function( event, selectedData ) {
                if(selectedData && selectedData.item && selectedData.item.data)
                {
                    var rowNo, data;
                    rowNo = getElementId(thisElement);
                    data = selectedData.item.data;
                    $('#prdid_'+rowNo).val(data.id);
                    $('#code_'+rowNo).val(data.code);
                    $('#search_'+rowNo).val(data.name);
                    $('#purchaserate_'+rowNo).val(data.price.purchase_rate);
                    $('#cost_'+rowNo).val(data.price.purchase_rate);
                    $('#cost_'+rowNo).parent().attr("data-costval", data.price.purchase_rate);
                    $('#cost_'+rowNo).parent().attr("data-originalcost", data.price.purchase_rate);
                    $('#salesrate_'+rowNo).val(data.price.sales_rate);
                    $('#mrp_'+rowNo).val(data.price.mrp);
                    $('#igst_'+rowNo).val(data.tax.gst);
                    $('#sgst_'+rowNo).val(data.tax.gst/2);
                    calc();
                }
            }
        });
    });

    $(document).ready(function() {
        $('tr .input:first').focus();
            
        $(document).on("keydown", '.input', function(e) {
           var n = $(".input").length;
           if (e.which == 13) 
           { //Enter key
                e.preventDefault(); //to skip default behavior of the enter key
                var nextIndex = $('.input').index(this) + 1;
                if(nextIndex < n)
                {
                    $('.input')[nextIndex].focus();
                    $('.input')[nextIndex].select();
                }
                else
                {
                    $('.input')[nextIndex-1].blur();
                    $('.addProduct').click();
                }
           }
        });
    });

    $('#itemList tbody').on('keyup change',function(){
        calc();
    });

    function calc()
    {
        var product_total = 0;
        var percentage_discount = 0;
        $('#itemList tbody tr.parentDiv').each(function(i, element) {
            var html = $(this).html();
            if(html!='')
            {
                var actqty = $(this).find('.quantity').val();
                var purchase_rate = $(this).find('.purchase_rate').val();

                var cost = $(this).find('.cost').val();
                var salerate = $(this).find('.salerate').val();
                var disc_per = $(this).find('.disc_per').val();
                var disc_amt = $(this).find('.disc_amt').val();
                var cgst = $(this).find('.cgst').val() / 2;
                var cgst_amt = $(this).find('.cgst_amt').val();
                var sgst = $(this).find('.cgst').val() / 2;//$(this).find('.sgst').val();
                var sgst_amt = $(this).find('.sgst_amt').val();

                if((!isNaN(actqty) && actqty.length != 0) && (!isNaN(purchase_rate) && purchase_rate.length != 0))
                {
                    product_total = parseFloat(actqty) * parseFloat(purchase_rate);
                }
                
                $(this).find('.taxableamt').val(product_total.toFixed(2));

                calcdisc(product_total);

                

                var total_after_discount = parseFloat(product_total) - parseFloat(disc_amt);
                $(this).find('.taxablerow').val(parseFloat(total_after_discount).toFixed(2));
                $(this).find('.taxablerow').parent().attr("data-actval", parseFloat(total_after_discount).toFixed(2));
                $(this).attr("data-taxable", total_after_discount);

                if($('.totaldiscountper').val() > 0)
                {
                    calcTotalDiscount($('.totaldiscountper').val());
                }

                var finalDiscountTotal = $(this).find('.taxablerow').val();
                var cgstamount = ((finalDiscountTotal/100) * cgst);
                var sgstamount = ((finalDiscountTotal/100) * sgst);
                $(this).find('.cgst_amt').val(parseFloat(cgstamount).toFixed(2));
                $(this).find('.sgst_amt').val(parseFloat(sgstamount).toFixed(2));
                var totalamt = parseFloat(finalDiscountTotal) + parseFloat(cgstamount) + parseFloat(sgstamount);
                $(this).find('.total').val(totalamt.toFixed(2));
                
                calc_total();
            }
        });
    }

    function calc_total()
    {
        var sub_total = 0, cgstamt = 0, sgstamt = 0, discountamt =0, totaltax = 0, grosstotal = 0, taxable_amt = 0, grossTax = 0;
        $('.total').each(function() {


            var parents = $(this).parents('tr');

            var grsAmount = parseFloat($(this).parents('tr').find('.taxableamt').val());
            var rowDisc = parseFloat($(this).parents('tr').find('.disc_per').val());
            var discAmt = (parseFloat(rowDisc / 100) * parseFloat(grsAmount));
            var totalGross = parseFloat(grsAmount - discAmt);


            taxable_amt += totalGross;//parseFloat($(this).parents('tr').find(".taxablerow").val());
            grossTax = taxable_amt;

            var costDisc = (parseFloat($('.totaldiscountper').val() / 100) * parseFloat(grossTax));
            var costdiscamt = parseFloat(grossTax - costDisc);
            var taxable = costdiscamt.toFixed(2);
            $('.taxable').val(taxable);
            $('.taxable').parent().attr("data-taxableamt", taxable);
            $('.taxable').parent().attr("data-totaltaxableamt", grossTax);

            sub_total += parseFloat($(this).val());
            cgstamt += parseFloat($(this).parents('tr').find('.cgst_amt').val());
            sgstamt += parseFloat($(this).parents('tr').find('.sgst_amt').val());
            totaltax = parseFloat(cgstamt) + parseFloat(sgstamt);
            discountamt += parseFloat($(this).parents('tr').find('.disc_amt').val());
            grosstotal += parseFloat($(this).parents('tr').find('.taxableamt').val());

            $('.subtotal').html(sub_total.toFixed(2));
            $('.grosstotal').val(grosstotal.toFixed(2));
            

            $('.cgstamt').val(cgstamt.toFixed(2));
            $('.sgstamt').val(sgstamt.toFixed(2));
            
            $('.totaltax').val(totaltax.toFixed(2));
            $('.itemdiscount').val(discountamt.toFixed(2));

            

            var cessval = (parseFloat($('.cessamt').val() / 100) * parseFloat(taxable));
            var addcessval = (parseFloat($('.addcess').val() / 100) * parseFloat(taxable));

            var netval = parseFloat(sub_total) + parseFloat(cessval) + parseFloat(addcessval);
            $('.netvalue').val(netval.toFixed(2));

            calc_expence(netval.toFixed(2), parents);
        });
         
        
    }



    function calc_expence(total, parent)
    {
        var freightcoolie = $('.freightcoolie').val();
        var otherexp = $('.otherexp').val();
        var costfactor = $('.costfactor').val();

        var totalItems = ($('#itemList tbody tr.parentDiv').length);
        var freightcooliebyitem = (freightcoolie > 0)?(freightcoolie / totalItems):'0';
        var otherexpbyitem = (otherexp > 0)?(otherexp / totalItems):'0';
        var costfactorbyitem = (costfactor > 0)?(costfactor / totalItems):'0';

        var freightvalueperItem = (freightcooliebyitem > 0)?(freightcooliebyitem / parent.find('.quantity').val()):'0';
        var otherexpvalueperItem = (otherexpbyitem > 0)?(otherexpbyitem / parent.find('.quantity').val()):'0';
        var costfactorvalueperItem = (costfactorbyitem > 0)?(costfactorbyitem / parent.find('.quantity').val()):'0';

        var totalbefdisc = parseFloat(total) + parseFloat(costfactor) + parseFloat(freightcoolie) + parseFloat(otherexp);


        var costoriginal = parent.find('.cost').parent().attr('data-originalcost');
        var costoriginalDisc = (parseFloat(parent.find('.disc_per').val() / 100) * parseFloat(costoriginal));
        var costvaloriginal = parseFloat(costoriginal - costoriginalDisc);

        var costDisc = (parseFloat($('.totaldiscountper').val() / 100) * parseFloat(costvaloriginal));
        var costdiscamt = parseFloat(costvaloriginal - costDisc);
        parent.find('.cost').val(costdiscamt.toFixed(2));
        parent.find('.cost').parent().attr("data-costval", (costdiscamt).toFixed(2));



        var Costval = costdiscamt;//parent.find('.cost').parent().attr("data-costval");
        var totalCostval = parseFloat(Costval) + parseFloat(costfactorvalueperItem) + parseFloat(freightvalueperItem) + parseFloat(otherexpvalueperItem);
        parent.find('.cost').val(totalCostval.toFixed(2));
        var totaldisc = parseFloat(totalbefdisc) - parseFloat($('.cashdisc').val());
        var finalTotal = totaldisc.toFixed($('.roundval').val());
        $('.finalamount').val(finalTotal);
        $('.subtotal').html(finalTotal);
    }

    function calcdisc(product_total)
    {
        $(document).on('keyup change', '.disc_per', function(){
            var discount = $(this).val();
            var parent = $(this).parents('tr');
            percentage_discount = discount > 0 ? discount : 0;
            var grstotal = parseFloat(parent.find('.quantity').val()) * parseFloat(parent.find('.purchase_rate').val());
            var disc = parseFloat(percentage_discount / 100) * parseFloat(grstotal);
            var ttamt = disc.toFixed(2);
            parent.find('.disc_amt').val((ttamt > 0)?ttamt:0);

            costVal(percentage_discount, parent);
            calc_total();
        });

        $(document).on('keyup change', '.disc_amt', function(){
            var discount = $(this).val();
            var parent = $(this).parents('tr');
            discountamt = discount > 0 ? discount : 0;
            var grstotal = parseFloat(parent.find('.quantity').val()) * parseFloat(parent.find('.purchase_rate').val());
            var discper = ((parseFloat(discount) / parseFloat(grstotal)) * 100);
            var ttamt = discper.toFixed(2);
            parent.find('.disc_per').val((ttamt > 0)?ttamt:0);

            costVal(ttamt, parent);
            calc_total();
        });
    }
    
    $(document).on('keyup change', '.quantity, .purchase_rate', function(){
        var parent = $(this).parents('tr');
        var percentval = parent.find('.disc_per').val();
        var product_total = parseFloat(parent.find('.quantity').val()) * parseFloat(parent.find('.purchase_rate').val());
        percentage_discount = percentval > 0 ? percentval : 0;
        var disc = parseFloat(percentage_discount / 100) * parseFloat(product_total);
        var ttamt = disc.toFixed(2);
        parent.find('.disc_amt').val((ttamt > 0)?ttamt:0);

        costVal(percentval, parent);
        calc_total();
    });

    $('.cessamt, .addcess, .freightcoolie, .otherexp, .cashdisc, .roundval').on('keyup change', function(){
        calc();
    });

    function costVal(discamt, parent)
    {
        var costval = parseFloat(parent.find('.purchase_rate').val());
        var percentage = ((costval / 100) * discamt);
        parent.find('.cost').val((costval - percentage).toFixed(2));
        parent.find('.cost').parent().attr("data-costval", (costval - percentage).toFixed(2));
        parent.find('.cost').parent().attr("data-originalcost", parent.find('.purchase_rate').val());
    }

    $(document).on('keyup', '.totaldiscountper', function(){
        var taxableAmount = $('.taxable').parent().attr('data-totaltaxableamt');
        var discountAmount = (parseFloat($(this).val() / 100) * parseFloat(taxableAmount));
        $('.taxable').val(parseFloat(taxableAmount - discountAmount).toFixed(2));
        $('.totaldiscountamt').val(discountAmount.toFixed(2));
        calcTotalDiscount($(this).val());
    });

    $(document).on('keyup', '.totaldiscountamt', function(){
        var taxableAmount = $('.taxable').parent().attr('data-totaltaxableamt');
        var discountPercentage = (parseFloat($(this).val() / taxableAmount) * 100);
        $('.taxable').val(parseFloat(taxableAmount - $(this).val()).toFixed(2));
        $('.totaldiscountper').val(discountPercentage.toFixed(2));
        calcTotalDiscount(discountPercentage);
    });

    function calcTotalDiscount(amout)
    {
        $('#itemList tbody tr.parentDiv').each(function(i, element) {
            var html = $(this).html();
            if(html!='')
            {
                var rowAmount = $(this).find('.taxablerow').parent().attr('data-actval');
                var grsVal = $(this).find('.taxableamt').val();
                var rowDiscount = $(this).find('.disc_per').val();
                var totrowdisc = (parseFloat(rowDiscount / 100) * parseFloat(grsVal));
                var totdiscAmt = parseFloat(grsVal - totrowdisc);

                var discount_amt = (parseFloat(amout / 100) * parseFloat(totdiscAmt));

                var costoriginal = $(this).find('.cost').parent().attr('data-originalcost');
                var costoriginalDisc = (parseFloat($(this).find('.disc_per').val() / 100) * parseFloat(costoriginal));
                var costvaloriginal = parseFloat(costoriginal - costoriginalDisc);

                var costvalDisc = costvaloriginal;//$(this).find('.cost').val();

                var costDisc = (parseFloat(amout / 100) * parseFloat(costvalDisc));
                var costdiscamt = parseFloat(costvalDisc - costDisc);
                $(this).find('.cost').val(costdiscamt.toFixed(2));
                $(this).find('.cost').parent().attr("data-costval", (costdiscamt).toFixed(2));

                var afterdisc_amt = parseFloat(rowAmount - discount_amt);
                var roundedVal = parseFloat(afterdisc_amt).toFixed(2);
                $(this).find('.taxablerow').val(roundedVal);
                var cgst = $(this).find('.cgst').val() / 2;
                var sgst = $(this).find('.cgst').val() / 2;
                var cgstamount = ((roundedVal/100) * cgst);
                var sgstamount = ((roundedVal/100) * sgst);
                $(this).find('.cgst_amt').val(parseFloat(cgstamount).toFixed(2));
                $(this).find('.sgst_amt').val(parseFloat(sgstamount).toFixed(2));
                var totalamt = parseFloat(roundedVal) + parseFloat(cgstamount) + parseFloat(sgstamount);
                $(this).find('.total').val(totalamt.toFixed(2));
                calc_total();
            }
        });
    }
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Purchase Return</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Inventory</a></li>
            <li class="breadcrumb-item active" aria-current="page">Create Purchase Return</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="purchaseForm" method="post" action="{{ route('purchase.return.store') }}">
    @csrf
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-4">
                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="billdate">Date</label>
                            <input type="date" id="billdate" name="billdate" class="form-control" value="{{ old('billdate')?old('billdate'):date('Y-m-d') }}" placeholder="Date" autofocus required />
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="invno">Invoice No</label>
                            <input type="text" id="invno" name="invno" class="form-control" value="{{ old('invno') }}" placeholder="Invoice No" required />
                        </div>
                    </div>

                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="mop">MOP</label>
                            <select id="mop" name="mop" class="form-control" required>
                                <option value="Cash">Cash</option>
                                <option value="Card">Card</option>
                                <option value="Transfer">Transfer</option>
                                <option value="Credit">Credit</option>
                            </select>
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="tax">Tax</label>
                            <select id="tax" name="tax" class="form-control" required>
                                <option value="GST">GST</option>
                                <option value="IGST">IGST</option>
                                <option value="No Tax">No Tax</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label" for="vendor">Vendor</label>
                        <select id="vendor" name="vendor" class="form-control select2" required>
                            <option value="">--Select--</option>
                            @foreach($vendors as $vendor)
                            <option value="{{$vendor->id}}">{{$vendor->name}}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="mb-1">
                        <label class="form-label">Address</label>
                        <div id="vendor_address" class="form-control">Address</div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label">Contact No</label>
                        <div id="contact_no" class="form-control">Contact No</div>
                    </div>

                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="sales_man">Sales Man</label>
                            <select id="sales_man" name="sales_man" class="form-control" required>
                                @foreach($employees as $employee)
                                    <option value="{{$employee->id}}">{{$employee->name}}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="col-6">
                            <label class="form-label" for="branch">Branch</label>
                            <select id="branch" name="branch" class="form-control branch" required>
                                <option value="">--Select--</option>
                                @foreach($companys as $company)
                                <option value="{{$company->id}}" {{ (count($companys) == 1)?'selected':'' }}>{{$company->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">
            <table class="table table-hover" id="itemList">
                <thead>
                    <tr>
                        <th class="text-center text-capitalize">No</th>
                        <th class="text-center text-capitalize" width="150">Code</th>
                        <th class="text-center text-capitalize" width="150">Product</th>
                        <th class="text-center text-capitalize" width="10">Quantity</th>
                        <th class="text-center text-capitalize">Free Qty</th>
                        <th class="text-center text-capitalize">Rate</th>
                        <th class="text-center text-capitalize">Cost</th>
                        <th class="text-center text-capitalize">Sale Rate</th>
                        <th class="text-center text-capitalize">MRP</th>
                        <th class="text-center text-capitalize">Gross Amt</th>
                        <th class="text-center text-capitalize">Disc %</th>
                        <th class="text-center text-capitalize">Discount</th>
                        <th class="text-center text-capitalize">Taxable Amt</th>
                        <th class="text-center text-capitalize">GST %</th>
                        <th class="text-center text-capitalize">CGST Amt</th>
                        <th class="text-center text-capitalize d-none">SGST %</th>
                        <th class="text-center text-capitalize">SGST Amt</th>
                        <th class="text-center text-capitalize" width="100">Total</th>
                        <th class="text-center text-capitalize"></th>
                    </tr>
                </thead>
                <tbody data-role="dynamic-fields">
                    <tr class="parentDiv">
                        <td class="text-center">1</td>
                        <td>
                            <input type="hidden" data-field-name="id" id="prdid_0" name="prdid[0]"class="prdid" required/>
                            <input type="text" data-field-name="code" id="code_0" name="code[0]" placeholder="Code" class="input form-control code search" required autofocus/>
                        </td>
                        <td><input type="text" data-field-name="name" id="search_0" name="search[0]" placeholder="Product" class="input form-control product search" required/></td>
                        <td><input type="number" value="1" name="quantity[0]" class="input quantity form-control" required step=".01"></td>
                        <td><input type="number" value="0" name="freequantity[0]" class="input freequantity form-control" required step=".01"></td>
                        <td><input type="text" value="0" id="purchaserate_0" name="purchase_rate[0]" class="input purchase_rate form-control" required></td>
                        <td><input type="text" value="0" id="cost_0" name="cost[0]" class="input cost form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="salerate[0]" id="salesrate_0" class="input salerate form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="mrp[0]" id="mrp_0" class="input mrp form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="taxableamt[0]" class="taxableamt form-control input" id="taxableamt_0" readonly></td>
                        <td><input type="text" value="0" name="disc_per[0]" class="input disc_per form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="disc_amt[0]" class="input disc_amt form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="taxablerow[0]" class="input taxablerow form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="cgst[0]" id="igst_0" class="input cgst form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="cgst_amt[0]" class="input cgst_amt form-control col-md-12" required></td>
                        <td class="d-none"><input type="text" value="0" name="sgst[0]" id="sgst_0" class="sgst form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="sgst_amt[0]" class="input sgst_amt form-control col-md-12" required></td>
                        <td><input type="text" value="0" name="total[0]" class="input total form-control col-md-12" readonly></td>
                        <td>
                            <a href="javascript:void(0);" class="btn btn-outline-danger"><span class="fa fa-hand-o-down"></span></a>
                        </td>
                    </tr>
                    <tr id="divlast"><td></td><td colspan="17" class="text-end"><a href="javascript:void(0);" class="btn btn-primary addProduct">Add <span class="fa fa-plus"></span></a></td></tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="card">
        <div class="card-header"> <h3 class="card-title">Price Section</h3> </div>
        <div class="card-body">
            <div class="col-12">
                <input type="hidden" name="finalamount" class="finalamount" id="finalamount">
                <div class="row">
                    <div class="col-10">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Gross Total</th><td><input type="text" value="0" name="grosstotal" class="form-control grosstotal" required readonly></td>
                                    <th class="text-capitalize">Taxable</th><td><input type="text" value="0" name="taxable" class="form-control taxable" required readonly></td>
                                    <th class="text-capitalize">CGST Amt</th><td><input type="text" value="0" name="cgstamt" class="form-control cgstamt" required readonly></td>
                                    <th class="text-capitalize">Purchase Value</th><td><input type="text" value="0" name="purchasevalue" class="form-control" required></td>
                                    <th class="text-capitalize">Other Expense</th><td><input type="text" value="0" name="otherexp" class="form-control otherexp" required></td>
                                    <th class="text-capitalize">Cost Factor</th><td><input type="text" value="0" name="costfactor" class="form-control costfactor" required></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Discount</th>
                                    <td>
                                        <div class="input-group mb-3">
                                            <input type="text" name="discountfinal" class="form-control totaldiscountper" placeholder="%" aria-label="%">
                                            <input type="text" name="discountfinalamt" class="form-control totaldiscountamt" placeholder="Amount" aria-label="Amount">
                                        </div>
                                    </td>
                                    <th class="text-capitalize">Total Tax</th><td><input type="text" value="0" name="totaltax" class="form-control totaltax" required readonly></td>
                                    <th class="text-capitalize">SGST Amt</th><td><input type="text" value="0" name="sgstamt" class="form-control sgstamt" required readonly></td>
                                    <th class="text-capitalize">Net Value</th><td><input type="text" value="0" name="netvalue" class="form-control netvalue" required readonly></td>
                                    <th class="text-capitalize">Freight Coolie</th><td><input type="text" value="0" name="freightcoolie" class="form-control freightcoolie" required></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Item Discount</th><td><input type="text" value="0" name="itemdiscount" class="form-control itemdiscount" required readonly></td>
                                    <th class="text-capitalize">Exempted</th><td><input type="text" value="0" name="exempted" class="form-control exempted" required></td>
                                    <th class="text-capitalize">IGST Amt</th><td><input type="text" value="0" name="igstamt" class="form-control igstamt" required readonly></td>
                                    <th class="text-capitalize">Cess Amt</th><td><input type="text" value="0" name="cessamt" class="form-control cessamt" required></td>
                                    <th class="text-capitalize">Add.Cess</th><td><input type="text" value="0" name="addcess" class="form-control addcess" required></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-2">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Cash Discount</th><td><input type="text" value="0" name="cashdisc" class="form-control cashdisc" required></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Round Off</th><td><input type="text" value="2" name="roundval" class="form-control roundval" required></td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="card cart">
                            <div class="card-header p-2">
                                <h3 class="card-title p-0" style="font-size: 0.8rem;">Bill Amount</h3>
                            </div>
                            <div class="card-body p-2">
                                <div class="">
                                    &#8377; <h4 class="fw-semibold d-inline subtotal">0.00</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 text-center demo-vertical-spacing">
                <button type="submit" class="btn btn-primary me-sm-3 me-1">Create</button>
            </div>
        </div>
    </div>
</form>
@endsection


