@extends('layouts.admin.master')
@section('title', 'Purchase')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css">
<style type="text/css">
    .table td{ padding: 0.73rem 0.2rem; }
    .bottom-table th{ padding: 0.5rem; font-size: 0.76rem; width: 110px; vertical-align: middle; }
</style>
@endsection

@section('vendor-script')
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script type="text/javascript">
$('.branch').select2({
    minimumResultsForSearch: '',
    width: '100%'
});

$(document).on('select2:open', function(e) {
    window.setTimeout(function () {
        document.querySelector('input.select2-search__field').focus();
    }, 0);
});
</script>

<script type="text/javascript">
$('#vendor').select2({
  placeholder: 'Select Vendor',
  ajax: {
    url: "{{route('vendorSearch')}}",
    dataType: 'json',
    delay: 250,
    processResults: function (data) {
      return {
        results: $.map(data, function (item) {
              return {
                  text: item.name,
                  id: item.id
              }
          })
      };
    },
    cache: true
  }
});

$('#vendor').on('change', function () {
    var vendor_id = this.value;
    $("#vendor_address").html('');
    $("#contact_no").html('');
    $.ajax({
        url: "{{route('vendorDetails')}}",
        type: "POST",
        data: {
            vendor_id: vendor_id,
            _token: '{{csrf_token()}}'
        },
        dataType: 'json',
        success: function (res) {
            $("#vendor_address").html(res.address);
            $("#contact_no").html(res.mobile);
        }
    });
});
</script>

<script type="text/javascript">
    $(function() {

        // Remove button click start

        $(document).on('click','.removeExisting',function(){
            if(confirm("Are you sure you want to delete this?"))
            {
                var rowid = $(this).data('id');
                var element = $(this);
                $.ajax({
                    url: "{{route('purchase.return.item.delete')}}",
                    type: "POST",
                    data: {
                        rowid: rowid,
                        _token: '{{csrf_token()}}'
                    },
                    dataType: 'json',
                    success: function (res) {
                        if(res.success)
                        {
                            element.parents('tr').remove();
                            i = i - 1;
                            $('.reindexExist').each(function(i){
                                $(this).find('.prdidExist').attr('name', 'prdid[' + (i)+']');
                                $(this).find('.tblidExist').attr('name', 'tblid[' + (i)+']');
                                $(this).find('.codeExist').attr('name', 'code[' + (i)+']');
                                $(this).find('.productExist').attr('name', 'search[' + (i)+']');
                                $(this).find('.quantityExist').attr('name', 'quantity[' + (i)+']');
                                $(this).find('.freequantityExist').attr('name', 'freequantity[' + (i)+']');
                                $(this).find('.purchase_rateExist').attr('name', 'purchase_rate[' + (i)+']');
                                $(this).find('.costExist').attr('name', 'cost[' + (i)+']');
                                $(this).find('.salerateExist').attr('name', 'salerate[' + (i)+']');
                                $(this).find('.mrpExist').attr('name', 'mrp[' + (i)+']');
                                $(this).find('.taxableamtExist').attr('name', 'taxableamt[' + (i)+']');
                                $(this).find('.disc_perExist').attr('name', 'disc_per[' + (i)+']');
                                $(this).find('.disc_amtExist').attr('name', 'disc_amt[' + (i)+']');
                                $(this).find('.taxablerowExist').attr('name', 'taxablerow[' + (i)+']');
                                $(this).find('.cgstExist').attr('name', 'cgst[' + (i)+']');
                                $(this).find('.cgst_amtExist').attr('name', 'cgst_amt[' + (i)+']');
                                $(this).find('.sgstExist').attr('name', 'sgst[' + (i)+']');
                                $(this).find('.sgst_amtExist').attr('name', 'sgst_amt[' + (i)+']');
                                $(this).find('.totalExist').attr('name', 'total[' + (i)+']');
                            });

                            $('#itemList >tbody >tr').each(function(index) {
                                $(this).find('.slno').html(index+1);
                            });
                            calc();
                        }
                        else
                        {
                            alert(res.message);
                        }
                    }
                });
            }
            else
            {
                return false;
            }
        });

        $(document).on('click','.remove',function(){
            $(this).parents('tr').remove();
            i = i - 1;
            $('.reindex').each(function(i){
                $(this).find('.prdid').attr('name', 'editprdid[' + (i + 1)+']');
                $(this).find('.code').attr('name', 'editcode[' + (i + 1)+']');
                $(this).find('.product').attr('name', 'editsearch[' + (i + 1)+']');
                $(this).find('.quantity').attr('name', 'editquantity[' + (i + 1)+']');
                $(this).find('.freequantity').attr('name', 'editfreequantity[' + (i + 1)+']');
                $(this).find('.purchase_rate').attr('name', 'editpurchase_rate[' + (i + 1)+']');
                $(this).find('.cost').attr('name', 'editcost[' + (i + 1)+']');
                $(this).find('.salerate').attr('name', 'editsalerate[' + (i + 1)+']');
                $(this).find('.mrp').attr('name', 'editmrp[' + (i + 1)+']');
                $(this).find('.taxableamt').attr('name', 'edittaxableamt[' + (i + 1)+']');
                $(this).find('.disc_per').attr('name', 'editdisc_per[' + (i + 1)+']');
                $(this).find('.disc_amt').attr('name', 'editdisc_amt[' + (i + 1)+']');
                $(this).find('.taxablerow').attr('name', 'edittaxablerow[' + (i + 1)+']');
                $(this).find('.cgst').attr('name', 'editcgst[' + (i + 1)+']');
                $(this).find('.cgst_amt').attr('name', 'editcgst_amt[' + (i + 1)+']');
                $(this).find('.sgst').attr('name', 'editsgst[' + (i + 1)+']');
                $(this).find('.sgst_amt').attr('name', 'editsgst_amt[' + (i + 1)+']');
                $(this).find('.total').attr('name', 'edittotal[' + (i + 1)+']');
            });

            $('#itemList >tbody >tr').each(function(index) {
                $(this).find('.slno').html(index+1);
            });
            calc();
        });

        // Remove button click end

        var i = 0;
        // Add button click
        $(document).on('click', '.addProduct', function(e) {
            e.preventDefault();
            var size = $('#itemList >tbody >tr').length;
            //i = size;
            var container = $(this).closest('[data-role="dynamic-fields"]');
            var newRow = $("<tr class='parentDiv reindex'>");
            var cols = "";
            cols += '<td class="slno text-center">'+size+'</td>';
            cols += '<td><input type="hidden" data-field-name="id" id="prdid_'+i+'" name="editprdid['+i+']" class="prdid" required/><input type="text" data-field-name="code" id="code_'+i+'" name="editcode['+i+']" placeholder="Code" class="input form-control code search" required autofocus/></td>';
            cols += '<td><input type="text" data-field-name="name" id="search_'+i+'" name="editsearch['+i+']" placeholder="Product" class="input form-control product search" required/></td>';
            cols += '<td><input type="number" value="1" name="editquantity['+i+']" class="input quantity form-control" required step=".01"></td>';
            cols += '<td><input type="number" value="0" name="editfreequantity['+i+']" class="input freequantity form-control" required step=".01"></td>';
            cols += '<td><input type="text" value="0" id="purchaserate_'+i+'" name="editpurchase_rate['+i+']" class="input purchase_rate form-control" required></td>';
            cols += '<td><input type="text" value="0" name="editcost['+i+']" id="cost_'+i+'" class="input cost form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="editsalerate['+i+']" id="salesrate_'+i+'" class="input salerate form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="editmrp['+i+']" id="mrp_'+i+'" class="input input mrp form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="edittaxableamt['+i+']" id="taxableamt_'+i+'" class="input taxableamt form-control input" readonly></td>';
            cols += '<td><input type="text" value="0" name="editdisc_per['+i+']" class="input disc_per form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="editdisc_amt['+i+']" class="input disc_amt form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="edittaxablerow['+i+']" class="input input taxablerow form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="editcgst['+i+']" id="igst_'+i+'" class="input cgst form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="editcgst_amt['+i+']" class="input cgst_amt form-control col-md-12" required></td>';
            cols += '<td class="d-none"><input type="text" value="0" name="editsgst['+i+']" id="sgst_'+i+'" class="sgst form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="editsgst_amt['+i+']" class="input sgst_amt form-control col-md-12" required></td>';
            cols += '<td><input type="text" value="0" name="edittotal['+i+']" class="input total form-control col-md-12" readonly></td>';
            cols += '<td><a href="javascript:void(0);" class="btn btn-danger remove"><span class="fa fa-trash"></span></a></td>';
            newRow.append(cols);
            container.find("tr:last").before(newRow);
            newRow.find("#code_"+i).focus();
            i = i+1;
        });
    });
</script>

<script type="text/javascript">
    function getElementId(element)
    {
        var id, idArr;
        id = element.attr('id');
        idArr = id.split("_");
        return idArr[idArr.length - 1];
    }
    var route = "{{ route('product.autocomplete') }}";
    $(document).on('focus', '.search', function(e) {
        var dataField, thisElement;
        thisElement = $(this);
        dataField = thisElement.data('field-name');
        if(typeof dataField === 'undefined')
        {
            return false;
        }
        thisElement.autocomplete({
            source: function( data, cb ) {   
                $.ajax({
                    url: route,
                    method: 'GET',
                    dataType: 'json',
                    data: {
                        name:  data.term,
                        fieldName: dataField
                    },
                    success: function(res){
                        var result;
                        result = [
                            {
                                label: 'There is no matching record found for '+data.term,
                                value: ''
                            }
                        ];

                        if (res.length)
                        {
                            result = $.map(res, function(obj){
                                
                                return {
                                    label: obj[dataField],
                                    value: obj[dataField],
                                    data : obj
                                };
                            });
                        }
                        cb(result);
                    }
                });
            },
            autoFocus: true,            
            minLength: 2,
            select: function( event, selectedData ) {
                if(selectedData && selectedData.item && selectedData.item.data)
                {
                    var rowNo, data;
                    rowNo = getElementId(thisElement);
                    data = selectedData.item.data;
                    thisElement.parents('tr').find('.prdid').val(data.id);
                    thisElement.parents('tr').find('.code').val(data.code);
                    thisElement.parents('tr').find('.search').val(data.name);
                    thisElement.parents('tr').find('.purchase_rate').val(data.price.purchase_rate);
                    thisElement.parents('tr').find('.cost').val(data.price.purchase_rate);
                    thisElement.parents('tr').find('.cost').parents('td').attr("data-costval", data.price.purchase_rate);
                    thisElement.parents('tr').find('.cost').parents('td').attr("data-originalcost", data.price.purchase_rate);
                    thisElement.parents('tr').find('.salerate').val(data.price.sales_rate);
                    thisElement.parents('tr').find('.mrp').val(data.price.mrp);
                    thisElement.parents('tr').find('.cgst').val(data.tax.gst);
                    thisElement.parents('tr').find('.sgst').val(data.tax.gst/2);
                    calc();
                }
            }
        });
    });

    $(document).ready(function() {
        $('tr .input:first').focus();
            
        $(document).on("keydown", '.input', function(e) {
           var n = $(".input").length;
           if (e.which == 13) 
           { //Enter key
                e.preventDefault(); //to skip default behavior of the enter key
                var nextIndex = $('.input').index(this) + 1;
                if(nextIndex < n)
                {
                    $('.input')[nextIndex].focus();
                    $('.input')[nextIndex].select();
                }
                else
                {
                    $('.input')[nextIndex-1].blur();
                    $('.addProduct').click();
                }
           }
        });
    });

    $('#itemList tbody').on('keyup change',function(){
        calc();
    });

    function calc()
    {
        var product_total = 0;
        var percentage_discount = 0;
        $('#itemList tbody tr').each(function(i, element) {
            var html = $(this).html();
            if(html!='')
            {
                var actqty = $(this).find('.quantity').val();
                var purchase_rate = $(this).find('.purchase_rate').val();

                var cost = $(this).find('.cost').val();
                var salerate = $(this).find('.salerate').val();
                var disc_per = $(this).find('.disc_per').val();
                var disc_amt = $(this).find('.disc_amt').val();
                var cgst = $(this).find('.cgst').val() / 2;
                var cgst_amt = $(this).find('.cgst_amt').val();
                var sgst = $(this).find('.cgst').val() / 2;//$(this).find('.sgst').val();
                var sgst_amt = $(this).find('.sgst_amt').val();

                if((!isNaN(actqty) && actqty.length != 0) && (!isNaN(purchase_rate) && purchase_rate.length != 0))
                {
                    product_total = parseFloat(actqty) * parseFloat(purchase_rate);
                }
                
                $(this).find('.taxableamt').val(product_total.toFixed(2));

                calcdisc(product_total);

                

                var total_after_discount = parseFloat(product_total) - parseFloat(disc_amt);
                $(this).find('.taxablerow').val(parseFloat(total_after_discount).toFixed(2));
                $(this).find('.taxablerow').parents('td').attr("data-actval", parseFloat(total_after_discount).toFixed(2));
                $(this).attr("data-taxable", total_after_discount);

                if($('.totaldiscountper').val() > 0)
                {
                    calcTotalDiscount($('.totaldiscountper').val());
                }

                var finalDiscountTotal = $(this).find('.taxablerow').val();
                var cgstamount = ((finalDiscountTotal/100) * cgst);
                var sgstamount = ((finalDiscountTotal/100) * sgst);
                $(this).find('.cgst_amt').val(parseFloat(cgstamount).toFixed(2));
                $(this).find('.sgst_amt').val(parseFloat(sgstamount).toFixed(2));
                var totalamt = parseFloat(finalDiscountTotal) + parseFloat(cgstamount) + parseFloat(sgstamount);
                $(this).find('.total').val(totalamt.toFixed(2));
                
                calc_total();
            }
        });
    }

    function calc_total()
    {
        var sub_total = 0, cgstamt = 0, sgstamt = 0, discountamt =0, totaltax = 0, grosstotal = 0, taxable_amt = 0, grossTax = 0;
        $('.total').each(function() {


            var parents = $(this).parents('tr');

            var grsAmount = parseFloat($(this).parents('tr').find('.taxableamt').val());
            var rowDisc = parseFloat($(this).parents('tr').find('.disc_per').val());
            var discAmt = (parseFloat(rowDisc / 100) * parseFloat(grsAmount));
            var totalGross = parseFloat(grsAmount - discAmt);


            taxable_amt += totalGross; //parseFloat($(this).parents('tr').find(".taxablerow").val());
            grossTax = taxable_amt;

            var costDisc = (parseFloat($('.totaldiscountper').val() / 100) * parseFloat(grossTax));
            var costdiscamt = parseFloat(grossTax - costDisc);
            var taxable = costdiscamt.toFixed(2);
            $('.taxable').val(taxable);
            $('.taxable').parent().attr("data-taxableamt", taxable);
            $('.taxable').parent().attr("data-totaltaxableamt", grossTax.toFixed(2));

            sub_total += parseFloat($(this).val());
            cgstamt += parseFloat($(this).parents('tr').find('.cgst_amt').val());
            sgstamt += parseFloat($(this).parents('tr').find('.sgst_amt').val());
            totaltax = parseFloat(cgstamt) + parseFloat(sgstamt);
            discountamt += parseFloat($(this).parents('tr').find('.disc_amt').val());
            grosstotal += parseFloat($(this).parents('tr').find('.taxableamt').val());

            $('.subtotal').html(sub_total.toFixed(2));
            $('.grosstotal').val(grosstotal.toFixed(2));
            

            $('.cgstamt').val(cgstamt.toFixed(2));
            $('.sgstamt').val(sgstamt.toFixed(2));
            
            $('.totaltax').val(totaltax.toFixed(2));
            $('.itemdiscount').val(discountamt.toFixed(2));



            var cessval = (parseFloat($('.cessamt').val() / 100) * parseFloat(taxable));
            var addcessval = (parseFloat($('.addcess').val() / 100) * parseFloat(taxable));

            var netval = parseFloat(sub_total) + parseFloat(cessval) + parseFloat(addcessval);
            $('.netvalue').val(netval.toFixed(2));

            calc_expence(netval.toFixed(2), parents);
        });

        var costDiscval = (parseFloat($('.totaldiscountper').val() / 100) * parseFloat(grossTax));
        $('.totaldiscountamt').val(costDiscval.toFixed(2));
    }

    function calc_expence(total, parent)
    {
        var freightcoolie = $('.freightcoolie').val();
        var otherexp = $('.otherexp').val();
        var costfactor = $('.costfactor').val();

        var totalItems = ($('#itemList tbody tr.parentDiv').length);
        var freightcooliebyitem = (freightcoolie > 0)?(freightcoolie / totalItems):'0';
        var otherexpbyitem = (otherexp > 0)?(otherexp / totalItems):'0';
        var costfactorbyitem = (costfactor > 0)?(costfactor / totalItems):'0';

        var freightvalueperItem = (freightcooliebyitem > 0)?(freightcooliebyitem / parent.find('.quantity').val()):'0';
        var otherexpvalueperItem = (otherexpbyitem > 0)?(otherexpbyitem / parent.find('.quantity').val()):'0';
        var costfactorvalueperItem = (costfactorbyitem > 0)?(costfactorbyitem / parent.find('.quantity').val()):'0';
        
        var totalbefdisc = parseFloat(total) + parseFloat(costfactor) + parseFloat(freightcoolie) + parseFloat(otherexp);


        var costoriginal = parent.find('.cost').parent().attr('data-originalcost');
        var costoriginalDisc = (parseFloat(parent.find('.disc_per').val() / 100) * parseFloat(costoriginal));
        var costvaloriginal = parseFloat(costoriginal - costoriginalDisc);

        var costDisc = (parseFloat($('.totaldiscountper').val() / 100) * parseFloat(costvaloriginal));
        var costdiscamt = parseFloat(costvaloriginal - costDisc);
        parent.find('.cost').val(costdiscamt.toFixed(2));
        parent.find('.cost').parent().attr("data-costval", (costdiscamt).toFixed(2));



        var Costval = costdiscamt;//parent.find('.cost').parents('td').attr("data-costval");
        var totalCostval = parseFloat(Costval) + parseFloat(costfactorvalueperItem) + parseFloat(freightvalueperItem) + parseFloat(otherexpvalueperItem);
        parent.find('.cost').val(totalCostval.toFixed(2));
        var totaldisc = parseFloat(totalbefdisc) - parseFloat($('.cashdisc').val());
        var finalTotal = totaldisc.toFixed($('.roundval').val());
        $('.finalamount').val(finalTotal);
        $('.subtotal').html(finalTotal);
    }

    function calcdisc(product_total)
    {
        $(document).on('keyup change', '.disc_per', function(){
            var discount = $(this).val();
            var parent = $(this).parents('tr');
            percentage_discount = discount > 0 ? discount : 0;
            var grstotal = parseFloat(parent.find('.quantity').val()) * parseFloat(parent.find('.purchase_rate').val());
            var disc = parseFloat(percentage_discount / 100) * parseFloat(grstotal);
            var ttamt = disc.toFixed(2);
            parent.find('.disc_amt').val((ttamt > 0)?ttamt:0);

            costVal(percentage_discount, parent);
            calc_total();
        });

        $(document).on('keyup change', '.disc_amt', function(){
            var discount = $(this).val();
            var parent = $(this).parents('tr');
            discountamt = discount > 0 ? discount : 0;
            var grstotal = parseFloat(parent.find('.quantity').val()) * parseFloat(parent.find('.purchase_rate').val());
            var discper = ((parseFloat(discount) / parseFloat(grstotal)) * 100);
            var ttamt = discper.toFixed(2);
            parent.find('.disc_per').val((ttamt > 0)?ttamt:0);

            costVal(ttamt, parent);
            calc_total();
        });
    }
    
    $(document).on('keyup change', '.quantity, .purchase_rate', function(){
        var parent = $(this).parents('tr');
        var percentval = parent.find('.disc_per').val();
        var product_total = parseFloat(parent.find('.quantity').val()) * parseFloat(parent.find('.purchase_rate').val());
        percentage_discount = percentval > 0 ? percentval : 0;
        var disc = parseFloat(percentage_discount / 100) * parseFloat(product_total);
        var ttamt = disc.toFixed(2);
        parent.find('.disc_amt').val((ttamt > 0)?ttamt:0);

        costVal(percentval, parent);
        calc_total();
    });

    $('.cessamt, .addcess, .freightcoolie, .otherexp, .cashdisc, .roundval').on('keyup change', function(){
        calc();
    });

    function costVal(discamt, parent)
    {
        var costval = parseFloat(parent.find('.purchase_rate').val());
        var percentage = ((costval / 100) * discamt);
        parent.find('.cost').val((costval - percentage).toFixed(2));
        parent.find('.cost').parent().attr("data-costval", (costval - percentage).toFixed(2));
        parent.find('.cost').parent().attr("data-originalcost", parent.find('.purchase_rate').val())
    }

    $(document).on('keyup', '.totaldiscountper', function(){
        var taxableAmount = $('.taxable').parent().attr('data-totaltaxableamt');
        var discountAmount = (parseFloat($(this).val() / 100) * parseFloat(taxableAmount));
        $('.taxable').val(parseFloat(taxableAmount - discountAmount).toFixed(2));
        $('.totaldiscountamt').val(discountAmount.toFixed(2));
        calcTotalDiscount($(this).val());
    });

    $(document).on('change', '.totaldiscountamt', function(){
        var taxableAmount = $('.taxable').parent().attr('data-totaltaxableamt');
        var discountPercentage = (parseFloat($(this).val() / taxableAmount) * 100);
        $('.taxable').val(parseFloat(taxableAmount - $(this).val()).toFixed(2));
        $('.totaldiscountper').val(discountPercentage.toFixed(2));
        calcTotalDiscount(discountPercentage);
    });

    function calcTotalDiscount(amout)
    {
        $('#itemList tbody tr.parentDiv').each(function(i, element) {
            var html = $(this).html();
            if(html!='')
            {
                var rowAmount = $(this).find('.taxablerow').parent().attr('data-actval');
                var grsVal = $(this).find('.taxableamt').val();
                var rowDiscount = $(this).find('.disc_per').val();
                var totrowdisc = (parseFloat(rowDiscount / 100) * parseFloat(grsVal));
                var totdiscAmt = parseFloat(grsVal - totrowdisc);

                var discount_amt = (parseFloat(amout / 100) * parseFloat(totdiscAmt));

                var costoriginal = $(this).find('.cost').parent().attr('data-originalcost');
                var costoriginalDisc = (parseFloat($(this).find('.disc_per').val() / 100) * parseFloat(costoriginal));
                var costvaloriginal = parseFloat(costoriginal - costoriginalDisc);

                var costvalDisc = costvaloriginal;

                var costDisc = (parseFloat(amout / 100) * parseFloat(costvalDisc));
                var costdiscamt = parseFloat(costvalDisc - costDisc);
                $(this).find('.cost').val(costdiscamt.toFixed(2));
                $(this).find('.cost').parent().attr("data-costval", (costdiscamt).toFixed(2));

                var afterdisc_amt = parseFloat(rowAmount - discount_amt);
                var roundedVal = parseFloat(afterdisc_amt).toFixed(2);
                $(this).find('.taxablerow').val(roundedVal);
                var cgst = $(this).find('.cgst').val() / 2;
                var sgst = $(this).find('.cgst').val() / 2;
                var cgstamount = ((roundedVal/100) * cgst);
                var sgstamount = ((roundedVal/100) * sgst);
                $(this).find('.cgst_amt').val(parseFloat(cgstamount).toFixed(2));
                $(this).find('.sgst_amt').val(parseFloat(sgstamount).toFixed(2));
                var totalamt = parseFloat(roundedVal) + parseFloat(cgstamount) + parseFloat(sgstamount);
                $(this).find('.total').val(totalamt.toFixed(2));
                calc_total();
            }
        });
    }
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Purchase</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Inventory</a></li>
            <li class="breadcrumb-item active" aria-current="page">Create Purchase</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="purchaseForm" method="post" action="{{ route('purchase.return.update', $purchase->id) }}">
    @csrf
    @method('PUT')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-4">
                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="billdate">Date</label>
                            <input type="date" id="billdate" name="billdate" class="form-control" value="{{ $purchase->purchase_date }}" placeholder="Date" autofocus required />
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="invno">Invoice No</label>
                            <input type="text" id="invno" name="invno" class="form-control" value="{{ $purchase->invoice_no }}" placeholder="Invoice No" required />
                        </div>
                    </div>

                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="mop">MOP</label>
                            <select id="mop" name="mop" class="form-control" required>
                                <option value="Cash" {{ ($purchase->payment_pode == 'Cash') ? 'selected' : '' }}>Cash</option>
                                <option value="Card" {{ ($purchase->payment_pode == 'Card') ? 'selected' : '' }}>Card</option>
                                <option value="Transfer" {{ ($purchase->payment_pode == 'Transfer') ? 'selected' : '' }}>Transfer</option>
                                <option value="Credit" {{ ($purchase->payment_pode == 'Credit') ? 'selected' : '' }}>Credit</option>
                            </select>
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="tax">Tax</label>
                            <select id="tax" name="tax" class="form-control" required>
                                <option value="GST" {{ ($purchase->tax_type == 'GST') ? 'selected' : '' }}>GST</option>
                                <option value="IGST" {{ ($purchase->tax_type == 'IGST') ? 'selected' : '' }}>IGST</option>
                                <option value="No Tax" {{ ($purchase->tax_type == 'No Tax') ? 'selected' : '' }}>No Tax</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label" for="vendor">Vendor</label>
                        <select id="vendor" name="vendor" class="form-control select2" required>
                            <option value="">--Select--</option>
                            @foreach($vendors as $vendor)
                            <option value="{{$vendor->id}}" {{ ($purchase->vendor_id == $vendor->id) ? 'selected' : '' }}>{{$vendor->name}}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="mb-1">
                        <label class="form-label">Address</label>
                        <div id="vendor_address" class="form-control">{{$purchase->vendor->address}}</div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label">Contact No</label>
                        <div id="contact_no" class="form-control">{{$purchase->vendor->mobile}}</div>
                    </div>

                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="sales_man">Sales Man</label>
                            <select id="sales_man" name="sales_man" class="form-control" required>
                                @foreach($employees as $employee)
                                    <option value="{{$employee->id}}" {{ ($purchase->salesman_id == $employee->id) ? 'selected' : '' }}>{{$employee->name}}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="col-6">
                            <label class="form-label" for="branch">Branch</label>
                            <select id="branch" name="branch" class="form-control branch" required>
                                <option value="">--Select--</option>
                                @foreach($companys as $company)
                                <option value="{{$company->id}}" {{ ($purchase->branch_id == $company->id) ? 'selected' : '' }}>{{$company->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">
            <table class="table table-hover" id="itemList">
                <thead>
                    <tr>
                        <th class="text-center text-capitalize">No</th>
                        <th class="text-center text-capitalize" width="150">Code</th>
                        <th class="text-center text-capitalize" width="150">Product</th>
                        <th class="text-center text-capitalize" width="10">Quantity</th>
                        <th class="text-center text-capitalize">Free Qty</th>
                        <th class="text-center text-capitalize">Rate</th>
                        <th class="text-center text-capitalize">Cost</th>
                        <th class="text-center text-capitalize">Sale Rate</th>
                        <th class="text-center text-capitalize">MRP</th>
                        <th class="text-center text-capitalize">Gross Amt</th>
                        <th class="text-center text-capitalize">Disc %</th>
                        <th class="text-center text-capitalize">Discount</th>
                        <th class="text-center text-capitalize">Taxable Amt</th>
                        <th class="text-center text-capitalize">GST %</th>
                        <th class="text-center text-capitalize">CGST Amt</th>
                        <th class="text-center text-capitalize d-none">SGST %</th>
                        <th class="text-center text-capitalize">SGST Amt</th>
                        <th class="text-center text-capitalize" width="100">Total</th>
                        <th class="text-center text-capitalize"></th>
                    </tr>
                </thead>
                <tbody data-role="dynamic-fields">
                    @php
                        $c = 0;
                        $finaltaxableamt = 0;
                    @endphp
                    @foreach($purchase->purchaseReturnDetails as $purchaseList)
                    @php
                        $taxvalue = ($purchaseList->discount_percentage / 100) * $purchaseList->gross_amt;
                        $costval = ($purchaseList->discount_percentage / 100) * $purchaseList->rate;
                        $finalcostval = ($purchase->total_discount_percentage / 100) * $purchaseList->rate;
                        $totalcostval = ($costval + $finalcostval);
                        $finaltaxableamt = $finaltaxableamt + $purchaseList->taxable_amt;
                    @endphp
                    <tr class="parentDiv reindexExist" data-taxable="{{ ($purchaseList->gross_amt - $taxvalue) }}">
                        <td class="text-center">{{ $loop->iteration }}</td>
                        <td>
                            <input type="hidden" data-field-name="id" id="prdid_{{$c}}" name="prdid[{{$c}}]" class="prdid prdidExist" value="{{ $purchaseList->product_master_id }}" required/>
                            <input type="hidden" id="tblid_{{$c}}" name="tblid[{{$c}}]" class="tblid tblidExist" value="{{ $purchaseList->id }}" required/>
                            <input type="text" data-field-name="code" id="code_{{$c}}" name="code[{{$c}}]" value="{{ $purchaseList->product->code }}" placeholder="Code" class="input form-control code codeExist search" required/>
                        </td>
                        <td><input type="text" data-field-name="name" id="search_{{$c}}" name="search[{{$c}}]" value="{{ $purchaseList->product->name }}" placeholder="Product" class="input form-control product productExist search" required/></td>
                        <td><input type="number" value="{{ $purchaseList->quantity }}" name="quantity[{{$c}}]" class="input quantity quantityExist form-control" required step=".01"></td>
                        <td><input type="number" value="{{ $purchaseList->free_quantity }}" name="freequantity[{{$c}}]" class="input freequantity freequantityExist form-control" required step=".01"></td>
                        <td><input type="text" value="{{ $purchaseList->rate }}" id="purchaserate_{{$c}}" name="purchase_rate[{{$c}}]" class="input purchase_rate purchase_rateExist form-control" required></td>
                        <td data-costval="{{ ($purchaseList->rate - $costval) }}" data-originalcost="{{ $purchaseList->rate }}"><input type="text" value="{{ $purchaseList->cost }}" name="cost[{{$c}}]" class="input cost costExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->sale_rate }}" name="salerate[{{$c}}]" id="salesrate_{{$c}}" class="input salerate salerateExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->mrp }}" name="mrp[{{$c}}]" id="mrp_{{$c}}" class="input mrp mrpExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->gross_amt }}" name="taxableamt[{{$c}}]" id="taxableamt_{{$c}}" class="input taxableamt taxableamtExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->discount_percentage }}" name="disc_per[{{$c}}]" class="input disc_per disc_perExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->discount_amount }}" name="disc_amt[{{$c}}]" class="input disc_amt disc_amtExist form-control col-md-12" required></td>
                        <td data-actval="{{ ($purchaseList->gross_amt - $taxvalue) }}"><input type="text" value="{{ $purchaseList->taxable_amt }}" name="taxablerow[{{$c}}]" class="input taxablerow taxablerowExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->cgst }}" name="cgst[{{$c}}]" id="igst_{{$c}}" class="input cgst cgstExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->cgst_amount }}" name="cgst_amt[{{$c}}]" class="input cgst_amt cgst_amtExist form-control col-md-12" required></td>
                        <td class="d-none"><input type="text" value="{{ $purchaseList->sgst }}" name="sgst[{{$c}}]" id="sgst_{{$c}}" class="sgst sgstExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->sgst_amount }}" name="sgst_amt[{{$c}}]" class="input sgst_amt sgst_amtExist form-control col-md-12" required></td>
                        <td><input type="text" value="{{ $purchaseList->item_total }}" name="total[{{$c}}]" class="input total totalExist form-control col-md-12" readonly></td>
                        <td>
                            <a href="javascript:void(0);" class="btn btn-danger removeExisting" data-id="{{$purchaseList->id}}"><span class="fa fa-trash"></span></a>
                        </td>
                    </tr>
                    @php $c++ @endphp
                    @endforeach
                    <tr id="divlast"><td></td><td colspan="17" class="text-end"><a href="javascript:void(0);" class="btn btn-primary addProduct">Add <span class="fa fa-plus"></span></a></td></tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="card">
        <div class="card-header"> <h3 class="card-title">Price Section</h3> </div>
        <div class="card-body">
            <div class="col-12">
                <input type="hidden" name="finalamount" class="finalamount" id="finalamount">
                <div class="row">
                    <div class="col-10">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Gross Total</th><td><input type="text" value="{{$purchase->total_amount}}" name="grosstotal" class="form-control grosstotal" required readonly></td>
                                    <th class="text-capitalize">Taxable</th><td data-taxableamt="{{$purchase->total_taxable_amt}}" data-totaltaxableamt="{{$finaltaxableamt}}"><input type="text" value="{{$purchase->total_taxable_amt}}" name="taxable" class="form-control taxable" required readonly></td>
                                    <th class="text-capitalize">CGST Amt</th><td><input type="text" value="{{$purchase->total_cgst_amount}}" name="cgstamt" class="form-control cgstamt" required readonly></td>
                                    <th class="text-capitalize">Purchase Value</th><td><input type="text" value="{{$purchase->purchase_total}}" name="purchasevalue" class="form-control purchasevalue" required></td>
                                    <th class="text-capitalize">Other Expense</th><td><input type="text" value="{{$purchase->otherexp}}" name="otherexp" class="form-control otherexp" required></td>
                                    <th class="text-capitalize">Cost Factor</th><td><input type="text" value="{{$purchase->cost_factor}}" name="costfactor" class="form-control costfactor" required></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Discount</th>
                                    <td>
                                        <div class="input-group mb-3">
                                            <input type="text" name="discountfinal" value="{{$purchase->total_discount_percentage}}" class="form-control totaldiscountper" placeholder="%" aria-label="%">
                                            <input type="text" name="discountfinalamt" value="{{$purchase->total_discount_amount}}" class="form-control totaldiscountamt" placeholder="Amount" aria-label="Amount">
                                        </div>
                                    </td>
                                    <th class="text-capitalize">Total Tax</th><td><input type="text" value="{{$purchase->total_tax_amount}}" name="totaltax" class="form-control totaltax" required readonly></td>
                                    <th class="text-capitalize">SGST Amt</th><td><input type="text" value="{{$purchase->total_sgst_amount}}" name="sgstamt" class="form-control sgstamt" required readonly></td>
                                    <th class="text-capitalize">Net Value</th><td><input type="text" value="{{$purchase->netvalue}}" name="netvalue" class="form-control netvalue" required readonly></td>
                                    <th class="text-capitalize">Freight Coolie</th><td><input type="text" value="{{$purchase->freight_coolie}}" name="freightcoolie" class="form-control freightcoolie" required></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Item Discount</th><td><input type="text" value="{{$purchase->total_item_discount}}" name="itemdiscount" class="form-control itemdiscount" required readonly></td>
                                    <th class="text-capitalize">Exempted</th><td><input type="text" value="{{$purchase->exempted}}" name="exempted" class="form-control exempted" required></td>
                                    <th class="text-capitalize">IGST Amt</th><td><input type="text" value="{{$purchase->total_igst_amount}}" name="igstamt" class="form-control igstamt" required readonly></td>
                                    <th class="text-capitalize">Cess Amt</th><td><input type="text" value="{{$purchase->cess}}" name="cessamt" class="form-control cessamt" required></td>
                                    <th class="text-capitalize">Add.Cess</th><td><input type="text" value="{{$purchase->add_cess}}" name="addcess" class="form-control addcess" required></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-2">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Cash Discount</th><td><input type="text" value="{{$purchase->cash_discount}}" name="cashdisc" class="form-control cashdisc" required></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Round Off</th><td><input type="text" value="{{$purchase->round_off}}" name="roundval" class="form-control roundval" required></td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="card cart">
                            <div class="card-header p-2">
                                <h3 class="card-title p-0" style="font-size: 0.8rem;">Bill Amount</h3>
                            </div>
                            <div class="card-body p-2">
                                <div class="">
                                    &#8377; <h4 class="fw-semibold d-inline subtotal">{{$purchase->grand_total}}</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 text-center demo-vertical-spacing">
                <button type="submit" class="btn btn-primary me-sm-3 me-1">Update</button>
            </div>
        </div>
    </div>
</form>
@endsection


