@extends('layouts.admin.master')
@section('title', 'Purchase')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css">
<style type="text/css">
    .table td{ padding: 0.73rem 0.2rem; }
    .bottom-table th{ padding: 0.5rem; font-size: 0.76rem; width: 110px; vertical-align: middle; }
</style>
@endsection

@section('vendor-script')
<script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Purchase</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Inventory</a></li>
            <li class="breadcrumb-item active" aria-current="page">Create Purchase</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="purchaseForm" method="post" action="#">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-4">
                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="billdate">Date</label>
                            <input type="date" id="billdate" name="billdate" class="form-control" value="{{ $purchase->purchase_date }}" placeholder="Date" autofocus required readonly />
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="invno">Invoice No</label>
                            <input type="text" id="invno" name="invno" class="form-control" value="{{ $purchase->invoice_no }}" placeholder="Invoice No" required readonly />
                        </div>
                    </div>

                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="mop">MOP</label>
                            <select id="mop" name="mop" class="form-control" required disabled>
                                <option value="Cash" {{ ($purchase->payment_pode == 'Cash') ? 'selected' : '' }}>Cash</option>
                                <option value="Card" {{ ($purchase->payment_pode == 'Card') ? 'selected' : '' }}>Card</option>
                                <option value="Transfer" {{ ($purchase->payment_pode == 'Transfer') ? 'selected' : '' }}>Transfer</option>
                            </select>
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="tax">Tax</label>
                            <select id="tax" name="tax" class="form-control" required disabled>
                                <option value="GST" {{ ($purchase->tax_type == 'GST') ? 'selected' : '' }}>GST</option>
                                <option value="IGST" {{ ($purchase->tax_type == 'IGST') ? 'selected' : '' }}>IGST</option>
                                <option value="No Tax" {{ ($purchase->tax_type == 'No Tax') ? 'selected' : '' }}>No Tax</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label" for="vendor">Vendor</label>
                        <select id="vendor" name="vendor" class="form-control select2" required disabled>
                            <option value="">--Select--</option>
                            @foreach($vendors as $vendor)
                            <option value="{{$vendor->id}}" {{ ($purchase->vendor_id == $vendor->id) ? 'selected' : '' }}>{{$vendor->name}}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="mb-1">
                        <label class="form-label">Address</label>
                        <div id="vendor_address" class="form-control">{{$purchase->vendor->address}}</div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label">Contact No</label>
                        <div id="contact_no" class="form-control">{{$purchase->vendor->mobile}}</div>
                    </div>

                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="sales_man">Sales Man</label>
                            <select id="sales_man" name="sales_man" class="form-control" required disabled>
                                @foreach($employees as $employee)
                                    <option value="{{$employee->id}}" {{ ($purchase->salesman_id == $employee->id) ? 'selected' : '' }} >{{$employee->name}}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="col-6">
                            <label class="form-label" for="branch">Branch</label>
                            <select id="branch" name="branch" class="form-control branch" required disabled>
                                <option value="">--Select--</option>
                                @foreach($companys as $company)
                                <option value="{{$company->id}}" {{ ($purchase->branch_id == $company->id) ? 'selected' : '' }}>{{$company->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">
            <table class="table table-hover" id="itemList">
                <thead>
                    <tr>
                        <th class="text-center text-capitalize">No</th>
                        <th class="text-center text-capitalize" width="150">Code</th>
                        <th class="text-center text-capitalize" width="150">Product</th>
                        <th class="text-center text-capitalize" width="10">Quantity</th>
                        <th class="text-center text-capitalize">Free Qty</th>
                        <th class="text-center text-capitalize">Rate</th>
                        <th class="text-center text-capitalize">Cost</th>
                        <th class="text-center text-capitalize">Sale Rate</th>
                        <th class="text-center text-capitalize">MRP</th>
                        <th class="text-center text-capitalize">Gross Amt</th>
                        <th class="text-center text-capitalize">Disc %</th>
                        <th class="text-center text-capitalize">Discount</th>
                        <th class="text-center text-capitalize">Taxable Amt</th>
                        <th class="text-center text-capitalize">CGST %</th>
                        <th class="text-center text-capitalize">CGST Amt</th>
                        <th class="text-center text-capitalize d-none">SGST %</th>
                        <th class="text-center text-capitalize">SGST Amt</th>
                        <th class="text-center text-capitalize" width="100">Total</th>
                    </tr>
                </thead>
                <tbody data-role="dynamic-fields">
                    @php
                        $c = 0;
                    @endphp
                    @foreach($purchase->purchaseReturnDetails as $purchaseList)
                    @php
                        $taxvalue = ($purchaseList->discount_percentage / 100) * $purchaseList->gross_amt;
                        $costval = ($purchaseList->discount_percentage / 100) * $purchaseList->rate;
                        $finalcostval = ($purchase->total_discount_percentage / 100) * $purchaseList->rate;
                        $totalcostval = ($costval + $finalcostval);
                    @endphp
                    <tr class="parentDiv reindex" data-taxable="{{ ($purchaseList->gross_amt - $taxvalue) }}">
                        <td class="text-center">{{ $loop->iteration }}</td>
                        <td>
                            <input type="hidden" data-field-name="id" id="prdid_{{$c}}" name="prdid[{{$c}}]" class="prdid" value="{{ $purchaseList->product_master_id }}" required readonly/>
                            <input type="hidden" id="tblid_{{$c}}" name="tblid[{{$c}}]" class="tblid" value="{{ $purchaseList->id }}" required readonly/>
                            <input type="text" data-field-name="code" id="code_{{$c}}" name="code[{{$c}}]" value="{{ $purchaseList->product->code }}" placeholder="Code" class="input form-control code search" required readonly/>
                        </td>
                        <td><input type="text" data-field-name="name" id="search_{{$c}}" name="search[{{$c}}]" value="{{ $purchaseList->product->name }}" placeholder="Product" class="input form-control product search" required readonly/></td>
                        <td><input type="number" value="{{ $purchaseList->quantity }}" name="quantity[{{$c}}]" class="input quantity form-control" required readonly min="1"></td>
                        <td><input type="number" value="{{ $purchaseList->free_quantity }}" name="freequantity[{{$c}}]" class="input freequantity form-control" required readonly min="0"></td>
                        <td><input type="text" value="{{ $purchaseList->rate }}" id="purchaserate_{{$c}}" name="purchase_rate[{{$c}}]" class="input purchase_rate form-control" required readonly></td>
                        <td data-costval="{{ ($purchaseList->rate - $costval) }}" data-originalcost="{{ $purchaseList->rate }}"><input type="text" value="{{ $purchaseList->cost }}" name="cost[{{$c}}]" class="input cost form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->sale_rate }}" name="salerate[{{$c}}]" id="salesrate_{{$c}}" class="input salerate form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->mrp }}" name="mrp[{{$c}}]" id="mrp_{{$c}}" class="input mrp form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->gross_amt }}" name="taxableamt[{{$c}}]" id="taxableamt_{{$c}}" class="input taxableamt form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->discount_percentage }}" name="disc_per[{{$c}}]" class="input disc_per form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->discount_amount }}" name="disc_amt[{{$c}}]" class="input disc_amt form-control col-md-12" required readonly></td>
                        <td data-actval="{{ ($purchaseList->gross_amt - $taxvalue) }}"><input type="text" value="{{ $purchaseList->taxable_amt }}" name="taxablerow[{{$c}}]" class="input taxablerow form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->cgst }}" name="cgst[{{$c}}]" id="igst_{{$c}}" class="input cgst form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->cgst_amount }}" name="cgst_amt[{{$c}}]" class="input cgst_amt form-control col-md-12" required readonly></td>
                        <td class="d-none"><input type="text" value="{{ $purchaseList->sgst }}" name="sgst[{{$c}}]" id="sgst_{{$c}}" class="sgst form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->sgst_amount }}" name="sgst_amt[{{$c}}]" class="input sgst_amt form-control col-md-12" required readonly></td>
                        <td><input type="text" value="{{ $purchaseList->item_total }}" name="total[{{$c}}]" class="input total form-control col-md-12" readonly></td>
                    </tr>
                    @php $c++ @endphp
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>

    <div class="card">
        <div class="card-header"> <h3 class="card-title">Price Section</h3> </div>
        <div class="card-body">
            <div class="col-12">
                <input type="hidden" name="finalamount" class="finalamount" id="finalamount">
                <div class="row">
                    <div class="col-10">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Gross Total</th><td><input type="text" value="{{$purchase->total_amount}}" name="grosstotal" class="form-control grosstotal" required readonly></td>
                                    <th class="text-capitalize">Taxable</th><td data-taxableamt="{{$purchase->total_taxable_amt}}" data-totaltaxableamt="273500"><input type="text" value="{{$purchase->total_taxable_amt}}" name="taxable" class="form-control taxable" required readonly></td>
                                    <th class="text-capitalize">CGST Amt</th><td><input type="text" value="{{$purchase->total_cgst_amount}}" name="cgstamt" class="form-control cgstamt" required readonly></td>
                                    <th class="text-capitalize">Purchase Value</th><td><input type="text" value="{{$purchase->purchase_total}}" name="purchasevalue" class="form-control purchasevalue" required readonly></td>
                                    <th class="text-capitalize">Other Expense</th><td><input type="text" value="{{$purchase->otherexp}}" name="otherexp" class="form-control otherexp" required readonly></td>
                                    <th class="text-capitalize">Cost Factor</th><td><input type="text" value="{{$purchase->cost_factor}}" name="costfactor" class="form-control costfactor" required readonly></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Discount</th>
                                    <td>
                                        <div class="input-group mb-3">
                                            <input type="text" name="discountfinal" value="{{$purchase->total_discount_percentage}}" class="form-control totaldiscountper" placeholder="%" aria-label="%" readonly>
                                            <input type="text" name="discountfinalamt" value="{{$purchase->total_discount_amount}}" class="form-control totaldiscountamt" placeholder="Amount" aria-label="Amount" readonly>
                                        </div>
                                    </td>
                                    <th class="text-capitalize">Total Tax</th><td><input type="text" value="{{$purchase->total_tax_amount}}" name="totaltax" class="form-control totaltax" required readonly></td>
                                    <th class="text-capitalize">SGST Amt</th><td><input type="text" value="{{$purchase->total_sgst_amount}}" name="sgstamt" class="form-control sgstamt" required readonly></td>
                                    <th class="text-capitalize">Net Value</th><td><input type="text" value="{{$purchase->netvalue}}" name="netvalue" class="form-control netvalue" required readonly></td>
                                    <th class="text-capitalize">Freight Coolie</th><td><input type="text" value="{{$purchase->freight_coolie}}" name="freightcoolie" class="form-control freightcoolie" required readonly></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Item Discount</th><td><input type="text" value="{{$purchase->total_item_discount}}" name="itemdiscount" class="form-control itemdiscount" required readonly></td>
                                    <th class="text-capitalize">Exempted</th><td><input type="text" value="{{$purchase->exempted}}" name="exempted" class="form-control exempted" required readonly></td>
                                    <th class="text-capitalize">IGST Amt</th><td><input type="text" value="{{$purchase->total_igst_amount}}" name="igstamt" class="form-control igstamt" required readonly></td>
                                    <th class="text-capitalize">Cess Amt</th><td><input type="text" value="{{$purchase->cess}}" name="cessamt" class="form-control cessamt" required readonly></td>
                                    <th class="text-capitalize">Add.Cess</th><td><input type="text" value="{{$purchase->add_cess}}" name="addcess" class="form-control addcess" required readonly></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-2">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Cash Discount</th><td><input type="text" value="{{$purchase->cash_discount}}" name="cashdisc" class="form-control cashdisc" required readonly></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Round Off</th><td><input type="text" value="{{$purchase->round_off}}" name="roundval" class="form-control roundval" required readonly></td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="card cart">
                            <div class="card-header p-2">
                                <h3 class="card-title p-0" style="font-size: 0.8rem;">Bill Amount</h3>
                            </div>
                            <div class="card-body p-2">
                                <div class="">
                                    &#8377; <h4 class="fw-semibold d-inline subtotal">{{$purchase->grand_total}}</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
@endsection


