<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Estimate</title>
        <!--<link rel="stylesheet" href="{{ public_path().'/css/estimate-style.css' }}" />-->
        <link rel="stylesheet" href="{{ asset('css/estimate-style.css') }}" />
        <style type="text/css">
            .btn{ font-weight: 400; letter-spacing: 0.03em; font-size: 0.8125rem; min-width: 2.375rem; color: #fff; padding: 0.375rem 1rem; background: #0d6efd; border-radius: 5px; border: 1px solid transparent; cursor: pointer; }
            *:focus { outline: none; }
        </style>
    </head>
    <body>
        <div style="width: 100%; text-align: center; margin-bottom: 10px;">
            <input type="button" class="btn" onclick="PrintDiv();" value="Print">
            <a href="{{ route('sale.estimate') }}" class="btn">New Estimate</a>
        </div>
        {{-- dd($invoice) --}}
        @php
            $invoice_items = array_chunk( $invoice->sale_client_details, 15 );
            $count = count($invoice->sale_client_details);
            $c=0;
        @endphp
        <div id="divToPrint">
            @foreach($invoice_items as $orders)
            <div id="wraper" class="wraper">
                <div class="bll_head">
                    <span class="comp_name">{{ $invoice->branch->name }}</span><br>
                    {{ $invoice->branch->address }}, {{ $invoice->branch->city }}, {{ $invoice->branch->state }}-{{ $invoice->branch->pincode }}<br>PH:{{ $invoice->branch->phone }},&nbsp;E-mail&nbsp;:&nbsp;{{ $invoice->branch->email }}<br>
                    <span class="comp_name">Estimate Bill</span><br>
                </div>

                <div class="spce"></div>
                <div class="bill-info">
                    <div class="col-full">
                        <div class="bill-col-parts">
                            <b>Bill No: {{ $invoice->invoice_no }}</b><br>
                            <b>Customer: {{ $invoice->customer->name }}</b><br>
                        </div>
                    </div>
                </div>
                <div class="bill-items">
                    <div class="line-wraper">
                        <div class="listborders" style="width: 60px; "></div>
                        <div class="listborders" style="width: 396px; "></div>
                        <div class="listborders" style="width: 83px; "></div>
                        <div class="listborders" style="width: 127px; "></div>
                        <div class="listborders" style="width: 126px; "></div>
                    </div>
                    <table class="item-table" cellpadding="0" cellspacing="0">
                        <thead>
                            <tr>
                                <th width="20">No</th>
                                <th width="170">Description</th>
                                <th width="30">Qty</th>
                                <th width="50">Rate</th>
                                <th width="50">Total</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php
                                $itemTotal = 0;
                            @endphp
                            @foreach($orders as $orderItems)
                                @php
                                    $c++;
                                    $itemRate = ($orderItems->item_total / $orderItems->quantity);
                                    $itemTotal = $itemTotal + $itemRate;
                                @endphp
                                <tr>
                                    <td>{{ $c }}</td>
                                    <td>{{ $orderItems->product->name }}</td>
                                    <td>{{ $orderItems->quantity }} {{ ucfirst(strtolower($orderItems->product->unit->unit)) }}</td>
                                    <td>{{ round($itemRate, 2) }}</td>
                                    <td>{{ round($orderItems->item_total, 2) }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="billTotals">
                    <div class="billTotalitems" style="width: 456px; ">Total</div>
                    <div class="billTotalitems" style="width: 83px; ">{{ collect($orders)->sum('quantity') }}</div>
                    <div class="billTotalitems" style="width: 127px; ">{{ round($itemTotal, 2) }}</div>
                    <div class="billTotalitems" style="width: 124px; ">{{ number_format(round(collect($orders)->sum('item_total')), 2, '.', '') }}</div>
                </div>
                

                <div class="declerationSection">
                    <div class="declerationCol border-right">
                        <div class="declerationData">
                            <span class="amountWordHeading">Rupees: </span>
                            <label class="grandTotalWord">{{ $invoice->amountInWords }}</label>
                        </div>
                    </div>
                    <div class="declerationCol">
                        <div class="netAmountSection">
                            <div class="amountSectionCol text-left fs-b">Net Amount</div>
                            <div class="amountSectionCol text-right fs-b">{{ number_format(round($invoice->grand_total), 2, '.', ''); }}</div>
                        </div>
                    </div>
                </div>
                <div class="border-top footer-text" style="width: 100%;">
                    *****Thank You Visit Again*****
                </div>
            </div>
            @endforeach
        </div>

        <script type="text/javascript">

        function PrintDiv()
        {
            var style_url = "{{ asset('css/estimate-style.css') }}";
            var divToPrint = document.getElementById('divToPrint');
            var popupWin = window.open('', '_blank', 'width=595,height=842');
            popupWin.document.open();
            popupWin.document.write('<html><link href="'+style_url+'" rel="stylesheet" type="text/css" /><body onload="window.print()">' +divToPrint.innerHTML + '</html>');
            popupWin.document.close();
            popupWin.focus();
            setTimeout(function(){popupWin.close();},100);
        }
        </script>
    </body>
</html>