<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Invoice</title>
        <!--<link rel="stylesheet" href="{{ public_path().'/css/invoice-style.css' }}" />-->
        <link rel="stylesheet" href="{{ asset('css/invoice-style.css') }}" />
        <style type="text/css">
            .btn{ font-weight: 400; letter-spacing: 0.03em; font-size: 0.8125rem; min-width: 2.375rem; color: #fff; padding: 0.375rem 1rem; background: #0d6efd; border-radius: 5px; border: 1px solid transparent; cursor: pointer; }
            *:focus { outline: none; }
        </style>
    </head>
    <body>
        <div style="width: 100%; text-align: center; margin-bottom: 10px;">
            <input type="button" class="btn" onclick="PrintDiv();" value="Print">
        </div>
        {{-- dd($invoice) --}}
        @php
            $invoice_items = array_chunk( $invoice->sale_details, 15 );
            $count = count($invoice->sale_details);
            $c=0;
        @endphp
        <div id="divToPrint">
            @foreach($invoice_items as $orders)
            <div id="wraper" class="wraper">
                <div class="bll_head">
                    <div class="logo_section">
                        <img src="{{ asset('assets/images/logo/newlogo.png') }}">
                    </div>
                    <div class="co_address">
                        <span class="comp_name">{{ ucwords(strtolower($invoice->branch->name)) }}</span><br>
                        {{ $invoice->branch->address }}, {{ $invoice->branch->city }}, {{ $invoice->branch->state }}-{{ $invoice->branch->pincode }}<br>PH:{{ $invoice->branch->phone }},&nbsp;E-mail&nbsp;:&nbsp;{{ $invoice->branch->email }}<br>QUOTATION<br>
                        GSTIN: {{ $invoice->branch->gst }}
                    </div>
                </div>

                <div class="spce"></div>
                <div class="bill-info">
                    <div class="col-half">
                        <div class="bill-col-parts">
                            <b>Quotation No: {{ $invoice->invoice_no }}</b><br>
                            <b>Quotation Date: {{ date("d-m-Y", strtotime($invoice->sale_date)) }}</b><br>
                            Reverse Charge(Y/N): N<br>
                            State: {{ $invoice->customer->state->name }} - State Code: {{ $invoice->customer->state->state_code }}<br>
                        </div>
                        <div class="bill-col-parts">
                            <div class="bill_customer">
                                <b>Bill to Party: {{ $invoice->customer->name }}</b><br>
                                {{ $invoice->customer->address }}, {{ $invoice->customer->email }}<br>{{ $invoice->customer->state->name }}<br>
                            </div>
                            <div class="customer-contact"><b>GSTIN:</b> {{ $invoice->customer->gstin }}</div><div class="customer-contact"><b>Mobile:</b> {{ $invoice->customer->mobile }}</div>
                        </div>
                    </div>
                    <div class="col-half">
                        <div class="bill-col-tran-parts">
                            <div class="trans-part-head">Transportation Mode: </div>
                            <div class="trans-details">
                                 @php
                                    $regno = '';
                                   $driverName = $placeName = $print_diver = $print_site = $print_vehicle = '' ;
                                   if(!empty($invoice->site_data))
                                   {
                                    $siteData = json_decode($invoice->site_data);
                                    $driverName = $siteData->driver;
                                    $placeName = $siteData->site;
                                    $print_diver = $siteData->printdiver ?? '';
                                    $print_site = $siteData->printsite ?? '';
                                    $print_vehicle = $siteData->printvehicle ?? '';

                                        if($print_diver==0)
                                        {
                                            $driverName='';
                                        }
                                        
                                        if($print_site==0)
                                        {
                                            $placeName='';
                                        }
                                       

                                   }
                                   if(!empty($invoice->vehicle->reg_no))
                                   {
                                        if($print_vehicle==0)
                                        {
                                            $regno='';
                                        }
                                        else
                                        {
                                            $regno = $invoice->vehicle->reg_no;
                                        }
                                    
                                   }
                                 @endphp
                                 Vehicle No: {{ (!is_null($regno))?$regno:'' }}<br>
                                 Driver Name: {{ (!is_null($driverName))?$driverName:'' }}<br>
                                 Place of Supplay: {{ (!is_null($placeName))?$placeName:'' }}
                               <!--... Delivary Date: {{ date("d-m-Y", strtotime($invoice->sale_date)) }}--><br>
                            </div>
                            <div class="bank-details">
                                {!! nl2br($invoice->branch->bank_details) !!}
                            </div>
                        </div>
                        <div class="bill-col-gpay-parts">
                            <div class="trans-part-head">GPay Accepted&nbsp;</div>
                            <img src="{{ asset('assets/images/logo/qrcode.jpg') }}">
                        </div>
                    </div>
                </div>
                <div class="bill-items">
                    <div class="line-wraper">
                        <div class="listborders" style="width: 29px; "></div>
                        <div class="listborders" style="width: 192px; "></div>
                        <div class="listborders" style="width: 61px; "></div>
                        <div class="listborders" style="width: 40px; "></div>
                        <div class="listborders" style="width: 61.63px; "></div>
                        <div class="listborders" style="width: 61.8px; "></div>
                        <div class="listborders" style="width: 61.8px; "></div>
                        <div class="listborders" style="width: 40px; "></div>
                        <div class="listborders" style="width: 61.5px; "></div>
                        <div class="listborders" style="width: 61.4px; "></div>
                        <div class="listborders" style="width: 61.7px; "></div>
                        <div class="listborders" style="width: 61.77px; "></div>
                    </div>
                    <table class="item-table" cellpadding="0" cellspacing="0">
                        <thead>
                            <tr>
                                <th width="20">No</th>
                                <th width="170">Description</th>
                                <th width="50">HSNCode</th>
                                <th width="30">Qty</th>
                                <th width="50">Rate</th>
                                <th width="50">Gross</th>
                                <th width="50">Disc</th>
                                <th width="30">GST%</th>
                                <th width="50">CGST Amt</th>
                                <th width="50">SGST Amt</th>
                                <th width="50">IGST Amt</th>
                                <th width="50">Total</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($orders as $orderItems)
                            @php
                                $c++;
                            @endphp
                            <tr>
                                <td>{{ $c }}</td>
                                <td>{{ $orderItems->product->name }} ({{ ucfirst(strtolower($orderItems->product->unit->unit)) }})</td>
                                <td>{{ $orderItems->product->hsncode }}</td>
                                <td>{{ $orderItems->quantity }}</td>
                                <td>{{ $orderItems->unit_price }}</td>
                                <td>{{ $orderItems->gross_amount }}</td>
                                <td>{{ $orderItems->discount_amount }}</td>
                                <td>{{ $orderItems->cgst }}</td>
                                <td>{{ ($invoice->tax_type == 'IGST')?'0.00':$orderItems->cgst_amount }}</td>
                                <td>{{ ($invoice->tax_type == 'IGST')?'0.00':$orderItems->sgst_amount }}</td>
                                <td>{{ ($invoice->tax_type == 'IGST')?number_format(round($orderItems->cgst_amount + $orderItems->sgst_amount, 2), 2, '.', ''):'0.00' }}</td>
                                <td>{{ $orderItems->item_total }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="billTotals">
                    <div class="billTotalitems" style="width: 221px; ">Total</div>
                    <div class="billTotalitems" style="width: 61px; "></div>
                    <div class="billTotalitems" style="width: 40px; ">{{ collect($orders)->sum('quantity') }}</div>
                    <div class="billTotalitems" style="width: 62px; "></div>
                    <div class="billTotalitems" style="width: 61px; ">{{ collect($orders)->sum('gross_amount') }}</div>
                    <div class="billTotalitems" style="width: 62px; ">{{ collect($orders)->sum('discount_amount') }}</div>
                    <div class="billTotalitems" style="width: 40px; "></div>
                    <div class="billTotalitems" style="width: 62px; "></div>
                    <div class="billTotalitems" style="width: 61px; "></div>
                    <div class="billTotalitems" style="width: 62px; "></div>
                    <div class="billTotalitems" style="width: 60.7px; ">{{ number_format(round(collect($orders)->sum('item_total')), 2, '.', '') }}</div>
                </div>
                <div class="billTaxSection">
                    <div class="billTaxData taxleft">
                        <table cellpadding="0" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>GST %</th>
                                    <th>Taxable</th>
                                    <th>CGST Amt</th>
                                    <th>SGST Amt</th>
                                    <th>IGST Amt</th>
                                    <th>Tax Total</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <th>5%</th>
                                    <td></td>
                                    @if($invoice->tax_type == 'IGST')
                                        <td>0.00</td>
                                        <td>0.00</td>
                                        <td>{{ number_format((($invoice->tax_5_cgst)?$invoice->tax_5_cgst:'0.00') + (($invoice->tax_5_sgst)?$invoice->tax_5_sgst:'0.00'), 2, '.', '') }}</td>
                                    @else
                                        <td>{{ ($invoice->tax_5_cgst)?$invoice->tax_5_cgst:'0.00' }}</td>
                                        <td>{{ ($invoice->tax_5_sgst)?$invoice->tax_5_sgst:'0.00' }}</td>
                                        <td>0.00</td>
                                    @endif
                                    <td>{{ round($invoice->tax_5_cgst + $invoice->tax_5_sgst, 2) }}</td>
                                </tr>
                                <tr>
                                    <th>12%</th>
                                    <td></td>
                                    @if($invoice->tax_type == 'IGST')
                                        <td>0.00</td>
                                        <td>0.00</td>
                                        <td>{{ number_format((($invoice->tax_12_cgst)?$invoice->tax_12_cgst:'0.00') + (($invoice->tax_12_sgst)?$invoice->tax_12_sgst:'0.00'), 2, '.', '') }}</td>
                                    @else
                                        <td>{{ ($invoice->tax_12_cgst)?$invoice->tax_12_cgst:'0.00' }}</td>
                                        <td>{{ ($invoice->tax_12_sgst)?$invoice->tax_12_sgst:'0.00' }}</td>
                                        <td>0.00</td>
                                    @endif
                                    <td>{{ round($invoice->tax_12_cgst + $invoice->tax_12_sgst, 2) }}</td>
                                </tr>
                                <tr>
                                    <th>18%</th>
                                    <td></td>
                                    @if($invoice->tax_type == 'IGST')
                                        <td>0.00</td>
                                        <td>0.00</td>
                                        <td>{{ number_format((($invoice->tax_18_cgst)?$invoice->tax_18_cgst:'0.00') + (($invoice->tax_18_sgst)?$invoice->tax_18_sgst:'0.00'), 2, '.', '') }}</td>
                                    @else
                                        <td>{{ ($invoice->tax_18_cgst)?$invoice->tax_18_cgst:'0.00' }}</td>
                                        <td>{{ ($invoice->tax_18_sgst)?$invoice->tax_18_sgst:'0.00' }}</td>
                                        <td>0.00</td>
                                    @endif
                                    <td>{{ round($invoice->tax_18_cgst + $invoice->tax_18_sgst, 2) }}</td>
                                </tr>
                                <tr>
                                    <th>28%</th>
                                    <td></td>
                                    @if($invoice->tax_type == 'IGST')
                                        <td>0.00</td>
                                        <td>0.00</td>
                                        <td>{{ number_format((($invoice->tax_28_cgst)?$invoice->tax_28_cgst:'0.00') + (($invoice->tax_28_sgst)?$invoice->tax_28_sgst:'0.00'), 2, '.', '') }}</td>
                                    @else
                                        <td>{{ ($invoice->tax_28_cgst)?$invoice->tax_28_cgst:'0.00' }}</td>
                                        <td>{{ ($invoice->tax_28_sgst)?$invoice->tax_28_sgst:'0.00' }}</td>
                                        <td>0.00</td>
                                    @endif
                                    <td>{{ round($invoice->tax_28_cgst + $invoice->tax_28_sgst, 2) }}</td>
                                </tr>
                                <tr><th>Exempted</th><td colspan="5"><strong>{{ $invoice->tax_0_cgst }}</strong></td></tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="billTaxData taxright">
                        <table cellpadding="0" cellspacing="0">
                            <tr><th>Taxable Amt:</th><td>{{ round(collect($orders)->sum('taxable_amount'), 2) }}&nbsp;</td></tr>
                            @if($invoice->tax_type == 'IGST')
                                <tr><th>SGST/CGST:</th><td>0.00&nbsp;</td></tr>
                                <tr><th>IGST:</th><td>{{ round(collect($orders)->sum('cgst_amount') + collect($orders)->sum('sgst_amount'), 2) }}&nbsp;</td></tr>
                            @else
                                <tr><th>SGST:</th><td>{{ round(collect($orders)->sum('sgst_amount'), 2) }}&nbsp;</td></tr>
                                <tr><th>CGST:</th><td>{{ round(collect($orders)->sum('cgst_amount'), 2) }}&nbsp;</td></tr>
                            @endif

                            <?php /*
                            <tr><th>IGST:</th><td>0.00</td></tr>
                            <tr><th>Tax Amount GST:</th><td>{{ round(collect($orders)->sum('cgst_amount') + collect($orders)->sum('sgst_amount'), 2) }}</td></tr>
                            */ ?>
                            <tr><th>Bill Discount:</th><td>{{ $invoice->total_discount_amount }}&nbsp;</td></tr>
                            <tr><th>Cash Discount:</th><td>{{ $invoice->cash_discount }}&nbsp;</td></tr>
                            <tr><th>Round Off:</th><td>{{ $invoice->round_off }}&nbsp;</td></tr>
                        </table>
                    </div>
                </div>

                <div class="declerationSection">
                    <div class="declerationCol border-right">
                        <div class="declerationData">
                            <table>
                                <tr>
                                    <th>Freight Coolie: </th><td>{{ $invoice->freight_coolie }}</td><th>Cost Factor: </th><td>{{ $invoice->cost_factor }}</td>
                                </tr>
                                <tr>
                                    <th>Other Expense: </th><td>{{ $invoice->otherexp }}</td><th>Cess Amt</th><td>{{ $invoice->cess }}</td>
                                </tr>
                            </table>
                        </div>
                        <div class="declerationData border-top">
                            <span class="amountWordHeading">Grand Total In Words: </span>
                            <label class="grandTotalWord">{{ $invoice->amountInWords }}</label>
                        </div>
                        <div class="declerationData border-top">
                            <p>DECLARATION : We Declare that this invoice shows the actual price of the goods described and that all particulars are true and correct</p>
                        </div>
                    </div>
                    <div class="declerationCol">
                        <div class="netAmountSection">
                            <div class="amountSectionCol text-left fs-b">Net Amount</div>
                            <div class="amountSectionCol text-right fs-b">{{ number_format(round($invoice->grand_total), 2, '.', ''); }}</div>
                        </div>
                        <div class="sealSection">
                            For {{ $invoice->branch->name }}<br>
                            Authorised Signatory
                        </div>
                    </div>
                </div>
            </div>
            @endforeach
        </div>

        <script type="text/javascript">

        function PrintDiv()
        {
            var style_url = "{{ asset('css/invoice-style.css') }}";
            var divToPrint = document.getElementById('divToPrint');
            var popupWin = window.open('', '_blank', 'width=595,height=842');
            popupWin.document.open();
            popupWin.document.write('<html><link href="'+style_url+'" rel="stylesheet" type="text/css" /><body onload="window.print()">' +divToPrint.innerHTML + '</html>');
            popupWin.document.close();
            popupWin.focus();
            setTimeout(function(){popupWin.close();},100);
        }
        </script>
    </body>
</html>