<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Transaction Print</title>
        <!--<link rel="stylesheet" href="{{ public_path().'/css/estimate-style.css' }}" />-->
        <link rel="stylesheet" href="{{ asset('css/receipt-style.css') }}" />
        <style type="text/css">
            .btn{ font-weight: 400; letter-spacing: 0.03em; font-size: 1rem; min-width: 2.375rem; color: #fff; padding: 0.375rem 1rem; background: #0d6efd; border-radius: 5px; border: 1px solid transparent; cursor: pointer; text-decoration: none; font-family: 'Calibri'; }
            *:focus { outline: none; }
        </style>
    </head>
    <body>
        <div style="width: 100%; text-align: center; margin-bottom: 10px;">
            <input type="button" class="btn" onclick="PrintDiv();" value="Print">
            <a href="{{ route('transactions.index', $transaction->transaction_type) }}" class="btn">Back to list</a>
        </div>
        <div id="divToPrint">
            <div id="wrapper">
                <div class="top_reciept_head">
                    {{ $transaction->branch->name }}
                    <br />
                    {{ $transaction->branch->address }}
                    <br />
                    PH:{{ $transaction->branch->phone }}
                </div>
                <div class="top_reciept_title">RECEIPT</div>
                <div class="no_date">
                    <div class="receiptno">No :
                        {{ $transaction->transaction_no }}
                    </div>
                    <div class="receiptdate">Date :
                        {{ date("d-m-Y", strtotime($transaction->transaction_date)) }}
                    </div>
                </div>
                <div class="amount_words">
                    <div class="amount_words_title">Received Rs </div>
                    <div class="amount_word_show">
                        {{ $transaction->amountInWords }} only
                    </div>
                </div>
                <div class="amount_words">
                    <div class="by_cash">(in words) by Cash/Cheque/DD No. </div>
                    <div class="number">&nbsp;
                        @php
                            if($transaction->payment_type == 1)
                            {
                                $paymode = 'Cash';
                            }
                            elseif($transaction->payment_type == 2)
                            {
                                $paymode = 'Cheque';
                            }
                            elseif($transaction->payment_type == 3)
                            {
                                $paymode = 'DD';
                            }
                            elseif($transaction->payment_type == 4)
                            {
                                $paymode = 'RTGS';
                            }
                            elseif($transaction->payment_type == 5)
                            {
                                $paymode = 'NEFT';
                            }
                        @endphp
                        @if($transaction->payment_type == '1')
                            {{ $paymode }}
                        @else
                            {{ $paymode }} {{ $transaction->payment_details['modeno'] }}
                        @endif

                        
                    </div>
                    <div class="date_ch">dated&nbsp;</div>
                    <div class="dated_show">&nbsp;
                        @if($transaction->payment_type != '1')
                            {{ date("d-m-Y", strtotime($transaction->payment_details['modedate'])) }}
                        @endif
                    </div>
                </div>
                <div class="amount_words">
                    <div class="from_title">From </div>
                    <div class="from_comp">
                        {{ ($transaction->customer()->exists()) ? $transaction->customer->name : '' }}
                    </div>
                </div>
                <div class="amount_words">
                    <div class="amount_in_number">
                        <div class="amount">
                            <div class="rupee_sign">&#8377;</div>
                            <div class="rupee">
                                {{ $transaction->amountTotal }}/-
                            </div>
                        </div>
                    </div>
                    <div class="authorised">
                        <div class="auth_sign">Authorised Signatory</div>
                    </div>
                </div>
                <div class="bottom_reciept_title"> NB:Cheque/DD Subject to realisation </div>
            </div>
        </div>

        <script type="text/javascript">

        function PrintDiv()
        {
            var style_url = "{{ asset('css/receipt-style.css') }}";
            var divToPrint = document.getElementById('divToPrint');
            var popupWin = window.open('', '_blank', 'width=595,height=842');
            popupWin.document.open();
            popupWin.document.write('<html><link href="'+style_url+'" rel="stylesheet" type="text/css" /><body onload="window.print()">' +divToPrint.innerHTML + '</html>');
            popupWin.document.close();
            popupWin.focus();
            setTimeout(function(){popupWin.close();},100);
        }
        </script>
    </body>
</html>