<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Invoice</title>
        <!--<link rel="stylesheet" href="{{ public_path().'/css/invoice-style.css' }}" />-->
        <link rel="stylesheet" href="{{ asset('css/thermal-style.css') }}" />
        <style type="text/css">
            .btn{ font-weight: 400; letter-spacing: 0.03em; font-size: 0.8125rem; min-width: 2.375rem; color: #fff; padding: 0.375rem 1rem; background: #0d6efd; border-radius: 5px; border: 1px solid transparent; cursor: pointer; text-decoration: none; font-family: 'Calibri'; }
            *:focus { outline: none; }
        </style>
        <script type="text/javascript">
            document.addEventListener('keydown', function(event) {
                if(event.ctrlKey && event.key === 'q')
                {
                    document.getElementById("saleBtn").click();
                    //$('.saleBtn').trigger('click');
                }
            });
        </script>
    </head>
    <body>
        <div style="width: 100%; text-align: center; margin-bottom: 10px;">
            <input type="button" class="btn" onclick="PrintDiv();" value="Print" autofocus>
            <a href="{{ route('counter.sale') }}" class="btn saleBtn" id="saleBtn">New Sale (ctrl+q)</a>
        </div>
        @php
            $invoice_items = array_chunk( $invoice->sale_details, 2000 );
            $count = count($invoice->sale_details);
            $c=0;
        @endphp
        <div id="divToPrint">
            @foreach($invoice_items as $orders)
            <div id="wraper" class="wraper">
                <div class="bll_head">
                    <div class="col-half text-left fs-10">GST Rule 2017</div><div class="col-half text-right fs-10">GSTIN: {{ $pagedata[0]['gst'] }}</div>
                    <div class="col-half text-left fs-10">Invoice B2C</div><div class="col-half text-right fs-10">FSSAI: {{ $pagedata[0]['fssai_no'] }}</div>
                </div>
                <div class="bll_head">
                    <span class="comp_name">{!! nl2br($pagedata[0]['print_address']) !!}</span><br>
                    {{ $pagedata[0]['print_sub_head'] }}<br>{{ $pagedata[0]['city'] }}<br>PH:{{ $pagedata[0]['phone'] }}<br>
                </div>

                <div class="spce"></div>
                <div class="bill-info">
                    <div class="col-half">
                        <div class="bill-col-parts text-left fs-10">
                            To: Cash<br>
                        </div>
                    </div>
                    <div class="col-half">
                        <div class="bill-col-parts text-right fs-10 custom-size">
                            <b>Invoice No: {{ $invoice->invoice_no }}</b><br>
                            <b>Date: {{ date("d-m-Y", strtotime($invoice->sale_date)) }}</b><br>
                            <b>Time: {{ date("h:i A", strtotime($invoice->sale_date)) }}</b><br>
                        </div>
                    </div>
                </div>

                <div class="bill-items">
                    <table class="item-table" cellpadding="0" cellspacing="0">
                        <thead>
                            <tr>
                                <th width="20">#</th>
                                <th width="120">Particulars</th>
                                <th width="20">Qty</th>
                                <th width="50">Rate</th>
                                <th width="20">GST%</th>
                                <th width="50">Total</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr><td colspan="6" height="5px"></td></tr>
                            @foreach($orders as $orderItems)
                            @php
                                $c++;
                            @endphp
                            <tr>
                                <td>{{ $c }}</td>
                                <td>{{ $orderItems->product->name }}</td>
                                <td>{{ $orderItems->quantity }}</td>
                                <td>{{ $orderItems->unit_price }}</td>
                                <td>{{ $orderItems->cgst }}</td>
                                <td>{{ round($orderItems->item_total) }}</td>
                            </tr>
                            @endforeach
                            
                            
                            <tr><td colspan="6" height="5px"></td></tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th class="text-right" colspan="5">Total: </th><th>{{ round($invoice->grand_total) }}</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>

                <div class="declerationSection">
                    <div class="declerationData border-top">
                        <label class="grandTotalWord">{{ $invoice->amountInWords }}</label>
                    </div>
                    <div class="billTaxData taxleft">
                        <table cellpadding="0" cellspacing="0">
                            <tr><th class="text-left">Freight Coolie:</th><th class="text-right">{{ $invoice->freight_coolie}}</th></tr>
                            <tr><th class="text-left">Other Expense:</th><th class="text-right">{{ $invoice->otherexp}}</th></tr>
                            <tr><th class="text-left">Taxable Amt:</th><th class="text-right">{{ round(collect($orders)->sum('gross_amount'), 2) }}</th></tr>
                            <tr><th class="text-left">CGST:</th><th class="text-right">{{ round(collect($orders)->sum('cgst_amount'), 2) }}</th></tr>
                            <tr><th class="text-left">SGST:</th><th class="text-right">{{ round(collect($orders)->sum('sgst_amount'), 2) }}</th></tr>
                            <tr><th class="text-left">CESS Amt:</th><th class="text-right">0.00</th></tr>
                            <tr><th class="text-left">Exempted Amt:</th><th class="text-right">{{ $invoice->exempted }}</th></tr>
                        </table>
                    </div>
                    <div class="netAmountSection">
                        <span class="styleFont">*** {{ $pagedata[0]['print_footer_text'] }} ***</span>
                        <span class="styleSubFont">{{ $pagedata[0]['print_footer_subtext'] }}</span>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
        <script type="text/javascript">

        function PrintDiv()
        {
            var style_url = "{{ asset('css/thermal-style.css') }}";
            var divToPrint = document.getElementById('divToPrint');
            var popupWin = window.open('', '_blank', 'width=595,height=842');
            popupWin.document.open();
            popupWin.document.write('<html><link href="'+style_url+'" rel="stylesheet" type="text/css" /><body onload="window.print()">' +divToPrint.innerHTML + '</html>');
            popupWin.document.close();
            popupWin.focus();
            setTimeout(function(){popupWin.close();},100);
        }
        </script>
    </body>
</html>