@extends('layouts.admin.master')
@section('title', 'Sale Report')

@section('vendor-style')
    <style type="text/css">
        .dt-buttons.btn-group{ position: relative; inset-inline-start: 0px; }
    </style>
@endsection

@section('vendor-script')
<script type="text/javascript" src="https://unpkg.com/xlsx@0.15.1/dist/xlsx.full.min.js"></script>
<script type="text/javascript">
    function ExportToExcel(type, fn, dl)
    {
        var branch = "{{ (isset($reports['branch']))?$reports['branch']:'' }}";
        var dateval = "{{ (isset($reports['dates']))?$reports['dates']:'' }}";
        var elt = document.getElementById('tbl_exporttable_to_xls');
        var wb = XLSX.utils.table_to_book(elt, { sheet: "sheet1" });
        return dl ?
        XLSX.write(wb, { bookType: type, bookSST: true, type: 'base64' }):
        XLSX.writeFile(wb, fn || (branch+'-'+dateval+'-Sales-Details.' + (type || 'xlsx')));
    }
</script>
@endsection

@section('content')

<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Search Accounts</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Masters</a></li>
            <li class="breadcrumb-item active" aria-current="page">Sales List</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->
<div class="p-2">
    @if(count($errors) > 0)
        <div class="alert alert-danger d-flex" role="alert"> <span class="badge badge-center rounded-pill bg-danger border-label-danger p-3 me-2"><i class="bx bx-store fs-6"></i></span>
            <div class="d-flex flex-column ps-1">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <span>{{ $error }}</span>
                @endforeach
            </div>
        </div>
    @endif
    
    @if($message = Session::get('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert"> <span class="badge badge-center rounded-pill bg-success border-label-success p-3 me-2"><i class="bx bx-desktop fs-6"></i></span>
            <div class="d-flex flex-column ps-1">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
            </div>
        </div>
    @endif
</div>
<!-- Permission Table -->
<div class="row">
    <div class="col-lg-12 col-md-12">
        @if(isset($results) && count($results) > 0)
        <div class="card">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">
                    {{ $pagedata['group'] }}
                </h5>
                <small class="text-muted float-end">Date: {{ $pagedata['dates'] }} <a href="javascript:void(0);" id="toexl" onclick="ExportToExcel('xlsx')" class="btn btn-primary">Export To Excell</a></small>
            </div>
            <div class="card-body">
                
                <table class="table" id="tbl_exporttable_to_xls">
                    <thead>
                        <tr>
                            <th colspan="10" class="text-center" align="center" valign="middle">{{ $pagedata['group'] }}</th>
                        </tr>
                        <tr><th colspan="10" class="text-center" align="center" valign="middle">Date: {{ $pagedata['dates'] }}</th></tr>
                        <tr>
                            <th>#</th>
                            <th>Ledger</th>
                            <th>Credit Opening</th>
                            <th>Debit Opening</th>
                            <th>Credit</th>
                            <th>Debit</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $creditAmount = $debitAmount = 0;
                        @endphp

                        @foreach($results as $result)
                            @php
                                $creditAmount = $creditAmount + $result['total_credit_amount'];
                                $debitAmount = $debitAmount + $result['total_debit_amount'];
                            @endphp
                            <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td><a href="{{ route('ledger.transaction.search', $result['ledger_id']) }}" target="_blank">{{ $result['ledger_name'] }}</a></td>
                                <td>{{ $result['total_credit_before_date'] }}</td>
                                <td>{{ $result['total_debit_before_date'] }}</td>
                                <td>{{ $result['total_credit_amount'] }}</td>
                                <td>{{ $result['total_debit_amount'] }}</td>
                            </tr>
                        @endforeach
                        <tr>
                            <td colspan="2"></td>
                            <th></th>
                            <th></th>
                            <th>{{ $creditAmount }}</th>
                            <th>{{ $debitAmount }}</th>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        @endif
    </div>
</div>
<!--/ Permission Table -->
@endsection
