@extends('layouts.admin.master')
@section('title', 'Roles')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
<style type="text/css">
    .role-heading h4{ ont-size: 1.375rem; margin-bottom: 0.25rem; font-weight: 500; line-height: 1.1; color: #566a7f; }
    .fw-normal{ font-weight: 400; font-size: 0.9375rem; line-height: 1.1; color: #566a7f; margin-bottom: 1rem; }
</style>
@endsection

@section('vendor-script')
<script type="text/javascript">
document.addEventListener("DOMContentLoaded", function(e) {
    const t = document.querySelector("#selectAll"), o = document.querySelectorAll('[type="checkbox"]');
    t.addEventListener("change", t => {
        o.forEach(e => {
            e.checked = t.target.checked
        })
    });
});

</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Roles List</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Users</a></li>
            <li class="breadcrumb-item active" aria-current="page">Roles List</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
<!-- Role cards -->
<div class="row g-4">
    @forelse ($roles as $role)
    <div class="col-xl-3 col-lg-6 col-md-6">
        <div class="card h-100">
            <div class="card-body">
                <div class="d-flex justify-content-between mb-2">
                    <h6 class="fw-normal">Total {{ $role->users->count() }} users</h6>
                    <?php /*?><ul class="list-unstyled d-flex align-items-center avatar-group mb-0">
                        @foreach($role->users as $user)
                        <li data-bs-toggle="tooltip" data-popup="tooltip-custom" data-bs-placement="top" title="{{$user->name}}" class="avatar avatar-sm pull-up"> <img class="rounded-circle" src="https://ui-avatars.com/api/?rounded=true&background=random&name={{ $user->name }}" alt="Avatar"> </li>
                        @endforeach
                    </ul><?php */?>
                </div>
                <div class="d-flex justify-content-between align-items-end">
                    <div class="role-heading">
                        <h4 class="mb-1">{{ $role->name }}</h4>
                        <a href="{{ route('roles.edit',$role->id) }}" class="role-edit-modal"><small>Edit Role</small></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @empty
    <div class="col-xl-4 col-lg-6 col-md-6">
        <div class="alert alert-primary d-flex" role="alert">
            <span class="badge badge-center rounded-pill bg-primary border-label-primary p-3 me-2"><i class="bx bx-command fs-6"></i></span>
            <div class="d-flex flex-column ps-1">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">No roles</h6> <span>No matching records found</span>
            </div>
        </div>
    </div>
    @endforelse

    
    <div class="col-xl-3 col-lg-6 col-md-6">
        <div class="card h-100">
            <div class="row h-100">
                <div class="col-sm-5">
                    <div class="d-flex align-items-end h-100 justify-content-center mt-sm-0 mt-3"> <img src="{{ asset('assets/images/sitting-girl-with-laptop-light.png') }}" class="img-fluid" alt="Image" width="120" data-app-light-img="{{ asset('assets/images/sitting-girl-with-laptop-light.png') }}" data-app-dark-img="{{ asset('assets/images/sitting-girl-with-laptop-light.png') }}"> </div>
                </div>
                <div class="col-sm-7">
                    <div class="card-body text-sm-end text-end ps-sm-0">
                        <button data-bs-target="#addRoleModal" data-bs-toggle="modal" class="btn btn-primary mb-3 text-nowrap add-new-role">Add New Role</button>
                        <p class="mb-0">Add role, if it does not exist</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</div>
<!--/ Role cards -->

<!-- Add Role Modal -->
<div class="modal fade" id="addRoleModal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-simple modal-dialog-centered modal-add-new-role">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body p-3 p-md-5">
                
                <div class="text-center mb-4">
                    <h3 class="role-title">Add New Role</h3>
                    <p>Set role permissions</p>
                </div>
                <!-- Add role form -->
                <form id="addRoleForm" class="row g-3" action="{{ route('roles.store') }}" method="post">
                    @csrf
                    <div class="col-12 mb-2">
                        <label class="form-label" for="rolename">Role Name</label>
                        <input type="text" id="rolename" name="rolename" class="form-control" placeholder="Enter a role name" tabindex="-1" />
                    </div>

                    <div class="col-12" id="permission_div">
                        <h4>Role Permissions</h4>
                        <!-- Permission table -->
                        <div class="table-responsive">
                            <table class="table table-flush-spacing">
                                <tbody>
                                    <tr>
                                        <td class="text-nowrap fw-semibold">Administrator Access <i class="bx bx-info-circle bx-xs" data-bs-toggle="tooltip" data-bs-placement="top" title="Allows a full access to the system"></i></td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="selectAll" />
                                                <label class="form-check-label" for="selectAll"> Select All </label>
                                            </div>
                                        </td>
                                    </tr>
                                    @foreach($permissions as $value)
                                    <tr>
                                        <td class="text-nowrap fw-semibold">{{ $value->name }}</td>
                                        <td>
                                            <div class="d-flex">
                                                <div class="form-check me-3 me-lg-5">
                                                    <input type="checkbox" class="form-check-input" name="permission[]" value="{{$value->id}}">
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <!-- Permission table -->
                    </div>
                    <div class="col-12 text-center">
                        <button type="submit" class="btn btn-primary me-sm-3 me-1">Submit</button>
                        <button type="reset" class="btn btn-secondary" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                    </div>
                </form>
                <!--/ Add role form -->
            </div>
        </div>
    </div>
</div>
<!--/ Add Role Modal -->
@endsection
