@extends('layouts.admin.master')
@section('title', 'Sale')

@section('vendor-style')
    <style type="text/css">
        .dt-buttons.btn-group{ position: relative; inset-inline-start: 0px; }
    </style>
@endsection

@section('vendor-script')

<script type="text/javascript">
    var table = $('.datatables-permissions').DataTable({

        processing: true,
        serverSide: true,
        order: [[3, 'desc']],

       // ... skipped ...
       dom: '<"row mx-1"<"col-sm-12 col-md-3" l><"col-sm-12 col-md-9"<"dt-action-buttons text-xl-end text-lg-start text-md-end text-start d-flex align-items-center justify-content-md-end justify-content-center flex-wrap me-1"<"me-3"f>B>>>t<"row mx-2"<"col-sm-12 col-md-6"i><"col-sm-12 col-md-6"p>>',
        language: {
            sLengthMenu: "_MENU_",
            search: "Search",
            searchPlaceholder: "Search.."
        },
        buttons: [{
            text: "New Sale",
            className: "add-new btn btn-primary mb-3 mb-md-0",
            attr: {
                //"href": "{{ route('employee.create') }}",
            },
            init: function(e, a, t) {
                $(a).removeClass("btn-secondary");
                $(a).click(function(){
                    @can('Manage-Counter-Sale')
                        window.location.href = "{{ route('counter.sale') }}";
                    @endcan
                    
                    @can('Manage-Retail-Invoice')
                        window.location.href = "{{ route('sales.create') }}";
                    @endcan
                });
            }
        }],
        responsive: {
            details: {
                display: $.fn.dataTable.Responsive.display.modal({
                    header: function(e) {
                        return "Details of " + e.data().name
                    }
                }),
            }
        },
        "drawCallback": function (selector) {
            $('[data-toggle="tooltip"]').tooltip();
        },
        "rowCallback": function (nRow, aData, iDisplayIndex) {
             var oSettings = this.fnSettings();
             $("td:first", nRow).html(oSettings._iDisplayStart+iDisplayIndex +1);
             return nRow;
        },
        ajax: "{{route('sales.list')}}",
        columns: [
            { data: 'id' },
            { data: 'invoice_no' },
            { data: 'sale_date' },
            { data: 'bill_type' },
            { data: 'payment_pode' },
            { data: 'tax_type' },
            { data: 'customer' },
            { data: 'branch' },
            { data: 'grand_total' }, 
            { data: 'buttons' },
        ],
    });

    /*$('body').on('click', '.viewbtn', function () {
         var userURL = $(this).data('url');
        $.ajax({
            url: userURL,
            type: 'GET',
            dataType: 'json',
            success: function(data) {
                $('#showModal').modal('show');
                $('#vcode').text(data.code);
                $('#vname').text(data.name);
                $('#vaddress').text(data.address);
                $('#vcity').text(data.city);
                $('#vcountry').text(data.country);
                $('#vstate').text(data.state);
                $('#vphoneno').text(data.phone);
                $('#vemailid').text(data.email);
                $('#vpincode').text(data.pincode);
                $('#vfinancialyearstart').text(data.financial_year_start);
                $('#vfinancialyearend').text(data.financial_year_end);
                $('#vgstuin').text(data.gst);
            }
        });
    });*/

</script>

@endsection

@section('content')

<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">{{ $pageTitle }}</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Masters</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{ $pageTitle }}</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

<!-- Permission Table -->
<div class="card">
    <div class="p-2">
        @if(count($errors) > 0)
            <div class="alert alert-danger d-flex" role="alert"> <span class="badge badge-center rounded-pill bg-danger border-label-danger p-3 me-2"><i class="bx bx-store fs-6"></i></span>
                <div class="d-flex flex-column ps-1">
                    <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                    @foreach ($errors->all() as $error)
                        <span>{{ $error }}</span>
                    @endforeach
                </div>
            </div>
        @endif
        
        @if($message = Session::get('success'))
            <div class="alert alert-success d-flex align-items-center" role="alert"> <span class="badge badge-center rounded-pill bg-success border-label-success p-3 me-2"><i class="bx bx-desktop fs-6"></i></span>
                <div class="d-flex flex-column ps-1">
                    <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                </div>
            </div>
        @endif
    </div>
    <div class="card-body">
        <div class="card-datatable">
            <table class="datatables-permissions table table-bordered text-nowrap border-bottom" id="file-datatable">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Invoice No</th>
                        <th>Date</th>
                        <th>Type</th>
                        <th>MOP</th>
                        <th>Tax</th>
                        <th>Customer</th>
                        <th>Branch</th>
                        <th>Total</th>
                        <th width="200">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php /*
                    @forelse ($sales as $sale)
                    <tr>
                        <td>{{$loop->iteration}}</td>
                        <td class="text-left">{{ $sale->invoice_no }}</td>
                        <td class="text-left">{{ $sale->sale_date }}</td>
                        <td class="text-left">{{ $sale->bill_type }}</td>
                        <td class="text-left">{{ $sale->payment_pode }}</td>
                        <td class="text-left">{{ $sale->tax_type }}</td>
                        <td class="text-left">{{ $sale->customer->name }}</td>
                        <td class="text-left">{{ $sale->branch->name }}</td>
                        <td class="text-left">{{ $sale->grand_total }}</td>
                        <td>
                            <div class="g-2">
                                <a class="btn text-primary btn-sm" href="{{ route('sales.edit', $sale->id) }}" data-bs-toggle="tooltip" data-bs-original-title="Edit"><span class="fe fe-edit fs-14"></span></a>
                                @if($sale->sales_type)
                                    <a class="btn text-primary btn-sm viewbtn" href="{{ route('sales.show', $sale->id) }}" data-bs-toggle="tooltip" data-bs-original-title="View"><span class="fe fe-eye fs-14"></span></a>
                                @endif

                                @if($sale->settled)
                                    <span class="badge bg-success badge-sm  me-1 mb-1 mt-1">Settled</span>
                                @else
                                    <span class="badge bg-danger badge-sm  me-1 mb-1 mt-1">Not Settled</span>
                                @endif
                                    <a class="btn text-primary btn-sm printbtn" href="{{ route('view.print.sale', $sale->id) }}" target="_blank" data-bs-toggle="tooltip" data-bs-original-title="Print"><span class="fe fe-printer fs-14"></span></a>
                                    <a class="btn text-primary btn-sm printbtn" href="{{ route('view.thermal.print.sale', $sale->id) }}" target="_blank" data-bs-toggle="tooltip" data-bs-original-title="Thermal Print"><span class="fe fe-clipboard fs-14"></span></a>
                            </div>
                        </td>
                    </tr>
                    @empty
                    @endforelse
                    */ ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<!--/ Permission Table -->
@endsection
