@extends('layouts.admin.master')
@section('title', 'Sales')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
<style type="text/css">
    .table td{ padding: 0.73rem 0.2rem; }
    .bottom-table th{ padding: 0.5rem; font-size: 0.76rem; width: 110px; vertical-align: middle; }
</style>
@endsection

@section('vendor-script')

@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Sales</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Inventory</a></li>
            <li class="breadcrumb-item active" aria-current="page">Create Sales</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<form id="purchaseForm" method="post" action="#">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-lg-12 text-start border-bottom border-lg-0">
                    <h3>Invoice No: {{ $sale->invoice_no }}</h3>
                </div>
            </div>
            <div class="row">
                <div class="col-4">
                    <div class="row mb-1">
                        <div class="col-6">
                            <label class="form-label" for="billdate">Date</label>
                            <input type="date" id="billdate" name="billdate" class="form-control" value="{{ $sale->sale_date }}" placeholder="Date" autofocus required disabled />
                        </div>
                        <div class="col-6">
                            <label class="form-label" for="mop">MOP</label>
                            <select id="mop" name="mop" class="form-control" required disabled>
                                <option value="Cash" {{ ($sale->payment_pode == 'Cash') ? 'selected' : '' }}>Cash</option>
                                <option value="Card" {{ ($sale->payment_pode == 'Card') ? 'selected' : '' }}>Card</option>
                                <option value="Transfer" {{ ($sale->payment_pode == 'Transfer') ? 'selected' : '' }}>Transfer</option>
                                <option value="Credit" {{ ($sale->payment_pode == 'Credit') ? 'selected' : '' }}>Credit</option>
                            </select>
                        </div>
                    </div>

                    <div class="row mb-1">
                        
                        <div class="col-6">
                            <label class="form-label" for="tax">Tax</label>
                            <select id="tax" name="tax" class="form-control" required disabled>
                                <option value="GST" {{ ($sale->tax_type == 'GST') ? 'selected' : '' }}>GST</option>
                                <option value="IGST" {{ ($sale->tax_type == 'IGST') ? 'selected' : '' }}>IGST</option>
                                <option value="No Tax" {{ ($sale->tax_type == 'No Tax') ? 'selected' : '' }}>No Tax</option>
                            </select>
                        </div>

                        <div class="col-6">
                            <label class="form-label" for="sales_type">Type</label>
                            <select id="sales_type" name="sales_type" class="form-control" required disabled>
                                <option value="B2B" {{ ($sale->bill_type == 'B2B') ? 'selected' : '' }} >B2B</option>
                                <option value="B2CS" {{ ($sale->bill_type == 'B2CS') ? 'selected' : '' }} >B2CS</option>
                                <option value="B2CL" {{ ($sale->bill_type == 'B2CL') ? 'selected' : '' }} >B2CL</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label" for="customer">Customer</label>
                        <select id="customer" name="customer" class="form-control select2" required disabled>
                            <option value="">--Select--</option>
                            @foreach($customers as $customer)
                            <option value="{{$customer->id}}" {{ ($sale->customer_id == $customer->id) ? 'selected' : '' }}>{{$customer->name}}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="mb-1">
                        <label class="form-label">Address</label>
                        <div id="customer_address" class="form-control">{{$sale->customer->address}}</div>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-1">
                        <label class="form-label">Contact No</label>
                        <div id="contact_no" class="form-control">{{$sale->customer->mobile}}</div>
                    </div>

                    <div class="row mb-1">
                        <div class="col">
                            <label class="form-label" for="sales_man">Sales Man</label>
                            <select id="sales_man" name="sales_man" class="form-control" required disabled>
                                @foreach($employees as $employee)
                                <option value="{{$employee->id}}" {{ ($sale->salesman_id == $employee->id) ? 'selected' : '' }} >{{$employee->name}}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="col">
                            <label class="form-label" for="branch">Branch</label>
                            <select id="branch" name="branch" class="form-control branch" required disabled>
                                <option value="">--Select--</option>
                                @foreach($companys as $company)
                                <option value="{{$company->id}}" {{ ($sale->branch_id == $company->id) ? 'selected' : '' }} >{{$company->name}}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="col">
                            <label class="form-label" for="pricelist">Price List</label>
                            <select id="pricelist" name="pricelist" class="form-control pricelist" required disabled>
                                <option value="None" {{ ($sale->price_list == 'None') ? 'selected' : '' }}>None</option>
                                <option value="Price1" {{ ($sale->price_list == 'Price1') ? 'selected' : '' }}>Price 1</option>
                                <option value="Price2" {{ ($sale->price_list == 'Price2') ? 'selected' : '' }}>Price 2</option>
                                <option value="Price3" {{ ($sale->price_list == 'Price3') ? 'selected' : '' }}>Price 3</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">
            <table class="table table-hover" id="itemList">
                <thead>
                    <tr>
                        <th class="text-center text-capitalize">No</th>
                        <th class="text-center text-capitalize" width="200">Code</th>
                        <th class="text-center text-capitalize" width="200">Product</th>
                        <th class="text-center text-capitalize" width="10">Quantity</th>
                        <th class="text-center text-capitalize">Free Qty</th>
                        <th class="text-center text-capitalize">Unit Price</th>
                        <th class="text-center text-capitalize">MRP</th>
                        <th class="text-center text-capitalize">Gross Amt</th>
                        <th class="text-center text-capitalize">Disc %</th>
                        <th class="text-center text-capitalize">Discount</th>
                        <th class="text-center text-capitalize">Taxable Amt</th>
                        <th class="text-center text-capitalize">GST %</th>
                        <th class="text-center text-capitalize">CGST Amt</th>
                        <th class="text-center text-capitalize d-none">SGST %</th>
                        <th class="text-center text-capitalize">SGST Amt</th>
                        <th class="text-center text-capitalize" width="150">Total</th>
                    </tr>
                </thead>
                <tbody data-role="dynamic-fields">
                    @php
                        $c = 0;
                    @endphp

                    @foreach($sale->saleClientDetails as $saleList)
                    @php
                        $taxvalue = ($saleList->discount_percentage / 100) * $saleList->gross_amount;
                    @endphp
                    <tr class="parentDiv reindex" data-taxable="{{ ($saleList->gross_amount - $taxvalue) }}">
                        <td class="text-center">{{ $loop->iteration }}</td>
                        <td>
                            <input type="text" data-field-name="code" id="code_{{$c}}" name="code[{{$c}}]" value="{{ $saleList->product->code }}" placeholder="Code" class="input form-control code search" required disabled/>
                        </td>
                        <td><input type="text" data-field-name="name" id="search_{{$c}}" name="search[{{$c}}]" value="{{ $saleList->product->name }}" placeholder="Product" class="input form-control product search" required disabled/></td>
                        <td><input type="number" value="{{ $saleList->quantity }}" name="quantity[{{$c}}]" class="input quantity form-control" required min="1" disabled></td>
                        <td><input type="number" value="{{ $saleList->free_quantity }}" name="freequantity[{{$c}}]" class="input freequantity form-control" required min="0" disabled></td>
                        <td><input type="text" value="{{ $saleList->unit_price }}" id="purchaserate_{{$c}}" name="purchase_rate[{{$c}}]" class="input purchase_rate form-control" required disabled></td>
                        <td><input type="text" value="{{ $saleList->mrp }}" name="mrp[{{$c}}]" id="mrp_{{$c}}" class="input mrp form-control col-md-12" required readonly disabled></td>
                        <td><input type="text" value="{{ $saleList->gross_amount }}" name="taxableamt[{{$c}}]" class="taxableamt form-control input" id="taxableamt_{{$c}}" readonly disabled></td>
                        <td><input type="text" value="{{ $saleList->discount_percentage }}" name="disc_per[{{$c}}]" class="input disc_per form-control col-md-12" required disabled></td>
                        <td><input type="text" value="{{ $saleList->discount_amount }}" name="disc_amt[{{$c}}]" class="input disc_amt form-control col-md-12" required disabled></td>
                        <td data-actval="{{ ($saleList->gross_amount - $taxvalue) }}"><input type="text" value="{{ $saleList->taxable_amount }}" name="taxablerow[{{$c}}]" class="input taxablerow form-control col-md-12" required disabled></td>
                        <td><input type="text" value="{{ $saleList->cgst }}" name="cgst[{{$c}}]" id="igst_{{$c}}" class="input cgst form-control col-md-12" required disabled></td>
                        <td><input type="text" value="{{ $saleList->cgst_amount }}" name="cgst_amt[{{$c}}]" class="input cgst_amt form-control col-md-12" required disabled></td>
                        <td class="d-none"><input type="text" value="{{ $saleList->sgst }}" name="sgst[{{$c}}]" id="sgst_{{$c}}" class="sgst form-control col-md-12" required disabled></td>
                        <td><input type="text" value="{{ $saleList->sgst_amount }}" name="sgst_amt[{{$c}}]" class="input sgst_amt form-control col-md-12" required disabled></td>
                        <td><input type="text" value="{{ $saleList->item_total }}" name="total[{{$c}}]" class="input total form-control col-md-12" readonly disabled></td>
                    </tr>
                    @php $c++ @endphp
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <div class="card">
        <div class="card-header"> <h3 class="card-title">Price Section</h3> </div>
        <div class="card-body">
            <div class="col-12">
                <input type="hidden" name="finalamount" class="finalamount" id="finalamount">
                <div class="row">
                    <div class="col-10">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Gross Total</th><td><input type="text" value="{{$sale->total_amount}}" name="grosstotal" class="form-control grosstotal" required readonly disabled></td>
                                    <th class="text-capitalize">Taxable</th><td><input type="text" value="{{$sale->total_taxable_amt}}" name="taxable" class="form-control taxable" required readonly disabled></td>
                                    <th class="text-capitalize">CGST Amt</th><td><input type="text" value="{{$sale->total_cgst_amount}}" name="cgstamt" class="form-control cgstamt" required readonly disabled></td>
                                    <th class="text-capitalize">Sales Value</th><td><input type="text" value="{{$sale->sales_total}}" name="salesvalue" class="form-control taxable" required disabled></td>
                                    <th class="text-capitalize">Other Expense</th><td><input type="text" value="{{$sale->otherexp}}" name="otherexp" class="form-control otherexp" required disabled></td>
                                    <th class="text-capitalize">Cost Factor</th><td><input type="text" value="{{$sale->cost_factor}}" name="costfactor" class="form-control costfactor" required disabled></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Discount</th>
                                    <td>
                                        <div class="input-group mb-3">
                                            <input type="text" name="discountfinal" class="form-control totaldiscountper" value="{{$sale->total_discount_percentage}}" placeholder="%" aria-label="%" disabled>
                                            <input type="text" name="discountfinalamt" class="form-control totaldiscountamt" value="{{$sale->total_discount_amount}}" placeholder="Amount" aria-label="Amount" disabled>
                                        </div>
                                    </td>
                                    <th class="text-capitalize">Total Tax</th><td><input type="text" value="{{$sale->total_tax_amount}}" name="totaltax" class="form-control totaltax" required readonly disabled></td>
                                    <th class="text-capitalize">SGST Amt</th><td><input type="text" value="{{$sale->total_sgst_amount}}" name="sgstamt" class="form-control sgstamt" required readonly disabled></td>
                                    <th class="text-capitalize">Net Value</th><td><input type="text" value="{{$sale->netvalue}}" name="netvalue" class="form-control netvalue" required readonly disabled></td>
                                    <th class="text-capitalize">Freight Coolie</th><td><input type="text" value="{{$sale->freight_coolie}}" name="freightcoolie" class="form-control freightcoolie" required disabled></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Item Discount</th><td><input type="text" value="{{$sale->total_item_discount}}" name="itemdiscount" class="form-control itemdiscount" required readonly disabled></td>
                                    <th class="text-capitalize">Exempted</th><td><input type="text" value="{{$sale->exempted}}" name="exempted" class="form-control exempted" required disabled></td>
                                    <th class="text-capitalize">IGST Amt</th><td><input type="text" value="{{$sale->total_igst_amount}}" name="igstamt" class="form-control igstamt" required readonly disabled></td>
                                    <th class="text-capitalize">Cess Amt</th><td><input type="text" value="{{$sale->cess}}" name="cessamt" class="form-control cessamt" required disabled></td>
                                    <th class="text-capitalize">Add.Cess</th><td><input type="text" value="{{$sale->add_cess}}" name="addcess" class="form-control addcess" required disabled></td>
                                    <th class="text-capitalize" colspan="2"></th>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-2">
                        <table class="table bottom-table">
                            <tbody>
                                <tr>
                                    <th class="text-capitalize">Cash Discount</th><td><input type="text" value="{{$sale->cash_discount}}" name="cashdisc" class="form-control cashdisc" required disabled></td>
                                </tr>
                                <tr>
                                    <th class="text-capitalize">Round Off</th><td><input type="text" value="{{$sale->round_off}}" name="roundval" class="form-control roundval" required disabled></td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="card cart">
                            <div class="card-header p-2">
                                <h3 class="card-title p-0" style="font-size: 0.8rem;">Bill Amount</h3>
                            </div>
                            <div class="card-body p-2">
                                <div class="">
                                    &#8377; <h4 class="fw-semibold d-inline subtotal">{{$sale->grand_total}}</h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
@endsection


