@extends('layouts.admin.master')
@section('title', 'Change Password')

@section('vendor-style')

@endsection

@section('vendor-script')

@endsection

@section('content')

<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Change Password</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Security</a></li>
            <li class="breadcrumb-item active" aria-current="page">Change Password</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

<!-- Change Password -->
<div class="card mb-4">
    <h5 class="card-header">Change Password</h5>
        
        @if(count($errors) > 0)
            <div class="p-2">
                <div class="alert alert-danger d-flex" role="alert"> <span class="badge badge-center rounded-pill bg-danger border-label-danger p-3 me-2"><i class="bx bx-store fs-6"></i></span>
                    <div class="d-flex flex-column ps-1">
                        <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                        @foreach ($errors->all() as $error)
                            <span>{{ $error }}</span>
                        @endforeach
                    </div>
                </div>
            </div>
        @endif
        
        @if (session('error'))
            <div class="p-2">
                <div class="alert alert-danger">
                    {{ session('error') }}
                </div>
            </div>
        @endif

        @if (session('success'))
            <div class="p-2">
                <div class="alert alert-success">
                    {{ session('success') }}
                </div>
            </div>
        @endif

    <div class="card-body">
        <form id="formAccountSettings" method="POST" action="{{ route('update-password') }}">
            @csrf
            <div class="row">
                <div class="mb-3 col-md-6 form-password-toggle">
                    <label class="form-label" for="currentPassword">Current Password</label>
                    <div class="input-group input-group-merge">
                        <input class="form-control" type="password" name="currentPassword" id="currentPassword" placeholder="············" /> <span class="input-group-text cursor-pointer"><i class="fe fe-eye-off"></i></span>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="mb-3 col-md-6 form-password-toggle">
                    <label class="form-label" for="newPassword">New Password</label>
                    <div class="input-group input-group-merge">
                        <input class="form-control" type="password" id="newPassword" name="newPassword" placeholder="············" /> <span class="input-group-text cursor-pointer"><i class="fe fe-eye-off"></i></span>
                    </div>
                </div>
                <div class="mb-3 col-md-6 form-password-toggle">
                    <label class="form-label" for="newPassword_confirmation">Confirm New Password</label>
                    <div class="input-group input-group-merge">
                        <input class="form-control" type="password" name="newPassword_confirmation" id="newPassword_confirmation" placeholder="············" /> <span class="input-group-text cursor-pointer"><i class="fe fe-eye-off"></i></span>
                    </div>
                </div>
                <div class="col-12 mb-4">
                    <p class="fw-semibold mt-2">Password Requirements:</p>
                    <ul class="ps-3 mb-0">
                        <li class="mb-1"> Minimum 8 characters long - the more, the better </li>
                        <li class="mb-1">At least one lowercase character</li>
                        <li>At least one number, symbol, or whitespace character</li>
                    </ul>
                </div>
                <div class="col-12 mt-1">
                    <button type="submit" class="btn btn-primary me-2">Save changes</button>
                    <button type="reset" class="btn btn-secondary">Cancel</button>
                </div>
            </div>
        </form>
    </div>
</div>
<!--/ Change Password -->

<!--/ User Table -->

@endsection
