@extends('layouts.admin.master')
@section('title', $pageTitle)

@section('vendor-style')
    <style type="text/css">
        .dt-buttons.btn-group{ position: relative; inset-inline-start: 0px; }
    </style>
@endsection

@section('vendor-script')
<script type="text/javascript" src="https://unpkg.com/xlsx@0.15.1/dist/xlsx.full.min.js"></script>
<script type="text/javascript">
    function ExportToExcel(type, fn, dl)
    {
       var elt = document.getElementById('tbl_exporttable_to_xls');
       var wb = XLSX.utils.table_to_book(elt, { sheet: "sheet1" });
       return dl ?
         XLSX.write(wb, { bookType: type, bookSST: true, type: 'base64' }):
         XLSX.writeFile(wb, fn || ('SundryCreditor.' + (type || 'xlsx')));
    }
</script>

@endsection

@section('content')

<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">{{ $pageTitle }}</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Accounts</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{ $pageTitle }}</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

<!-- Permission Table -->
<div class="card">
    <div class="p-2">
        @if(count($errors) > 0)
            <div class="alert alert-danger d-flex" role="alert"> <span class="badge badge-center rounded-pill bg-danger border-label-danger p-3 me-2"><i class="bx bx-store fs-6"></i></span>
                <div class="d-flex flex-column ps-1">
                    <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                    @foreach ($errors->all() as $error)
                        <span>{{ $error }}</span>
                    @endforeach
                </div>
            </div>
        @endif
        
        @if($message = Session::get('success'))
            <div class="alert alert-success d-flex align-items-center" role="alert"> <span class="badge badge-center rounded-pill bg-success border-label-success p-3 me-2"><i class="bx bx-desktop fs-6"></i></span>
                <div class="d-flex flex-column ps-1">
                    <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                </div>
            </div>
        @endif
    </div>
    <div class="card-body">
        <div class="card-datatable">
            <div class="text-end mb-3"><a href="javascript:void(0);" id="toexl" onclick="ExportToExcel('xlsx')" class="btn btn-primary">Export To Excell</a></div>
            <table class="datatables-permissions table table-bordered text-nowrap border-bottom" id="tbl_exporttable_to_xls">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Customer</th>
                        <th>Branch</th>
                        <th>Amount</th>
                    </tr>
                </thead>
                <tbody>
                    @php
                        $sumAmount = 0;
                        $c = 0;
                    @endphp
                    @foreach($transactions as $transaction)
                        @php
                            $dueAmount = ($transaction->debit_amount - $transaction->credit_amount);
                        @endphp

                        @if($dueAmount > 0)
                            @php
                                $c++;
                                $sumAmount = $sumAmount + $dueAmount;
                            @endphp
                            <tr>
                                <td>{{ $c }}</td>
                                <td class="text-left"><a href="{{ route('get.sundry.creditor', $transaction->customer->id) }}">{{ $transaction->customer->name }}</a></td>
                                <td class="text-left">{{ $transaction->branch->name }}</td>
                                <td>{{ abs($dueAmount) }}</td>
                            </tr>
                        @endif
                    @endforeach
                    <tr><td></td><td></td><th>Total</th><th style="font-size: 1.2rem;">{{ abs($sumAmount) }}</th></tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
<!--/ Permission Table -->
@endsection
