@extends('layouts.admin.master')
@section('title', 'Vehicle')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
@endsection

@section('vendor-script')
<script type="text/javascript">
document.addEventListener("DOMContentLoaded", function(e) {
    const t = document.querySelector("#selectAll"), o = document.querySelectorAll('[type="checkbox"]');
    t.addEventListener("change", t => {
        o.forEach(e => {
            e.checked = t.target.checked
        })
    });
});
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Edit Vehicle: {{$vehicle->name}}</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Masters</a></li>
            <li class="breadcrumb-item active" aria-current="page">Vehicle List</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<div class="row mt-4">
    <div class="col-md-6 mx-auto">
        <div class="card mb-4">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">Vehicle Name: {{$vehicle->name}}</h5> <small class="text-muted float-end">Edit Vehicle</small>
            </div>
            
                <div class="card-body">
                    <form action="{{ route('vehicle.update', $vehicle->id) }}" method="post">
                        @csrf
                        @method('PUT')
                        <div class="col-12 mb-3">
                            <label class="form-label" for="vehicle_no">Vehicle No</label>
                            <input type="text" id="vehicle_no" name="vehicle_no" class="form-control" placeholder="Vehicle No" value="{{$vehicle->reg_no}}" autofocus />
                        </div>

                        <div class="col-12 mb-3">
                            <label class="form-label" for="manufacturername">Vehicle Type</label>
                            <select id="vehicle_type" name="vehicle_type" class="form-control">
                                <option value="Auto" {{ ($vehicle->type == 'Auto') ? 'selected' : '' }}>Auto</option>
                                <option value="Pick Up" {{ ($vehicle->type == 'Pick Up') ? 'selected' : '' }}>Pick Up</option>
                                <option value="Truck" {{ ($vehicle->type == 'Truck') ? 'selected' : '' }}>Truck</option>
                                <option value="Lorry" {{ ($vehicle->type == 'Lorry') ? 'selected' : '' }}>Lorry</option>
                            </select>
                        </div>
                        <div class="col-12 text-center demo-vertical-spacing">
                            <button type="submit" class="btn btn-primary me-sm-3 me-1">Update</button>
                        </div>
                    </form>
                </div>
            
        </div>
    </div>
</div>
<!-- Add Role Modal -->

<!--/ Add Role Modal -->
@endsection
