@extends('layouts.admin.master')
@section('title', 'Vendor View')

@section('vendor-style')
<!-- <link rel="stylesheet" href="{{asset('assets/vendor/libs/apex-charts/apex-charts.css')}}"> -->
@endsection

@section('vendor-script')
<script type="text/javascript">
document.addEventListener("DOMContentLoaded", function(e) {
    const t = document.querySelector("#selectAll"), o = document.querySelectorAll('[type="checkbox"]');
    t.addEventListener("change", t => {
        o.forEach(e => {
            e.checked = t.target.checked
        })
    });
});
$('.select2-show-search').select2({
    minimumResultsForSearch: '',
    width: '100%'
});

$(document).on('select2:open', function(e) {
    window.setTimeout(function () {
        document.querySelector('input.select2-search__field').focus();
    }, 0);
});
</script>
@endsection

@section('content')
<!-- PAGE-HEADER -->
<div class="page-header">
    <h1 class="page-title">Vendor View</h1>
    <div>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Masters</a></li>
            <li class="breadcrumb-item active" aria-current="page">View Vendor</li>
        </ol>
    </div>
</div>
<!-- PAGE-HEADER END -->

@if(count($errors) > 0)
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-1">Error!!</h6>
                @foreach ($errors->all() as $error)
                    <p class="mb-0">{{ $error }}</p>
                @endforeach
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('error'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-danger alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif
@if($message = Session::get('success'))
    <div class="row mb-2">
        <div class="col-lg-12">
            <div class="alert alert-success alert-dismissible" role="alert">
                <h6 class="alert-heading d-flex align-items-center fw-bold mb-0">{{ $message }}</h6>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"> </button>
            </div>
        </div>
    </div>
@endif

<div class="row mt-4">
    <div class="col-md-8">
        <div class="card mb-4">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">Vendor Details:</h5> <small class="text-muted float-end">View Vendor</small>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-6 mb-3">
                        <label class="form-label" for="code">Code</label>
                        <div class="form-control">{{$vendor->accountcode }}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="regional">Regional</label>
                        <div class="form-control">{{$vendor->regioanal}}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="name">Name</label>
                        <div class="form-control">{{$vendor->name}}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="emailid">Email</label>
                        <div class="form-control">{{$vendor->email }}</div>
                    </div>
                    
                    <div class="col-6 mb-3">
                        <label class="form-label" for="mobile_no">Mobile No</label>
                        <div class="form-control">{{$vendor->mobile }}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="phone">Phone</label>
                        <div class="form-control">{{$vendor->phone }}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="address">Address</label>
                        <div class="form-control">{{$vendor->address}}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="remarks">Remarks</label>
                        <div class="form-control">{{$vendor->remarks}}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-4">
        <div class="card mb-4">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">General Details:</h5> <small class="text-muted float-end">View Vendor</small>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-6 mb-3">
                        <label class="form-label" for="state_pos">State/POS</label>
                        <div class="form-control">{{$vendor->state->name}}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="area">Area</label>
                        <div class="form-control">{{(isset($vendor->area) && !empty($vendor->area))?$vendor->area->name:''}}</div>
                    </div>
                    <div class="col-12 mb-3">
                        <label class="form-label" for="gst_no">GSTIN/UIN</label>
                        <div class="form-control">{{$vendor->gstin}}</div>
                    </div>
                    
                    <div class="col-12 mb-3">
                        <label class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" name="active_status" value="0" {{($vendor->status == true)?'checked':''}} disabled> <span class="custom-control-label">Deactive</span>
                        </label>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Add Role Modal -->

<!--/ Add Role Modal -->
@endsection
