<form id="addForm" action="{{ route('customer.update', $customer->id) }}" method="post">
    @csrf
    @method('PUT')
    <div class="row mt-4">
        <div class="col-md-8">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">Customer Details:</h5> <small class="text-muted float-end">Edit Customer</small>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-6 mb-3">
                            <label class="form-label" for="code">Code</label>
                            <input type="text" id="code" name="code" class="form-control" value="{{$customer->accountcode }}" placeholder="Code" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="regional">Regional</label>
                            <input type="text" id="regional" name="regional" class="form-control" value="{{$customer->regioanal}}" placeholder="Regional" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="name">Name</label>
                            <input type="text" id="name" name="name" class="form-control" value="{{$customer->name}}" placeholder="Name" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="emailid">Email</label>
                            <input type="email" id="emailid" name="emailid" class="form-control" value="{{$customer->email }}" placeholder="Email" autofocus />
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="mobile_no">Mobile No</label>
                            <input type="text" id="mobile_no" name="mobile_no" class="form-control" value="{{$customer->mobile }}" placeholder="Mobile No" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="phone">Phone</label>
                            <input type="text" id="phone" name="phone" class="form-control" value="{{$customer->phone }}" placeholder="Phone" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="address">Address</label>
                            <textarea id="address" name="address" class="form-control" placeholder="Address">{{$customer->address}}</textarea>
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="remarks">Remarks</label>
                            <textarea id="remarks" name="remarks" class="form-control" placeholder="Remarks">{{$customer->remarks}}</textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">General Details:</h5> <small class="text-muted float-end">Edit Customer</small>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-6 mb-3">
                            <label class="form-label" for="state_pos">State/POS</label>
                            <select class="form-control select2-show-search form-select" id="state_pos" name="state_pos" data-placeholder="State/POS">
                                <option label="Choose one"></option>
                                @foreach ($states as $state)
                                    <option value="{{ $state->id }}" {{ ($customer->state_pos == $state->id) ? 'selected' : '' }}>{{ $state->name }} - {{ $state->state_code }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="area">Area</label>
                            <select class="form-control select2-show-search form-select" id="area" name="area" data-placeholder="Area">
                                <option label="Choose one"></option>
                                @foreach ($areas as $area)
                                    <option value="{{ $area->id }}" {{ ($customer->area_id == $area->id) ? 'selected' : '' }}>{{ $area->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-12 mb-3">
                            <label class="form-label" for="gst_no">GSTIN/UIN</label>
                            <input type="text" id="gst_no" name="gst_no" class="form-control" value="{{$customer->gstin}}" placeholder="GSTIN/UIN" autofocus />
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="creditLimit">Credit Limit</label>
                            <input type="text" id="creditLimit" name="creditLimit" class="form-control" value="{{$customer->creditlimit}}" placeholder="Credit Limit" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="discount">Discount</label>
                            <input type="text" id="discount" name="discount" class="form-control" value="{{$customer->discount}}" placeholder="Discount" autofocus />
                        </div>
                        <div class="col-12 mb-3">
                            <label class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" name="active_status" value="0" {{($customer->activestatus == false)?'checked':''}} > <span class="custom-control-label">Deactive</span>
                            </label>
                        </div>
                        <div class="col-12 text-center demo-vertical-spacing">
                            <button type="submit" class="btn btn-primary me-sm-3 me-1">Create</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>