<form id="driverForm" action="{{ route('driver.store') }}" method="post">
    <div class="row mt-4">
        <div class="col-md-12">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">Driver Details:</h5> <small class="text-muted float-end">Add Driver</small>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-6 mb-3">
                            <label class="form-label" for="name">Name</label>
                            <input type="text" id="name" name="name" class="form-control" value="{{ old('name') }}" placeholder="Name" autofocus />
                        </div>
                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="mobile_no">Mobile No</label>
                            <input type="text" id="mobile_no" name="mobile_no" class="form-control" value="{{ old('mobile_no') }}" placeholder="Mobile No" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="address">Address</label>
                            <textarea id="address" name="address" class="form-control" placeholder="Address">{{ old('address') }}</textarea>
                        </div>
                        <?php /*
                        <div class="col-6 mb-3">
                            <label class="form-label" for="vendor_id">Vendor</label>
                            <select class="form-control select2-show-search form-select" id="vendor_id" name="vendor_id" data-placeholder="Vendor">
                                <option label="Choose one"></option>
                                @foreach ($vendors as $vendor)
                                    <option value="{{ $vendor->id }}" {{ (old('vendor_id') == $vendor->id) ? 'selected' : '' }}>{{ $vendor->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        */ ?>
                        <div class="col-12 mb-3">
                            <label class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" name="active_status" value="1" checked> <span class="custom-control-label">Active</span>
                            </label>
                        </div>
                        <div class="col-12 text-center demo-vertical-spacing">
                            <button type="submit" class="btn btn-primary me-sm-3 me-1">Create</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

<script type="text/javascript">
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $("#driverForm").on('submit', function(e) {
        e.preventDefault();
        var formdata = $("#driverForm").serialize();
        $.ajax({
            type: "POST",
            url: '{{ route("driver.store") }}',
            data: formdata,
            dataType: "json",
            success: function(data) {
                if(data.success)
                {
                    alert(data.message)
                    document.getElementById("driverForm").reset(); 
                }
            },
            error: function(error) {
                alert(error.statusText);
            }
        });
    });
</script>