<form id="addForm" action="{{ route('product.update', $product->id) }}" method="post">
    @csrf
    @method('PUT')
    <div class="row mt-4">
        <div class="col-md-7">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">Product Details:</h5> <small class="text-muted float-end">Add Product</small>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-6 mb-3">
                            <label class="form-label" for="code">Code</label>
                            <input type="text" id="code" name="code" class="form-control" value="{{$product->code }}" placeholder="Code" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="name">Name</label>
                            <input type="text" id="name" name="name" class="form-control" value="{{$product->name }}" placeholder="Name" autofocus />
                        </div>
                        <div class="col-4 mb-3">
                            <label class="form-label" for="barcode">Barcode</label>
                            <div class="input-group">
                                <span class="input-group-text" id="basic-addon1">CO</span>
                                <input type="text" class="form-control" id="barcode" name="barcode" value="{{ $product->barcode }}" placeholder="Barcode" autofocus>
                            </div>
                        </div>
                        <div class="col-4 mb-3">
                            <label class="form-label" for="regionalname">Regional Name</label>
                            <input type="text" id="regionalname" name="regionalname" class="form-control" value="{{$product->regionalname }}" placeholder="Regional Name" autofocus />
                        </div>
                        
                        <div class="col-4 mb-3">
                            <label class="form-label" for="hsn_code">HSN Code</label>
                            <input type="text" id="hsn_code" name="hsn_code" class="form-control" value="{{$product->hsncode }}" placeholder="HSN Code" autofocus />
                        </div>

                        <div class="col-6 mb-3">
                            <label class="form-label" for="category">Category</label>
                            <select class="form-control select2-show-search form-select" id="category" name="category" data-placeholder="Category" required>
                                <option label="Choose one"></option>
                                @foreach($categories as $category)
                                    <option value="{{ $category->id }}" {{ ($product->catagory_id == $category->id) ? 'selected' : '' }}>{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="manufacturer">Manufacturer</label>
                            <select class="form-control select2-show-search form-select" id="manufacturer" name="manufacturer" data-placeholder="Manufacturer" required>
                                <option label="Choose one"></option>
                                @foreach($manufacturers as $manufacturer)
                                    <option value="{{ $manufacturer->id }}" {{ ($product->manufacturer_id == $manufacturer->id) ? 'selected' : '' }}>{{ $manufacturer->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-12 mb-3">
                            <label class="form-label" for="remarks">Remarks</label>
                            <textarea id="remarks" name="remarks" class="form-control" placeholder="Remarks">{{$product->remarks }}</textarea>
                        </div>

                        <div class="col-12 mb-3">
                            <label class="form-label" for="remarks_one">Remarks 1</label>
                            <textarea id="remarks_one" name="remarks_one" class="form-control" placeholder="Remarks 1">{{$product->remarks_one }}</textarea>
                        </div>

                        <div class="col-12 mb-3">
                            <label class="form-label" for="remarks_two">Remarks 2</label>
                            <textarea id="remarks_two" name="remarks_two" class="form-control" placeholder="Remarks 2">{{$product->remarks_two }}</textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-5">
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <h5 class="mb-0">General Details:</h5> <small class="text-muted float-end">Add Product</small>
                </div>
                <div class="card-body">
                    <div class="row">

                        <div class="col-6 mb-3">
                            <label class="form-label" for="rol">ROL</label>
                            <input type="text" id="rol" name="rol" class="form-control" value="{{$product->rol }}" placeholder="ROL" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="rack">Rack</label>
                            <input type="text" id="rack" name="rack" class="form-control" value="{{$product->rack }}" placeholder="Rack" autofocus />
                        </div>

                        <div class="col-6 mb-3">
                            <div class="row">
                                <div class="col-6">
                                    <label class="form-label" for="gstval">GST</label>
                                    <input type="number" id="gstval" name="gstval" class="form-control" value="{{$product->tax->gst }}" step="0.01" placeholder="GST" autofocus />
                                </div>
                                <div class="col-6">
                                    <label class="form-label" for="igstval">IGST</label>
                                    <input type="number" id="igstval" name="igstval" class="form-control" value="{{$product->tax->igst }}" step="0.01" placeholder="IGST" autofocus />
                                </div>
                            </div>
                        </div>
                        <div class="col-6 mb-3">
                            <div class="expanel expanel-default p-0 mb-0">
                                <div class="expanel-heading p-1">Inclusive</div>
                                <div class="expanel-body p-2">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" id="sale_incl" name="sale_incl" value="1" {{($product->tax->inclusive_sale == true)?'checked':''}}>
                                        <label class="form-check-label" for="sale_incl">Sale</label>
                                    </div>

                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" id="purchase_incl" name="purchase_incl" value="1" {{($product->tax->inclusive_purchase == true)?'checked':''}}>
                                        <label class="form-check-label" for="purchase_incl">Purchase</label>
                                    </div>
                                </div>
                            </div>
                        </div>

                        

                        <div class="col-6 mb-3">
                            <label class="form-label" for="cessval">Cess %</label>
                            <input type="number" id="cessval" name="cessval" class="form-control" value="{{$product->tax->cess }}" step="0.01" placeholder="Cess %" autofocus />
                        </div>
                        <div class="col-6 mb-3">
                            <label class="form-label" for="addcessval">Add Cess</label>
                            <input type="number" id="addcessval" name="addcessval" class="form-control" value="{{$product->tax->adcess }}" step="0.01" placeholder="Add Cess" autofocus />
                        </div>

                        <div class="col-3 mb-3">
                            <label class="form-label" for="purchase_rate">Purchase Rate</label>
                            <input type="number" id="purchase_rate" name="purchase_rate" class="form-control" value="{{$product->price->purchase_rate }}" step="0.01" placeholder="Purchase Rate" autofocus />
                        </div>
                        <div class="col-3 mb-3">
                            <label class="form-label" for="sale_rate">Sale Rate</label>
                            <input type="number" id="sale_rate" name="sale_rate" class="form-control" value="{{$product->price->sales_rate }}" step="0.01" placeholder="Sale Rate" autofocus />
                        </div>
                        <div class="col-3 mb-3">
                            <label class="form-label" for="mrpval">MRP</label>
                            <input type="number" id="mrpval" name="mrpval" class="form-control" value="{{$product->price->mrp }}" step="0.01" placeholder="MRP" autofocus />
                        </div>
                        <div class="col-3 mb-3">
                            <label class="form-label" for="costval">Cost</label>
                            <input type="number" id="costval" name="costval" class="form-control" value="{{$product->price->cost }}" step="0.01" placeholder="Cost" autofocus />
                        </div>

                        <div class="col-4 mb-3">
                            <label class="form-label" for="unitval">Unit</label>
                            <input type="text" id="unitval" name="unitval" class="form-control" value="{{$product->unit->unit }}" placeholder="Unit" autofocus />
                        </div>
                        <div class="col-4 mb-3">
                            <label class="form-label" for="alter_unit">Alter Unit</label>
                            <input type="text" id="alter_unit" name="alter_unit" class="form-control" value="{{$product->unit->altr_unit }}" placeholder="Alter Unit" autofocus />
                        </div>
                        <div class="col-4 mb-3 ucfactor {{($product->unit->altr_unit > 0)?'':'d-none'}}">
                            <label class="form-label" for="ucfactor">UC Factor</label>
                            <input type="text" id="ucfactor" name="ucfactor" class="form-control" value="{{$product->unit->uc_factor }}" placeholder="UC Factor" autofocus />
                        </div>

                        
                        <div class="col-6 mb-3">
                            <label class="form-label" for="item_class">Item Class</label>
                            <select class="form-control select2-show-search form-select" id="item_class" name="item_class" data-placeholder="Item Class">
                                <option label="Choose one"></option>
                                <option value="1" {{ ($product->item_class == '1') ? 'selected' : '' }}>GENERAL</option>
                                <option value="2" {{ ($product->item_class == '2') ? 'selected' : '' }}>RAW MATERIAL</option>
                                <option value="3" {{ ($product->item_class == '3') ? 'selected' : '' }}>SERVICE ITEM</option>
                                <option value="4" {{ ($product->item_class == '4') ? 'selected' : '' }}>FINISHED GOODS</option>
                            </select>
                        </div>

                        <div class="col-6 mb-3">
                            <label class="form-label" for="spcom">SP Com %</label>
                            <input type="number" id="spcom" name="spcom" class="form-control" value="{{$product->sp_com }}" step="0.01" placeholder="SP Com %" autofocus />
                        </div>

                        <div class="col-12 mb-3">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="checkbox" id="expiry_item" name="expiry_item" {{($product->expiry_status == true)?'checked':''}} value="1">
                                <label class="form-check-label" for="expiry_item">Expiry Item</label>
                            </div>

                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="checkbox" id="active_status" name="active_status" {{($product->status == true)?'checked':''}} value="1">
                                <label class="form-check-label" for="active_status">Deactive</label>
                            </div>
                        </div>
                        <div class="col-12 text-center demo-vertical-spacing">
                            <button type="submit" class="btn btn-primary me-sm-3 me-1">Update</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

<script type="text/javascript">
    $("#alter_unit").keyup(function() {
        if($(this).val().length > 0)
        {
            $('.ucfactor').removeClass('d-none');
        } 
        else
        {
            $('.ucfactor').addClass('d-none');
            $('#ucfactor').val('');
        }
    });
</script>