<div class="row mt-4">
    <div class="col-md-7">
        <div class="card mb-4">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">Product Details:</h5> <small class="text-muted float-end">Add Product</small>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-6 mb-3">
                        <label class="form-label" for="code">Code</label>
                        <div class="form-control">{{$product->code }}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="name">Name</label>
                        <div class="form-control">{{$product->name }}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="regionalname">Regional Name</label>
                        <div class="form-control">{{$product->regionalname }}</div>
                    </div>
                    
                    <div class="col-6 mb-3">
                        <label class="form-label" for="hsn_code">HSN Code</label>
                        <div class="form-control">{{$product->hsncode }}</div>
                    </div>

                    <div class="col-6 mb-3">
                        <label class="form-label" for="category">Category</label>
                        <div class="form-control">{{ $product->category->name }}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="manufacturer">Manufacturer</label>
                        <div class="form-control">{{ $product->manufacturer->name }}</div>
                    </div>

                    @if($product->remarks)
                    <div class="col-12 mb-3">
                        <label class="form-label" for="remarks">Remarks</label>
                        <div class="form-control">{{$product->remarks }}</div>
                    </div>
                    @endif

                    @if($product->remarks_one)
                    <div class="col-12 mb-3">
                        <label class="form-label" for="remarks_one">Remarks 1</label>
                        <div class="form-control">{{$product->remarks_one }}</div>
                    </div>
                    @endif

                    @if($product->remarks_two)
                    <div class="col-12 mb-3">
                        <label class="form-label" for="remarks_two">Remarks 2</label>
                        <div class="form-control">{{$product->remarks_two }}</div>
                    </div>
                    @endif
                    @if($product->barcode)
                        @php
                            $title = ucwords(strtolower($companyTitle));
                        @endphp
                    <div class="col-6 mb-3">
                        <label class="form-label" for="barcode">Barcode <input type="button" class="btn btn-primary btn-sm" onclick="PrintDiv();" value="Print"></label>
                        <div id="divToPrint" class='printDiv'>
                            <div class="barcodeMain">
                                <div class="barcodeWraper">
                                    <div class="barcodeHeading">{{ \Illuminate\Support\Str::limit($title, 25, $end='...') }}</div>
                                    <div class="barcodeProduct">{{ \Illuminate\Support\Str::limit($product->name, 25, $end='...') }}</div>
                                    <div class="barcodeValue">{!! DNS1D::getBarcodeHTML($product->barcode, 'C128', 1.5, 25, 'black', false); !!}</div>
                                    <div class="barcodeCode">{{ $product->barcode }}</div>
                                    <div class="barcodeRate">
                                        <div class="mrprate">MRP: {{ $product->price->mrp }}</div>
                                        <div class="salerate">SALE: {{ $product->price->sales_rate }}</div>
                                    </div>
                                </div>
                            </div>
                            <div class="barcodeMain">
                                <div class="barcodeWraper">
                                    <div class="barcodeHeading">{{ \Illuminate\Support\Str::limit($title, 25, $end='...') }}</div>
                                    <div class="barcodeProduct">{{ \Illuminate\Support\Str::limit($product->name, 25, $end='...') }}</div>
                                    <div class="barcodeValue">{!! DNS1D::getBarcodeHTML($product->barcode, 'C128', 1.5, 25, 'black', false); !!}</div>
                                    <div class="barcodeCode">{{ $product->barcode }}</div>
                                    <div class="barcodeRate">
                                        <div class="mrprate">MRP: {{ $product->price->mrp }}</div>
                                        <div class="salerate">SALE: {{ $product->price->sales_rate }}</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-5">
        <div class="card mb-4">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">General Details:</h5> <small class="text-muted float-end">Add Product</small>
            </div>
            <div class="card-body">
                <div class="row">

                    <div class="col-6 mb-3">
                        <label class="form-label" for="rol">ROL</label>
                        <div class="form-control">{{$product->rol }}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="rack">Rack</label>
                        <div class="form-control">{{$product->rack }}</div>
                    </div>

                    <div class="col-6 mb-3">
                        <div class="row">
                            <div class="col-6">
                                <label class="form-label" for="gstval">GST</label>
                                <div class="form-control">{{$product->tax->gst }}</div>
                            </div>
                            <div class="col-6">
                                <label class="form-label" for="igstval">IGST</label>
                                <div class="form-control">{{$product->tax->igst }}</div>
                            </div>
                        </div>
                    </div>
                    <div class="col-6 mb-3">
                        <div class="expanel expanel-default p-0 mb-0">
                            <div class="expanel-heading p-1">Inclusive</div>
                            <div class="expanel-body p-2">
                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" id="sale_incl" name="sale_incl" value="1" disabled {{($product->tax->inclusive_sale == true)?'checked':''}}>
                                    <label class="form-check-label" for="sale_incl">Sale</label>
                                </div>

                                <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="checkbox" id="purchase_incl" name="purchase_incl" value="1" disabled {{($product->tax->inclusive_purchase == true)?'checked':''}}>
                                    <label class="form-check-label" for="purchase_incl">Purchase</label>
                                </div>
                            </div>
                        </div>
                    </div>

                    

                    <div class="col-6 mb-3">
                        <label class="form-label" for="cessval">Cess %</label>
                        <div class="form-control">{{$product->tax->cess }}</div>
                    </div>
                    <div class="col-6 mb-3">
                        <label class="form-label" for="addcessval">Add Cess</label>
                        <div class="form-control">{{$product->tax->adcess }}</div>
                    </div>

                    <div class="col-4 mb-3">
                        <label class="form-label" for="purchase_rate">Purchase Rate</label>
                        <div class="form-control">{{$product->price->purchase_rate }}</div>
                    </div>
                    <div class="col-4 mb-3">
                        <label class="form-label" for="sale_rate">Sale Rate</label>
                        <div class="form-control">{{$product->price->sales_rate }}</div>
                    </div>
                    <div class="col-4 mb-3">
                        <label class="form-label" for="mrpval">MRP</label>
                        <div class="form-control">{{$product->price->mrp }}</div>
                    </div>

                    <div class="col-4 mb-3">
                        <label class="form-label" for="unitval">Unit</label>
                        <div class="form-control">{{$product->unit->unit }}</div>
                    </div>
                    <div class="col-4 mb-3">
                        <label class="form-label" for="alter_unit">Alter Unit</label>
                        <div class="form-control">{{$product->unit->altr_unit }}</div>
                    </div>
                    <div class="col-4 mb-3">
                        <label class="form-label" for="ucfactor">UC Factor</label>
                        <div class="form-control">{{$product->unit->uc_factor }}</div>
                    </div>

                    
                    <div class="col-6 mb-3">
                        <label class="form-label" for="item_class">Item Class</label>
                        <div class="form-control">
                            @if($product->item_class == 1)
                                GENERAL
                            @elseif($product->item_class == 2)
                                RAW MATERIAL
                            @elseif($product->item_class == 3)
                                SERVICE ITEM
                            @else
                                FINISHED GOODS
                            @endif
                        </div>
                    </div>

                    <div class="col-6 mb-3">
                        <label class="form-label" for="spcom">SP Com %</label>
                        <div class="form-control">{{$product->sp_com }}</div>
                    </div>

                    <div class="col-12 mb-3">
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="checkbox" id="expiry_item" name="expiry_item" disabled {{($product->expiry_status == true)?'checked':''}} value="1">
                            <label class="form-check-label" for="expiry_item">Expiry Item</label>
                        </div>

                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="checkbox" id="active_status" name="active_status" disabled {{($product->status == true)?'checked':''}} value="1">
                            <label class="form-check-label" for="active_status">Deactive</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>